# Changelog

## [7.1.8](https://github.com/Fdawgs/yh-community-contacts-api/compare/v7.1.7...v7.1.8) (2023-05-27)


### Documentation

* **readme:** add unmaintained note ([8ac3f46](https://github.com/Fdawgs/yh-community-contacts-api/commit/8ac3f46cd6ee5756d367fe36f36f83e625166aa7))


### Continuous integration

* **cd:** remove dev dependencies from package-lock.json ([#731](https://github.com/Fdawgs/yh-community-contacts-api/issues/731)) ([da86874](https://github.com/Fdawgs/yh-community-contacts-api/commit/da8687424406103c2e071d71ded02fbe5572db1a))


### Improvements

* **server:** remove redundant `await` ([#734](https://github.com/Fdawgs/yh-community-contacts-api/issues/734)) ([72d623f](https://github.com/Fdawgs/yh-community-contacts-api/commit/72d623f2cec59ff8482026315ac146e891aee3a2))


### Miscellaneous

* **.vscode:** add debugger launch config ([#730](https://github.com/Fdawgs/yh-community-contacts-api/issues/730)) ([224d7e3](https://github.com/Fdawgs/yh-community-contacts-api/commit/224d7e3ee2b44260f744e77d00500214001d8115))
* fix inline comment style ([89e1492](https://github.com/Fdawgs/yh-community-contacts-api/commit/89e14922095f592b0cdeeeec8811d3327c0d9a5d))
* use nouns for leading word in function description tags ([#735](https://github.com/Fdawgs/yh-community-contacts-api/issues/735)) ([04038b3](https://github.com/Fdawgs/yh-community-contacts-api/commit/04038b33170875cae7c9c44640fa6c17a675062a))


### Bug fixes

* **plugins/db:** close mssql connection pool on app close ([37ee5a7](https://github.com/Fdawgs/yh-community-contacts-api/commit/37ee5a7b6941d6d6c467968d29415ba96194272b))
* **routes:** return more detailed error upon post request failures ([e42695e](https://github.com/Fdawgs/yh-community-contacts-api/commit/e42695e5206c63eab1953e061f65cd9a2f1403ac))
* **server:** handle arrays when pruning csp headers ([ced89ba](https://github.com/Fdawgs/yh-community-contacts-api/commit/ced89bae25769a6ac8c50d5bb95a9472f012de90))
* **server:** stop routes from accepting default `text/plain` requests ([#733](https://github.com/Fdawgs/yh-community-contacts-api/issues/733)) ([da4f492](https://github.com/Fdawgs/yh-community-contacts-api/commit/da4f4923acfe6d3c257c4024c8a3fdbced8c4c7d))


### Dependencies

* **deps-dev:** bump @commitlint/cli from 17.6.1 to 17.6.3 ([#719](https://github.com/Fdawgs/yh-community-contacts-api/issues/719)) ([4d51c2a](https://github.com/Fdawgs/yh-community-contacts-api/commit/4d51c2a6989274aa611773098e874c9a20938434))
* **deps-dev:** bump @commitlint/config-conventional ([#725](https://github.com/Fdawgs/yh-community-contacts-api/issues/725)) ([2d4588d](https://github.com/Fdawgs/yh-community-contacts-api/commit/2d4588d21380409c4eff19cab4ca92f4bc172d5f))
* **deps-dev:** bump autocannon from 7.10.0 to 7.11.0 ([#716](https://github.com/Fdawgs/yh-community-contacts-api/issues/716)) ([d6626e2](https://github.com/Fdawgs/yh-community-contacts-api/commit/d6626e248e1e005fc9c663ad73d841cbbf5944df))
* **deps-dev:** bump esbuild from 0.17.18 to 0.17.19 ([c8f1a38](https://github.com/Fdawgs/yh-community-contacts-api/commit/c8f1a38d82a3548308a4ed7a73d782ebe6edaa5a))
* **deps-dev:** bump esbuild-plugin-glob from 2.2.1 to 2.2.2 ([be91fa5](https://github.com/Fdawgs/yh-community-contacts-api/commit/be91fa515f30447f96476b8cb44860ea013d179e))
* **deps-dev:** bump eslint from 8.39.0 to 8.40.0 ([#722](https://github.com/Fdawgs/yh-community-contacts-api/issues/722)) ([69c630f](https://github.com/Fdawgs/yh-community-contacts-api/commit/69c630fdba4ea8a72c097a0bf1fb9bdaaf757267))
* **deps-dev:** bump eslint from 8.40.0 to 8.41.0 ([#728](https://github.com/Fdawgs/yh-community-contacts-api/issues/728)) ([cdfa9d3](https://github.com/Fdawgs/yh-community-contacts-api/commit/cdfa9d3eeeacc3d7a2c58d4999b634b68ddaaeb9))
* **deps-dev:** bump eslint-plugin-jsdoc from 43.0.7 to 44.2.4 ([#715](https://github.com/Fdawgs/yh-community-contacts-api/issues/715)) ([eb1747d](https://github.com/Fdawgs/yh-community-contacts-api/commit/eb1747dd780edee9f362920bc400be4559e5a04d))
* **deps-dev:** bump eslint-plugin-jsdoc from 44.2.4 to 44.2.7 ([#743](https://github.com/Fdawgs/yh-community-contacts-api/issues/743)) ([01909f1](https://github.com/Fdawgs/yh-community-contacts-api/commit/01909f1e4fb0685cd47db9ea999e91376aa14814))
* **deps-dev:** bump glob from 10.2.2 to 10.2.4 ([#723](https://github.com/Fdawgs/yh-community-contacts-api/issues/723)) ([bc86e2a](https://github.com/Fdawgs/yh-community-contacts-api/commit/bc86e2ac9df099e28c497693ecab04e3c4d8b8d0))
* **deps-dev:** bump glob from 10.2.4 to 10.2.5 ([#726](https://github.com/Fdawgs/yh-community-contacts-api/issues/726)) ([1ff4453](https://github.com/Fdawgs/yh-community-contacts-api/commit/1ff4453ec7beb56ecc3b1db446e7a86bd634c5a2))
* **deps-dev:** bump glob from 10.2.5 to 10.2.6 ([#739](https://github.com/Fdawgs/yh-community-contacts-api/issues/739)) ([7920a10](https://github.com/Fdawgs/yh-community-contacts-api/commit/7920a10adfcfac9baf611afb27cc2b1fda44f198))
* **deps-dev:** bump playwright from 1.32.3 to 1.33.0 ([#714](https://github.com/Fdawgs/yh-community-contacts-api/issues/714)) ([487532a](https://github.com/Fdawgs/yh-community-contacts-api/commit/487532aabe524d05a58c047258a42ef2cfe9cd74))
* **deps-dev:** bump playwright from 1.33.0 to 1.34.0 ([#727](https://github.com/Fdawgs/yh-community-contacts-api/issues/727)) ([42ee1c0](https://github.com/Fdawgs/yh-community-contacts-api/commit/42ee1c09cf284fb8b46bc7d867ad2babbeadc583))
* **deps-dev:** bump playwright from 1.34.0 to 1.34.3 ([#738](https://github.com/Fdawgs/yh-community-contacts-api/issues/738)) ([d1a8759](https://github.com/Fdawgs/yh-community-contacts-api/commit/d1a8759abe81974ba0ab277d31e509b770d16678))
* **deps:** bump @fastify/compress from 6.2.1 to 6.3.0 ([#724](https://github.com/Fdawgs/yh-community-contacts-api/issues/724)) ([f7167c1](https://github.com/Fdawgs/yh-community-contacts-api/commit/f7167c1a8f3834ec0b69f451e5f7426d3d26f92c))
* **deps:** bump @fastify/compress from 6.3.0 to 6.4.0 ([#737](https://github.com/Fdawgs/yh-community-contacts-api/issues/737)) ([69479b9](https://github.com/Fdawgs/yh-community-contacts-api/commit/69479b9f73275233f9d738ca2e9d143cc1f74d8c))
* **deps:** bump @fastify/cors from 8.2.1 to 8.3.0 ([#741](https://github.com/Fdawgs/yh-community-contacts-api/issues/741)) ([61a0b2f](https://github.com/Fdawgs/yh-community-contacts-api/commit/61a0b2f19367ae3c01563f0fac83d3b038cfd6d4))
* **deps:** bump @fastify/helmet from 10.1.0 to 10.1.1 ([#721](https://github.com/Fdawgs/yh-community-contacts-api/issues/721)) ([1148ec6](https://github.com/Fdawgs/yh-community-contacts-api/commit/1148ec62d14d423d8689df91b48bf12def1589aa))
* **deps:** bump @fastify/static from 6.10.1 to 6.10.2 ([#742](https://github.com/Fdawgs/yh-community-contacts-api/issues/742)) ([8abebaa](https://github.com/Fdawgs/yh-community-contacts-api/commit/8abebaa6decf4e3a9b13e3f008ce66b5fda2abca))
* **deps:** bump @fastify/swagger from 8.3.1 to 8.4.0 ([#713](https://github.com/Fdawgs/yh-community-contacts-api/issues/713)) ([85d03bf](https://github.com/Fdawgs/yh-community-contacts-api/commit/85d03bf8d8bc27d52bdc0ef4c294b38e83f88b62))
* **deps:** bump @fastify/swagger from 8.4.0 to 8.5.1 ([#740](https://github.com/Fdawgs/yh-community-contacts-api/issues/740)) ([fc0cf81](https://github.com/Fdawgs/yh-community-contacts-api/commit/fc0cf81bf8e3993e71e067bbb968f44b2158d6f4))
* **deps:** bump fastify from 4.15.0 to 4.17.0 ([#717](https://github.com/Fdawgs/yh-community-contacts-api/issues/717)) ([d2119c2](https://github.com/Fdawgs/yh-community-contacts-api/commit/d2119c22eb0888e36aa79ca2621476bfa55bdd03))
* **deps:** bump fastify-json-to-xml from 1.1.2 to 1.1.3 ([#744](https://github.com/Fdawgs/yh-community-contacts-api/issues/744)) ([56368db](https://github.com/Fdawgs/yh-community-contacts-api/commit/56368dbb43ec25d6d8a0fec1e7f0b97658021ca8))
* **deps:** bump pg from 8.10.0 to 8.11.0 ([#711](https://github.com/Fdawgs/yh-community-contacts-api/issues/711)) ([a48786d](https://github.com/Fdawgs/yh-community-contacts-api/commit/a48786d81548ab26efab35bfc91b1bd5e4fa1de4))
* **deps:** bump pino from 8.11.0 to 8.14.1 ([#720](https://github.com/Fdawgs/yh-community-contacts-api/issues/720)) ([d868a4c](https://github.com/Fdawgs/yh-community-contacts-api/commit/d868a4c917a1d50a1bdc3ad3ebd2463f96924f98))
* **deps:** bump transistive dependencies ([04d4b13](https://github.com/Fdawgs/yh-community-contacts-api/commit/04d4b1373c81ae64721728883fb6bb4ed645f226))
* **deps:** bump yaml from 2.2.1 to 2.2.2 ([#712](https://github.com/Fdawgs/yh-community-contacts-api/issues/712)) ([6e80f23](https://github.com/Fdawgs/yh-community-contacts-api/commit/6e80f23d63a4bfcdcf763f275d1fe4817b969b01))

## [7.1.7](https://github.com/Fdawgs/yh-community-contacts-api/compare/v7.1.6...v7.1.7) (2023-04-24)


### Improvements

* **server:** replace json parse stringify with `structuredClone()` ([#691](https://github.com/Fdawgs/yh-community-contacts-api/issues/691)) ([64bcabc](https://github.com/Fdawgs/yh-community-contacts-api/commit/64bcabc7f4eebb45e4d39ca831fb7e09c0e9f353))


### Documentation

* include logo in repo ([614addd](https://github.com/Fdawgs/yh-community-contacts-api/commit/614adddfe6255120e090e0b098e045570326fd3c))


### Continuous integration

* **deps:** bump coverallsapp/github-action from 2.0.0 to 2.1.2 ([#697](https://github.com/Fdawgs/yh-community-contacts-api/issues/697)) ([f4bec06](https://github.com/Fdawgs/yh-community-contacts-api/commit/f4bec06a5380900af24bed856dd565da221410cb))
* **deps:** bump peter-evans/create-pull-request from 4 to 5 ([#696](https://github.com/Fdawgs/yh-community-contacts-api/issues/696)) ([ce16a36](https://github.com/Fdawgs/yh-community-contacts-api/commit/ce16a36e25bf4f55dc268ef4675d445927dbd3df))


### Miscellaneous

* **license:** add somerset nhsft ([d96c2e8](https://github.com/Fdawgs/yh-community-contacts-api/commit/d96c2e8195a4a147e2928d9a81a5f0e22d13659e))
* rename repo to reflect organisation change ([#693](https://github.com/Fdawgs/yh-community-contacts-api/issues/693)) ([8725908](https://github.com/Fdawgs/yh-community-contacts-api/commit/8725908e61d92696ec1e23afb12a090d07bc50df))
* replace ydh nhsft branding and links with somerset nhsft ([#692](https://github.com/Fdawgs/yh-community-contacts-api/issues/692)) ([05c32d9](https://github.com/Fdawgs/yh-community-contacts-api/commit/05c32d90d5a27dfdafe32d70dd7cb3b40e529955))
* **scripts/license-checker:** resolve eslint jsdoc warning ([8dbe13e](https://github.com/Fdawgs/yh-community-contacts-api/commit/8dbe13e0da69726cdd18060b5a1981ebe53cff7a))
* update ydh email domain ([df25657](https://github.com/Fdawgs/yh-community-contacts-api/commit/df25657590fa12a3cd25cd72ba2a00a5d607249e))


### Dependencies

* **deps-dev:** bump @commitlint/cli from 17.5.1 to 17.6.1 ([#699](https://github.com/Fdawgs/yh-community-contacts-api/issues/699)) ([bd5e493](https://github.com/Fdawgs/yh-community-contacts-api/commit/bd5e49374adc893d9fec3409fd120f85cdea5d45))
* **deps-dev:** bump @commitlint/config-conventional ([#700](https://github.com/Fdawgs/yh-community-contacts-api/issues/700)) ([4f63274](https://github.com/Fdawgs/yh-community-contacts-api/commit/4f63274836a6fc619b3778f47c00187ddf975911))
* **deps-dev:** bump esbuild from 0.17.15 to 0.17.18 ([dd91c5f](https://github.com/Fdawgs/yh-community-contacts-api/commit/dd91c5f3276e733c881451ec12d9046fc7e007c4))
* **deps-dev:** bump eslint from 8.37.0 to 8.39.0 ([#701](https://github.com/Fdawgs/yh-community-contacts-api/issues/701)) ([8cdbc24](https://github.com/Fdawgs/yh-community-contacts-api/commit/8cdbc2460b33c5b21b7202644cdce87fbdb3b6af))
* **deps-dev:** bump eslint-plugin-jsdoc from 40.1.1 to 43.0.7 ([#707](https://github.com/Fdawgs/yh-community-contacts-api/issues/707)) ([920a16f](https://github.com/Fdawgs/yh-community-contacts-api/commit/920a16fe34cd5995fd1262d93bbcbd6ee38e1b08))
* **deps-dev:** bump glob from 9.3.4 to 10.2.2 ([#702](https://github.com/Fdawgs/yh-community-contacts-api/issues/702)) ([7d96165](https://github.com/Fdawgs/yh-community-contacts-api/commit/7d961659aaf0cd64b199dd585b30bc1450b13ef9))
* **deps-dev:** bump playwright from 1.32.2 to 1.32.3 ([#703](https://github.com/Fdawgs/yh-community-contacts-api/issues/703)) ([8c208f6](https://github.com/Fdawgs/yh-community-contacts-api/commit/8c208f6c23113ca31ec5cb1768134fd80f481089))
* **deps-dev:** bump prettier from 2.8.7 to 2.8.8 ([#698](https://github.com/Fdawgs/yh-community-contacts-api/issues/698)) ([de31538](https://github.com/Fdawgs/yh-community-contacts-api/commit/de315385e32e797522de38027a65bc5de4b73af8))
* **deps:** bump @fastify/static from 6.10.0 to 6.10.1 ([#704](https://github.com/Fdawgs/yh-community-contacts-api/issues/704)) ([2f50188](https://github.com/Fdawgs/yh-community-contacts-api/commit/2f50188de161f4aca34cbef681a68236e923e761))
* **deps:** bump fastify-disablecache from 3.1.1 to 3.1.2 ([#706](https://github.com/Fdawgs/yh-community-contacts-api/issues/706)) ([642756a](https://github.com/Fdawgs/yh-community-contacts-api/commit/642756a51ca23c482c700288ce6f59c49426b9b3))
* **deps:** bump fastify-floc-off from 2.1.1 to 2.1.2 ([#705](https://github.com/Fdawgs/yh-community-contacts-api/issues/705)) ([c8cee92](https://github.com/Fdawgs/yh-community-contacts-api/commit/c8cee922e09b25df723629f2c9d38cf1faa3131a))
* **deps:** bump fastify-json-to-xml from 1.1.1 to 1.1.2 ([#708](https://github.com/Fdawgs/yh-community-contacts-api/issues/708)) ([a4b18a2](https://github.com/Fdawgs/yh-community-contacts-api/commit/a4b18a218cf44fd74d85f420be28122f8e3fdc38))
* **deps:** bump transistive dependencies ([6f23a11](https://github.com/Fdawgs/yh-community-contacts-api/commit/6f23a115ea02c2be020dbd175863795cc113a3cd))

## [7.1.6](https://github.com/Fdawgs/yh-community-contacts-api/compare/v7.1.5...v7.1.6) (2023-04-04)


### Continuous integration

* **dependabot:** change commit message prefix for gh actions to `ci` ([#656](https://github.com/Fdawgs/yh-community-contacts-api/issues/656)) ([56bcbc3](https://github.com/Fdawgs/yh-community-contacts-api/commit/56bcbc34ca0307619691793f33f87160abafe1a7))
* **dependabot:** correct property type ([#664](https://github.com/Fdawgs/yh-community-contacts-api/issues/664)) ([a6d3e09](https://github.com/Fdawgs/yh-community-contacts-api/commit/a6d3e09ab185bbe5280b3572a0acad2727c68dbc))
* **dependabot:** ignore esm major versions ([#657](https://github.com/Fdawgs/yh-community-contacts-api/issues/657)) ([16bea6e](https://github.com/Fdawgs/yh-community-contacts-api/commit/16bea6e61a8f0eb2410da2385d86dfba110a30a2))


### Bug fixes

* **config:** missing `CORS_ORIGIN` env variable throws error ([#680](https://github.com/Fdawgs/yh-community-contacts-api/issues/680)) ([250da7a](https://github.com/Fdawgs/yh-community-contacts-api/commit/250da7aa44a1879c4ddb1667c24027de3158fee8))


### Miscellaneous

* **.prettierrc:** enable `arrowParens` option ([#681](https://github.com/Fdawgs/yh-community-contacts-api/issues/681)) ([ce6bb43](https://github.com/Fdawgs/yh-community-contacts-api/commit/ce6bb432d9c3ad5b2d8bcd8e22ff443cff1e9faa))


### Improvements

* **config:** ensure `_ARRAY` env variables match array patterns ([#682](https://github.com/Fdawgs/yh-community-contacts-api/issues/682)) ([774b29b](https://github.com/Fdawgs/yh-community-contacts-api/commit/774b29b1fc365e077f1571dadb7fd95eb3a42ad3))
* remove redundant multi line regex flags ([#670](https://github.com/Fdawgs/yh-community-contacts-api/issues/670)) ([ebddb5b](https://github.com/Fdawgs/yh-community-contacts-api/commit/ebddb5bdccdf526a087ab73dfca5488844fcf018))
* **routes/admin/access:** check req object is not falsey ([#667](https://github.com/Fdawgs/yh-community-contacts-api/issues/667)) ([a601e85](https://github.com/Fdawgs/yh-community-contacts-api/commit/a601e8590bb474a3577c016a1737555dd2119d5e))


### Documentation

* **contributing:** add link to conventional config ([#658](https://github.com/Fdawgs/yh-community-contacts-api/issues/658)) ([0ea966b](https://github.com/Fdawgs/yh-community-contacts-api/commit/0ea966b16501a600729b06c75b9efa156388ef33))
* **contributing:** note `build` script ([b4afb05](https://github.com/Fdawgs/yh-community-contacts-api/commit/b4afb051fee207c50bee105bfaf06a2e3e57496f))


### Dependencies

* **deps-dev:** bump @commitlint/cli from 17.4.4 to 17.5.0 ([#660](https://github.com/Fdawgs/yh-community-contacts-api/issues/660)) ([279dc0b](https://github.com/Fdawgs/yh-community-contacts-api/commit/279dc0bd18a3d23819cf7794cc7202f244be53f2))
* **deps-dev:** bump @commitlint/cli from 17.5.0 to 17.5.1 ([#675](https://github.com/Fdawgs/yh-community-contacts-api/issues/675)) ([2fb388d](https://github.com/Fdawgs/yh-community-contacts-api/commit/2fb388dbd947defe77be9c07cfa92f2eb76be6ff))
* **deps-dev:** bump esbuild from 0.17.10 to 0.17.15 ([#687](https://github.com/Fdawgs/yh-community-contacts-api/issues/687)) ([f854e91](https://github.com/Fdawgs/yh-community-contacts-api/commit/f854e9187557e33e79e0173291931ce703566ae8))
* **deps-dev:** bump eslint from 8.36.0 to 8.37.0 ([#678](https://github.com/Fdawgs/yh-community-contacts-api/issues/678)) ([22c6179](https://github.com/Fdawgs/yh-community-contacts-api/commit/22c6179f954e9d968d689ff1ca62e3e371253c0b))
* **deps-dev:** bump eslint-plugin-jsdoc from 40.1.0 to 40.1.1 ([#674](https://github.com/Fdawgs/yh-community-contacts-api/issues/674)) ([bf6c0e5](https://github.com/Fdawgs/yh-community-contacts-api/commit/bf6c0e56e21825e0faebf15a22e30a757c2bb691))
* **deps-dev:** bump glob from 9.3.1 to 9.3.2 ([#662](https://github.com/Fdawgs/yh-community-contacts-api/issues/662)) ([eaf5592](https://github.com/Fdawgs/yh-community-contacts-api/commit/eaf559232bb86f39271ef587b9fc2f97ad5a8ca3))
* **deps-dev:** bump glob from 9.3.2 to 9.3.4 ([#683](https://github.com/Fdawgs/yh-community-contacts-api/issues/683)) ([f246b7f](https://github.com/Fdawgs/yh-community-contacts-api/commit/f246b7f7afda0e0ebba933ec100e06c211bdf4a4))
* **deps-dev:** bump nodemon from 2.0.21 to 2.0.22 ([#659](https://github.com/Fdawgs/yh-community-contacts-api/issues/659)) ([2f1ed57](https://github.com/Fdawgs/yh-community-contacts-api/commit/2f1ed57c4528eb650ec992f0c8bb131226806bab))
* **deps-dev:** bump playwright from 1.31.2 to 1.32.0 ([#661](https://github.com/Fdawgs/yh-community-contacts-api/issues/661)) ([b5c7e58](https://github.com/Fdawgs/yh-community-contacts-api/commit/b5c7e58f6f82b55caf43b1d18ff158a620980774))
* **deps-dev:** bump playwright from 1.32.0 to 1.32.1 ([#677](https://github.com/Fdawgs/yh-community-contacts-api/issues/677)) ([8b70b6d](https://github.com/Fdawgs/yh-community-contacts-api/commit/8b70b6d9b0d9f0cac4141915ca29078816ac34e0))
* **deps-dev:** bump playwright from 1.32.1 to 1.32.2 ([#685](https://github.com/Fdawgs/yh-community-contacts-api/issues/685)) ([94749d7](https://github.com/Fdawgs/yh-community-contacts-api/commit/94749d7269090be80e3fc0b42bef74dc3a23e016))
* **deps-dev:** bump prettier from 2.8.6 to 2.8.7 ([#673](https://github.com/Fdawgs/yh-community-contacts-api/issues/673)) ([8c5a310](https://github.com/Fdawgs/yh-community-contacts-api/commit/8c5a310ecd2d4cb8c328b341a7faaec93e795109))
* **deps:** bump @fastify/compress from 6.2.0 to 6.2.1 ([#672](https://github.com/Fdawgs/yh-community-contacts-api/issues/672)) ([719bfd9](https://github.com/Fdawgs/yh-community-contacts-api/commit/719bfd9b2226ac7394ce73a2b2a80d9c579381a9))
* **deps:** bump @fastify/static from 6.9.0 to 6.10.0 ([#686](https://github.com/Fdawgs/yh-community-contacts-api/issues/686)) ([2cd785f](https://github.com/Fdawgs/yh-community-contacts-api/commit/2cd785f575547f60d123783a655b79781c9a1b2d))
* **deps:** bump fastify-disablecache from 3.1.0 to 3.1.1 ([#684](https://github.com/Fdawgs/yh-community-contacts-api/issues/684)) ([b772061](https://github.com/Fdawgs/yh-community-contacts-api/commit/b772061427c149e9c821ff570026e27564f038d3))
* **deps:** bump fastify-floc-off from 2.1.0 to 2.1.1 ([#671](https://github.com/Fdawgs/yh-community-contacts-api/issues/671)) ([7557bc1](https://github.com/Fdawgs/yh-community-contacts-api/commit/7557bc13c509bccb5cb9105715de0bbee48c8486))
* **deps:** bump fastify-json-to-xml from 1.1.0 to 1.1.1 ([#676](https://github.com/Fdawgs/yh-community-contacts-api/issues/676)) ([35aeced](https://github.com/Fdawgs/yh-community-contacts-api/commit/35aecedd39817a9e367b271247ca54ac7d4ba3c8))
* **deps:** bump transistive dependencies ([#688](https://github.com/Fdawgs/yh-community-contacts-api/issues/688)) ([f034da5](https://github.com/Fdawgs/yh-community-contacts-api/commit/f034da55a9c181b08dd589fddae9aa52a81a8f03))

## [7.1.5](https://github.com/Fdawgs/yh-community-contacts-api/compare/v7.1.4...v7.1.5) (2023-03-21)


### Bug fixes

* **server:** premature closes crashing server ([4dfbefb](https://github.com/Fdawgs/yh-community-contacts-api/commit/4dfbefb5eba3e86aae95655f71973f6fc8317e21))


### Improvements

* **migrate:** use `path.joinSafe()` over `path.join()` ([6a62062](https://github.com/Fdawgs/yh-community-contacts-api/commit/6a62062c4e4aaa9c6ec45c9a4846b85508308d8f))
* remove optional chaining for first level properties ([#647](https://github.com/Fdawgs/yh-community-contacts-api/issues/647)) ([3c6888b](https://github.com/Fdawgs/yh-community-contacts-api/commit/3c6888b2e8691f0850592098b41b8bc024b29848))
* **server:** convert sync async notfoundhandler to sync only ([#645](https://github.com/Fdawgs/yh-community-contacts-api/issues/645)) ([a8afcc8](https://github.com/Fdawgs/yh-community-contacts-api/commit/a8afcc8e65cbb03006e053df53cf695fb5635399))


### Miscellaneous

* **routes:** update schema inline comment re injection attacks ([#648](https://github.com/Fdawgs/yh-community-contacts-api/issues/648)) ([2a4fbf6](https://github.com/Fdawgs/yh-community-contacts-api/commit/2a4fbf684db42dcffe06f9151a12e1c67c150b84))
* **scripts:** move esbuild to script dir ([#644](https://github.com/Fdawgs/yh-community-contacts-api/issues/644)) ([80dccc2](https://github.com/Fdawgs/yh-community-contacts-api/commit/80dccc2c7862862769290433f0c9e71f5de8d0af))
* **scripts:** remove redundant export ([d0be16c](https://github.com/Fdawgs/yh-community-contacts-api/commit/d0be16c4a822adf0bd8bf790433a0bae68be466c))
* **scripts:** use js script to check licenses ([#641](https://github.com/Fdawgs/yh-community-contacts-api/issues/641)) ([5f20e54](https://github.com/Fdawgs/yh-community-contacts-api/commit/5f20e54c6125a7cc022d5d8eaa93e387373833e1))
* **server:** inline comment re internal server error handling ([a38a531](https://github.com/Fdawgs/yh-community-contacts-api/commit/a38a531eadf426744fc063166a68688b81c4fc74))
* **server:** inline comment spelling ([a66fd0f](https://github.com/Fdawgs/yh-community-contacts-api/commit/a66fd0fa7d6181bf294c607c61eccb72f216f128))


### Dependencies

* **deps-dev:** bump eslint-config-prettier from 8.7.0 to 8.8.0 ([#651](https://github.com/Fdawgs/yh-community-contacts-api/issues/651)) ([d18106f](https://github.com/Fdawgs/yh-community-contacts-api/commit/d18106f87aea9600320c48e5c22bb728018fb259))
* **deps-dev:** bump eslint-plugin-jsdoc from 40.0.2 to 40.1.0 ([#653](https://github.com/Fdawgs/yh-community-contacts-api/issues/653)) ([3aed216](https://github.com/Fdawgs/yh-community-contacts-api/commit/3aed216764c62fd9b07fcfe2ed8ba2024ae0c7b9))
* **deps-dev:** bump glob from 9.3.0 to 9.3.1 ([#650](https://github.com/Fdawgs/yh-community-contacts-api/issues/650)) ([684b921](https://github.com/Fdawgs/yh-community-contacts-api/commit/684b9216bfcf189a3888d5583141d1b024e6f24d))
* **deps-dev:** bump prettier from 2.8.4 to 2.8.6 ([#652](https://github.com/Fdawgs/yh-community-contacts-api/issues/652)) ([2e3523a](https://github.com/Fdawgs/yh-community-contacts-api/commit/2e3523ad8b28be3a8f88be102ece5b99039d3f29))
* **deps:** bump @fastify/cors from 8.2.0 to 8.2.1 ([#654](https://github.com/Fdawgs/yh-community-contacts-api/issues/654)) ([92189da](https://github.com/Fdawgs/yh-community-contacts-api/commit/92189dab5bc1f85835f09af7eeb5cf2eb69f3371))
* **deps:** bump coverallsapp/github-action from 1.2.4 to 2.0.0 ([#649](https://github.com/Fdawgs/yh-community-contacts-api/issues/649)) ([1f96ba7](https://github.com/Fdawgs/yh-community-contacts-api/commit/1f96ba722d76e66b4d4cb291a414135b85dc987f))
* **deps:** bump fastify from 4.14.1 to 4.15.0 ([#655](https://github.com/Fdawgs/yh-community-contacts-api/issues/655)) ([75ad01e](https://github.com/Fdawgs/yh-community-contacts-api/commit/75ad01e6945c50e812dae1aa4f6d8a5b066eb893))
* **deps:** bump webpack from 5.75.0 to 5.76.1 ([#642](https://github.com/Fdawgs/yh-community-contacts-api/issues/642)) ([9ae8df7](https://github.com/Fdawgs/yh-community-contacts-api/commit/9ae8df7be3f722665113ac864103ff3dec7c5be2))

## [7.1.4](https://github.com/Fdawgs/yh-community-contacts-api/compare/v7.1.3...v7.1.4) (2023-03-14)


### Documentation

* **readme:** replace nhs digital mention with nhs england ([a976b0a](https://github.com/Fdawgs/yh-community-contacts-api/commit/a976b0a63ec17a15806eaa2cb517a24779ddb5db))


### Miscellaneous

* ignore bun lockfile ([#623](https://github.com/Fdawgs/yh-community-contacts-api/issues/623)) ([945c8ba](https://github.com/Fdawgs/yh-community-contacts-api/commit/945c8ba07e4704ea9b449b59c533496ed19fbef6))
* **package:** add funding url ([6037f40](https://github.com/Fdawgs/yh-community-contacts-api/commit/6037f407255485dd94dac5ec5607572dacf9553f))
* **plugins/clean-object:** ignore false eslint obj injection warnings ([#627](https://github.com/Fdawgs/yh-community-contacts-api/issues/627)) ([73f1837](https://github.com/Fdawgs/yh-community-contacts-api/commit/73f18376d3079e6fd5fd36ba51eeebd0eb90d59e))


### Improvements

* remove redundant sql distinct keywords ([#626](https://github.com/Fdawgs/yh-community-contacts-api/issues/626)) ([7084b89](https://github.com/Fdawgs/yh-community-contacts-api/commit/7084b897dcb2f91d9b2b71a0b88484632acfe773))
* **routes/admin/access/bearer-token:** use array map over push ([8381c52](https://github.com/Fdawgs/yh-community-contacts-api/commit/8381c5234cbf9e5a629ee6150875f1fa8208e101))
* **routes/contact:** use array map over push ([f6c4ef1](https://github.com/Fdawgs/yh-community-contacts-api/commit/f6c4ef190f0aa18b42ba2d0f3a5dd00a66e1a89d))
* **routes:** create new arrays over single pushes ([30b2e46](https://github.com/Fdawgs/yh-community-contacts-api/commit/30b2e465fe6359f4a11d38f72d01286c304c5d95))
* **routes:** use optional chaining ([#628](https://github.com/Fdawgs/yh-community-contacts-api/issues/628)) ([736369f](https://github.com/Fdawgs/yh-community-contacts-api/commit/736369f4666f6bdd135e977e33d398f4b3157fd4))


### Dependencies

* **deps-dev:** bump eslint from 8.35.0 to 8.36.0 ([#633](https://github.com/Fdawgs/yh-community-contacts-api/issues/633)) ([6c02b1d](https://github.com/Fdawgs/yh-community-contacts-api/commit/6c02b1dbda1cfad4472868b8d3e9a9ae65a8b84f))
* **deps-dev:** bump eslint-config-prettier from 8.6.0 to 8.7.0 ([#637](https://github.com/Fdawgs/yh-community-contacts-api/issues/637)) ([b628d12](https://github.com/Fdawgs/yh-community-contacts-api/commit/b628d12ac70d82e016af12ea9cfbc57c764b830f))
* **deps-dev:** bump eslint-plugin-jsdoc from 40.0.0 to 40.0.2 ([#640](https://github.com/Fdawgs/yh-community-contacts-api/issues/640)) ([f679d94](https://github.com/Fdawgs/yh-community-contacts-api/commit/f679d94d618ba68f56f97a9e2325fbbe4e446678))
* **deps-dev:** bump glob from 9.1.0 to 9.3.0 ([#632](https://github.com/Fdawgs/yh-community-contacts-api/issues/632)) ([1138cc9](https://github.com/Fdawgs/yh-community-contacts-api/commit/1138cc9912dd7bf696c4748c8d209729080f2e8b))
* **deps-dev:** bump jest from 29.4.3 to 29.5.0 ([#630](https://github.com/Fdawgs/yh-community-contacts-api/issues/630)) ([685c9a4](https://github.com/Fdawgs/yh-community-contacts-api/commit/685c9a4b18ff287b2a5685564ffcdaed5799d2f1))
* **deps-dev:** bump nodemon from 2.0.20 to 2.0.21 ([#638](https://github.com/Fdawgs/yh-community-contacts-api/issues/638)) ([a76277f](https://github.com/Fdawgs/yh-community-contacts-api/commit/a76277f3ba0e8219cceb48846b2cee833bd03691))
* **deps-dev:** bump pino-pretty from 9.4.0 to 10.0.0 ([#639](https://github.com/Fdawgs/yh-community-contacts-api/issues/639)) ([de27e0e](https://github.com/Fdawgs/yh-community-contacts-api/commit/de27e0ea92ab8efd45a869c28a83ae9f35dc1cff))
* **deps-dev:** bump playwright from 1.31.1 to 1.31.2 ([#635](https://github.com/Fdawgs/yh-community-contacts-api/issues/635)) ([ee6c513](https://github.com/Fdawgs/yh-community-contacts-api/commit/ee6c513a3cfecb12c9c805b47a7f9f691e273447))
* **deps:** bump @fastify/rate-limit from 7.6.0 to 8.0.0 ([#636](https://github.com/Fdawgs/yh-community-contacts-api/issues/636)) ([6812f38](https://github.com/Fdawgs/yh-community-contacts-api/commit/6812f387b579512bbb07ec75a1de477a7818fff6))
* **deps:** bump coverallsapp/github-action from 1.2.3 to 1.2.4 ([#622](https://github.com/Fdawgs/yh-community-contacts-api/issues/622)) ([d4b1fe7](https://github.com/Fdawgs/yh-community-contacts-api/commit/d4b1fe77c75d0f8fcfbbe4a6de46ef1386a3aad3))
* **deps:** bump fastify from 4.13.0 to 4.14.1 ([#631](https://github.com/Fdawgs/yh-community-contacts-api/issues/631)) ([5523a41](https://github.com/Fdawgs/yh-community-contacts-api/commit/5523a418a3409454e6bc08d9f816bd090200eb55))
* **deps:** bump pg from 8.9.0 to 8.10.0 ([#634](https://github.com/Fdawgs/yh-community-contacts-api/issues/634)) ([6fbd957](https://github.com/Fdawgs/yh-community-contacts-api/commit/6fbd95796f922c38bd7015bfe514665225c1468e))

## [7.1.3](https://github.com/Fdawgs/yh-community-contacts-api/compare/v7.1.2...v7.1.3) (2023-03-01)


### Improvements

* **routes/docs:** defer non-critical css ([#610](https://github.com/Fdawgs/yh-community-contacts-api/issues/610)) ([0a9e93c](https://github.com/Fdawgs/yh-community-contacts-api/commit/0a9e93cf39d42574e89359eb3d2d7a1842f945d2))


### Miscellaneous

* **routes/docs:** use correct terminology for openapi definitions ([#613](https://github.com/Fdawgs/yh-community-contacts-api/issues/613)) ([c6a9deb](https://github.com/Fdawgs/yh-community-contacts-api/commit/c6a9debfb3f939e0e3c95e3ac3778c68d29416b1))


### Dependencies

* **deps-dev:** bump esbuild from 0.17.5 to 0.17.10 ([#620](https://github.com/Fdawgs/yh-community-contacts-api/issues/620)) ([6619c6e](https://github.com/Fdawgs/yh-community-contacts-api/commit/6619c6e443c599a099f0299613e1b6d92f9f54f3))
* **deps-dev:** bump eslint from 8.34.0 to 8.35.0 ([#618](https://github.com/Fdawgs/yh-community-contacts-api/issues/618)) ([1868160](https://github.com/Fdawgs/yh-community-contacts-api/commit/1868160132f2182ad1e84bcd3156941d392b95a0))
* **deps-dev:** bump glob from 8.1.0 to 9.1.0 ([442dbdd](https://github.com/Fdawgs/yh-community-contacts-api/commit/442dbddd41d18ec313bcfdabd6fac06988203ed4))
* **deps-dev:** bump pino-pretty from 9.3.0 to 9.4.0 ([#615](https://github.com/Fdawgs/yh-community-contacts-api/issues/615)) ([6e4fba3](https://github.com/Fdawgs/yh-community-contacts-api/commit/6e4fba3eefc373376ccbe7f7c0ec1727d65e3741))
* **deps-dev:** bump playwright from 1.31.0 to 1.31.1 ([#617](https://github.com/Fdawgs/yh-community-contacts-api/issues/617)) ([b245ff3](https://github.com/Fdawgs/yh-community-contacts-api/commit/b245ff34bef01c63f2093a5c836b11e2eb1f8067))
* **deps:** bump coverallsapp/github-action from 1.1.3 to 1.2.3 ([#614](https://github.com/Fdawgs/yh-community-contacts-api/issues/614)) ([8ee53a4](https://github.com/Fdawgs/yh-community-contacts-api/commit/8ee53a42d8414b1f3c5636a10a2e43e08b761d24))
* **deps:** bump pino from 8.10.0 to 8.11.0 ([#616](https://github.com/Fdawgs/yh-community-contacts-api/issues/616)) ([9bbf3b2](https://github.com/Fdawgs/yh-community-contacts-api/commit/9bbf3b2d2f72da3798d2d11a9485bd332c903178))
* **deps:** bump transistive dependencies ([#621](https://github.com/Fdawgs/yh-community-contacts-api/issues/621)) ([44f42d7](https://github.com/Fdawgs/yh-community-contacts-api/commit/44f42d7f4c95e71b10bd3bf6cbe80c1680791b0a))

## [7.1.2](https://github.com/Fdawgs/yh-community-contacts-api/compare/v7.1.1...v7.1.2) (2023-02-22)


### Documentation

* **images:** update api documentation screenshot ([a3e64fd](https://github.com/Fdawgs/yh-community-contacts-api/commit/a3e64fd346e14aa17b9e1988b2ab04d0d266ca24))


### Miscellaneous

* **config:** correct jsdoc param types ([f934bba](https://github.com/Fdawgs/yh-community-contacts-api/commit/f934bba5a9aae56e531cd3e40183b970b261a292))
* **plugins/hashed-bearer-auth:** add message to logged client name ([#600](https://github.com/Fdawgs/yh-community-contacts-api/issues/600)) ([fc422f0](https://github.com/Fdawgs/yh-community-contacts-api/commit/fc422f0926f198b6df9f6d769c4664611f5ec104))
* prefix unused params with underscores ([0ff36d5](https://github.com/Fdawgs/yh-community-contacts-api/commit/0ff36d5d5a81f5995ecd2b88c0068d834842fd44))


### Bug fixes

* **config:** misleading thrown error message ([b024464](https://github.com/Fdawgs/yh-community-contacts-api/commit/b0244648e0eec1fe75ce3fbcd0c2e386705336c2))


### Dependencies

* **deps-dev:** bump @commitlint/cli from 17.4.3 to 17.4.4 ([#604](https://github.com/Fdawgs/yh-community-contacts-api/issues/604)) ([880a9ff](https://github.com/Fdawgs/yh-community-contacts-api/commit/880a9ffa1b2884388092121fcc7e712a15e583a5))
* **deps-dev:** bump @commitlint/config-conventional ([#605](https://github.com/Fdawgs/yh-community-contacts-api/issues/605)) ([cddb09e](https://github.com/Fdawgs/yh-community-contacts-api/commit/cddb09edf3b251d90b6031cd2f056071c8672bbd))
* **deps-dev:** bump jest from 29.4.2 to 29.4.3 ([#607](https://github.com/Fdawgs/yh-community-contacts-api/issues/607)) ([14c401d](https://github.com/Fdawgs/yh-community-contacts-api/commit/14c401dad5bdad43d8b0d6d17700e65d22f8974a))
* **deps-dev:** bump pino-pretty from 9.2.0 to 9.3.0 ([#603](https://github.com/Fdawgs/yh-community-contacts-api/issues/603)) ([45e63bd](https://github.com/Fdawgs/yh-community-contacts-api/commit/45e63bd0bbe98cc695112f75012b513c6d6eb2a1))
* **deps-dev:** bump playwright from 1.30.0 to 1.31.0 ([#602](https://github.com/Fdawgs/yh-community-contacts-api/issues/602)) ([ca3d1be](https://github.com/Fdawgs/yh-community-contacts-api/commit/ca3d1be1883072590beeb8c3e096c3c768930bfe))
* **deps:** bump fastify-disablecache from 3.0.6 to 3.1.0 ([#609](https://github.com/Fdawgs/yh-community-contacts-api/issues/609)) ([e6c0b28](https://github.com/Fdawgs/yh-community-contacts-api/commit/e6c0b282402fbba40d448a9a84580aa45597f627))
* **deps:** bump fastify-floc-off from 2.0.6 to 2.1.0 ([#606](https://github.com/Fdawgs/yh-community-contacts-api/issues/606)) ([fc18ed0](https://github.com/Fdawgs/yh-community-contacts-api/commit/fc18ed07474a6f0ad629b9cabf2dac7f15090958))
* **deps:** bump fastify-json-to-xml from 1.0.2 to 1.1.0 ([#608](https://github.com/Fdawgs/yh-community-contacts-api/issues/608)) ([03f34d7](https://github.com/Fdawgs/yh-community-contacts-api/commit/03f34d71c218235f6a7dccff81b1a2de78a1973a))

## [7.1.1](https://github.com/Fdawgs/yh-community-contacts-api/compare/v7.1.0...v7.1.1) (2023-02-15)


### Improvements

* **plugins:** replace xml plugin with dedicated dependency ([#575](https://github.com/Fdawgs/yh-community-contacts-api/issues/575)) ([e08821a](https://github.com/Fdawgs/yh-community-contacts-api/commit/e08821a080a95f12f766e31c6ee9f50cf553c112))
* **routes/contact:** use json object over fluent schema ([#578](https://github.com/Fdawgs/yh-community-contacts-api/issues/578)) ([618874a](https://github.com/Fdawgs/yh-community-contacts-api/commit/618874a9add1a979dea98fcbf8e0dc449c763ae2))


### Documentation

* **readme:** use more inclusive language ([c7cdf16](https://github.com/Fdawgs/yh-community-contacts-api/commit/c7cdf16a4ef9b62e5ff087b10fce2a947aae3d0d))


### Bug fixes

* **config:** convert cors params to lowercase ([0aafa64](https://github.com/Fdawgs/yh-community-contacts-api/commit/0aafa649d7fefb972e088468bd2d83c307d20379))
* openapi title and doc page description ([3617c56](https://github.com/Fdawgs/yh-community-contacts-api/commit/3617c5637e2c1c189cfc17982bdc989998e796d5))
* **routes/contact:** only add 401 response to schema when auth enabled ([7a74c6f](https://github.com/Fdawgs/yh-community-contacts-api/commit/7a74c6fabde6bb0f507e6975c27f45f9b9ee3e40))
* **routes:** search schema response key ([ef53e51](https://github.com/Fdawgs/yh-community-contacts-api/commit/ef53e5182dcd6df636c2adadf9e593ae7681350e))


### Continuous integration

* **cd:** use sentence case for changelog headings ([d805afe](https://github.com/Fdawgs/yh-community-contacts-api/commit/d805afe6f89bb0a9ebebb0befee25d6d06224335))


### Miscellaneous

* **config:** add comment re openapi `components` object ([#579](https://github.com/Fdawgs/yh-community-contacts-api/issues/579)) ([d5b781e](https://github.com/Fdawgs/yh-community-contacts-api/commit/d5b781e72543f0d04e245c191fee868b5b726e36))
* **config:** correct inline comment ([771d49e](https://github.com/Fdawgs/yh-community-contacts-api/commit/771d49e3e076c490c96ed2ff22b074e66fb81b11))
* **config:** use consistent style across api repos ([fea9684](https://github.com/Fdawgs/yh-community-contacts-api/commit/fea96848d73d87e184783316fca07f61891fd287))
* rename master branch to main ([#581](https://github.com/Fdawgs/yh-community-contacts-api/issues/581)) ([d71cf63](https://github.com/Fdawgs/yh-community-contacts-api/commit/d71cf63f446fbfa2f26355c2f3f8d084198c48b9))
* use sentence case over ap style for titles and headings ([438a038](https://github.com/Fdawgs/yh-community-contacts-api/commit/438a0388d4b1d68abe34cae077df19dec5c6b26c))


### Dependencies

* **deps-dev:** bump @commitlint/cli from 17.4.2 to 17.4.3 ([#597](https://github.com/Fdawgs/yh-community-contacts-api/issues/597)) ([189df23](https://github.com/Fdawgs/yh-community-contacts-api/commit/189df23405138c0cf3a7d5e80bc7b057562528c2))
* **deps-dev:** bump @commitlint/config-conventional ([#593](https://github.com/Fdawgs/yh-community-contacts-api/issues/593)) ([cc2cca8](https://github.com/Fdawgs/yh-community-contacts-api/commit/cc2cca8a72f731f098a98d6f960dc306478e85ba))
* **deps-dev:** bump eslint from 8.33.0 to 8.34.0 ([#594](https://github.com/Fdawgs/yh-community-contacts-api/issues/594)) ([095f424](https://github.com/Fdawgs/yh-community-contacts-api/commit/095f4249463a3a4829b9b78272e890835807e5d9))
* **deps-dev:** bump eslint-plugin-jsdoc from 39.7.5 to 40.0.0 ([#595](https://github.com/Fdawgs/yh-community-contacts-api/issues/595)) ([0d7387f](https://github.com/Fdawgs/yh-community-contacts-api/commit/0d7387fb297ffbb879f682f1904789207f082d56))
* **deps-dev:** bump eslint-plugin-security from 1.7.0 to 1.7.1 ([#590](https://github.com/Fdawgs/yh-community-contacts-api/issues/590)) ([02586d5](https://github.com/Fdawgs/yh-community-contacts-api/commit/02586d5591124e7aa0b4077fc62440ad4001ca02))
* **deps-dev:** bump jest from 29.4.1 to 29.4.2 ([#598](https://github.com/Fdawgs/yh-community-contacts-api/issues/598)) ([0850c60](https://github.com/Fdawgs/yh-community-contacts-api/commit/0850c60e6918cb51e5f2fe3b180b54316a4dac4f))
* **deps-dev:** bump pino-pretty from 9.1.1 to 9.2.0 ([#589](https://github.com/Fdawgs/yh-community-contacts-api/issues/589)) ([d0a15bf](https://github.com/Fdawgs/yh-community-contacts-api/commit/d0a15bfb27e4f5f21152c48620b87e6f76391baf))
* **deps-dev:** bump prettier from 2.8.3 to 2.8.4 ([#583](https://github.com/Fdawgs/yh-community-contacts-api/issues/583)) ([ecfd641](https://github.com/Fdawgs/yh-community-contacts-api/commit/ecfd64129dc39ed166eb25c9bc4e3ea688e9999d))
* **deps:** bump @fastify/static from 6.8.0 to 6.9.0 ([#588](https://github.com/Fdawgs/yh-community-contacts-api/issues/588)) ([3d389ef](https://github.com/Fdawgs/yh-community-contacts-api/commit/3d389efff962e519c968329496b34ceed3077d83))
* **deps:** bump @fastify/swagger from 8.3.0 to 8.3.1 ([#591](https://github.com/Fdawgs/yh-community-contacts-api/issues/591)) ([370c999](https://github.com/Fdawgs/yh-community-contacts-api/commit/370c999dc9a6a50ce07e40d9c29d40df98925fb6))
* **deps:** bump fastify from 4.12.0 to 4.13.0 ([#596](https://github.com/Fdawgs/yh-community-contacts-api/issues/596)) ([e26d5a9](https://github.com/Fdawgs/yh-community-contacts-api/commit/e26d5a9468d3326c6f3e4eae50dd81453fec959d))
* **deps:** bump fastify-disablecache from 3.0.5 to 3.0.6 ([#586](https://github.com/Fdawgs/yh-community-contacts-api/issues/586)) ([d07a392](https://github.com/Fdawgs/yh-community-contacts-api/commit/d07a392e0a313a2a4c10315f6000740929205ef0))
* **deps:** bump fastify-floc-off from 2.0.5 to 2.0.6 ([#584](https://github.com/Fdawgs/yh-community-contacts-api/issues/584)) ([17d0b9f](https://github.com/Fdawgs/yh-community-contacts-api/commit/17d0b9fd67ebade7e7832f1a107fb2ecc293bc62))
* **deps:** bump fastify-json-to-xml from 1.0.0 to 1.0.2 ([#585](https://github.com/Fdawgs/yh-community-contacts-api/issues/585)) ([8844435](https://github.com/Fdawgs/yh-community-contacts-api/commit/8844435fe05d7f0f024862755a67d142c9b520c3))
* **deps:** bump fluent-json-schema from 4.0.0 to 4.1.0 ([#587](https://github.com/Fdawgs/yh-community-contacts-api/issues/587)) ([0ae8fc2](https://github.com/Fdawgs/yh-community-contacts-api/commit/0ae8fc24db47d0df44bc27e0cca5d8c637bb9b85))
* **deps:** bump pino from 8.8.0 to 8.10.0 ([#592](https://github.com/Fdawgs/yh-community-contacts-api/issues/592)) ([691024c](https://github.com/Fdawgs/yh-community-contacts-api/commit/691024cad152ef51108b3a438855e2a03daeb573))

## [7.1.0](https://github.com/Fdawgs/yh-community-contacts-api/compare/v7.0.2...v7.1.0) (2023-02-01)


### Features

* **routes/contact:** add wildcard support to `match.receiver` param ([#547](https://github.com/Fdawgs/yh-community-contacts-api/issues/547)) ([527d961](https://github.com/Fdawgs/yh-community-contacts-api/commit/527d961b316a5fb1cb9b10c30831719a2492361d))


### Bug fixes

* pagination skipping concurrently created records ([#546](https://github.com/Fdawgs/yh-community-contacts-api/issues/546)) ([7a650ea](https://github.com/Fdawgs/yh-community-contacts-api/commit/7a650ea131b1aee3f319266de88c67f752da6d6e))
* **routes:** missing 400 response in openapi schema ([#548](https://github.com/Fdawgs/yh-community-contacts-api/issues/548)) ([e40c575](https://github.com/Fdawgs/yh-community-contacts-api/commit/e40c575b0a88975dd0532b32fa984f4935d9424f))
* **server:** response headers for static and 404 routes ([#549](https://github.com/Fdawgs/yh-community-contacts-api/issues/549)) ([91e7594](https://github.com/Fdawgs/yh-community-contacts-api/commit/91e7594db515b5e87fed08693330decb8a2ac6d9))


### Improvements

* **routes/docs:** increase cache max-age from 3 to 5 minutes ([d9fd504](https://github.com/Fdawgs/yh-community-contacts-api/commit/d9fd50433ccdfdc20b9f1db96aa8cbf64b0effe8))


### Miscellaneous

* **routes/docs/openapi:** reduce cache max-age from 60 to 30 minutes ([a3bf683](https://github.com/Fdawgs/yh-community-contacts-api/commit/a3bf6836cb2b96722e8b997b9be1e4aeebfb19e7))


### Dependencies

* **deps-dev:** bump @commitlint/cli from 17.4.0 to 17.4.1 ([#545](https://github.com/Fdawgs/yh-community-contacts-api/issues/545)) ([6162510](https://github.com/Fdawgs/yh-community-contacts-api/commit/6162510aa8500ee8d0c782faee36dcfd2272617c))
* **deps-dev:** bump @commitlint/cli from 17.4.1 to 17.4.2 ([#553](https://github.com/Fdawgs/yh-community-contacts-api/issues/553)) ([eb512f6](https://github.com/Fdawgs/yh-community-contacts-api/commit/eb512f62e2dabe7d58819d27fcb13e15ff06db1f))
* **deps-dev:** bump @commitlint/config-conventional ([#562](https://github.com/Fdawgs/yh-community-contacts-api/issues/562)) ([7e13e67](https://github.com/Fdawgs/yh-community-contacts-api/commit/7e13e67225e86cd33079727f78d113014bcacb53))
* **deps-dev:** bump esbuild from 0.16.16 to 0.17.5 ([f17314f](https://github.com/Fdawgs/yh-community-contacts-api/commit/f17314f870ec25cf136bd83453f9cf557a5aa352))
* **deps-dev:** bump eslint from 8.31.0 to 8.33.0 ([#555](https://github.com/Fdawgs/yh-community-contacts-api/issues/555)) ([9b68bca](https://github.com/Fdawgs/yh-community-contacts-api/commit/9b68bcac973ed3de9f2063e3cf5a10e02bf48bc4))
* **deps-dev:** bump eslint-plugin-import from 2.26.0 to 2.27.5 ([#571](https://github.com/Fdawgs/yh-community-contacts-api/issues/571)) ([88ccbba](https://github.com/Fdawgs/yh-community-contacts-api/commit/88ccbbaba17b53d5de32c25abfb71c873c119802))
* **deps-dev:** bump eslint-plugin-jest from 27.2.0 to 27.2.1 ([#540](https://github.com/Fdawgs/yh-community-contacts-api/issues/540)) ([0efe5a8](https://github.com/Fdawgs/yh-community-contacts-api/commit/0efe5a86c7e821397d064c68a121aa7a6cd045d7))
* **deps-dev:** bump eslint-plugin-jsdoc from 39.6.4 to 39.7.5 ([#566](https://github.com/Fdawgs/yh-community-contacts-api/issues/566)) ([3d548be](https://github.com/Fdawgs/yh-community-contacts-api/commit/3d548be182cfdb0ef1c08fffbf197b9c34921eb3))
* **deps-dev:** bump eslint-plugin-security from 1.5.0 to 1.7.0 ([#570](https://github.com/Fdawgs/yh-community-contacts-api/issues/570)) ([0f99c57](https://github.com/Fdawgs/yh-community-contacts-api/commit/0f99c570880001473b34c71714898ffb68307515))
* **deps-dev:** bump glob from 8.0.3 to 8.1.0 ([#559](https://github.com/Fdawgs/yh-community-contacts-api/issues/559)) ([0cf71fe](https://github.com/Fdawgs/yh-community-contacts-api/commit/0cf71fe45e5d7a2e35291256ee0b2a2dd1fec521))
* **deps-dev:** bump jest from 29.3.1 to 29.4.1 ([#568](https://github.com/Fdawgs/yh-community-contacts-api/issues/568)) ([7886b95](https://github.com/Fdawgs/yh-community-contacts-api/commit/7886b955c627b43035abd48daa70644193466dd4))
* **deps-dev:** bump playwright from 1.29.1 to 1.29.2 ([#544](https://github.com/Fdawgs/yh-community-contacts-api/issues/544)) ([e421eb0](https://github.com/Fdawgs/yh-community-contacts-api/commit/e421eb06e74c5ca69b3d0312c94d683499922a30))
* **deps-dev:** bump playwright from 1.29.2 to 1.30.0 ([#564](https://github.com/Fdawgs/yh-community-contacts-api/issues/564)) ([b9081f3](https://github.com/Fdawgs/yh-community-contacts-api/commit/b9081f3a3842c1c715d0c901dee02b40e38258a2))
* **deps-dev:** bump prettier from 2.8.1 to 2.8.2 ([#543](https://github.com/Fdawgs/yh-community-contacts-api/issues/543)) ([f1ecee4](https://github.com/Fdawgs/yh-community-contacts-api/commit/f1ecee4760cae886fbc4845d974345039ecc4f9e))
* **deps-dev:** bump prettier from 2.8.2 to 2.8.3 ([#567](https://github.com/Fdawgs/yh-community-contacts-api/issues/567)) ([2f4cc8f](https://github.com/Fdawgs/yh-community-contacts-api/commit/2f4cc8fbf5af0ec3e254fed2491dc7444ccac476))
* **deps:** bump @fastify/autoload from 5.7.0 to 5.7.1 ([#557](https://github.com/Fdawgs/yh-community-contacts-api/issues/557)) ([c390f21](https://github.com/Fdawgs/yh-community-contacts-api/commit/c390f217a6905d69abc1293a0d2a67fdcfe51fcc))
* **deps:** bump @fastify/static from 6.6.0 to 6.8.0 ([#561](https://github.com/Fdawgs/yh-community-contacts-api/issues/561)) ([9c208b9](https://github.com/Fdawgs/yh-community-contacts-api/commit/9c208b92f9267a47cb49beb55adcd55443848370))
* **deps:** bump @fastify/swagger from 8.2.1 to 8.3.0 ([#565](https://github.com/Fdawgs/yh-community-contacts-api/issues/565)) ([8382e31](https://github.com/Fdawgs/yh-community-contacts-api/commit/8382e318a1a038bd33620ff4369c85d1856bbcec))
* **deps:** bump fastify from 4.11.0 to 4.12.0 ([#556](https://github.com/Fdawgs/yh-community-contacts-api/issues/556)) ([5a616f6](https://github.com/Fdawgs/yh-community-contacts-api/commit/5a616f6d1f61fa9584e0bf9ef5b4cccb1a52f5ed))
* **deps:** bump fastify-disablecache from 3.0.4 to 3.0.5 ([#560](https://github.com/Fdawgs/yh-community-contacts-api/issues/560)) ([de426a9](https://github.com/Fdawgs/yh-community-contacts-api/commit/de426a96cd99cf39a28fb31c21089568635727cc))
* **deps:** bump fastify-floc-off from 2.0.4 to 2.0.5 ([#558](https://github.com/Fdawgs/yh-community-contacts-api/issues/558)) ([4bb29cc](https://github.com/Fdawgs/yh-community-contacts-api/commit/4bb29cc2aceaa5850537e06f892e6a31137b307e))
* **deps:** bump hadolint/hadolint-action from 3.0.0 to 3.1.0 ([#552](https://github.com/Fdawgs/yh-community-contacts-api/issues/552)) ([a0fefd6](https://github.com/Fdawgs/yh-community-contacts-api/commit/a0fefd6ffdd1478c973dbf48cb6dce482a2a4f45))
* **deps:** bump mssql from 9.0.1 to 9.1.1 ([#563](https://github.com/Fdawgs/yh-community-contacts-api/issues/563)) ([45a1769](https://github.com/Fdawgs/yh-community-contacts-api/commit/45a1769b9b01c7224ec6c53df473561c79c5a217))
* **deps:** bump pg from 8.8.0 to 8.9.0 ([#554](https://github.com/Fdawgs/yh-community-contacts-api/issues/554)) ([0322295](https://github.com/Fdawgs/yh-community-contacts-api/commit/03222956c2601d8da3825b910279f6d83150ac29))
* **deps:** bump secure-json-parse from 2.6.0 to 2.7.0 ([#541](https://github.com/Fdawgs/yh-community-contacts-api/issues/541)) ([4537068](https://github.com/Fdawgs/yh-community-contacts-api/commit/4537068e171f15eaa5792b783e4fac4a692741f6))
* **deps:** bump transistive dependencies ([9e7b368](https://github.com/Fdawgs/yh-community-contacts-api/commit/9e7b36897da8ea0d21458f934aa24b58bd36214d))
* use esbuild to compile ([#539](https://github.com/Fdawgs/yh-community-contacts-api/issues/539)) ([ae41382](https://github.com/Fdawgs/yh-community-contacts-api/commit/ae413829a56865e1d711325d2adbc18d15cd9c8f))


### Continuous integration

* **cd:** add missing install step ([bf9336d](https://github.com/Fdawgs/yh-community-contacts-api/commit/bf9336db7b5d452f58192cf17364e74f2570b6c8))

## [7.0.2](https://github.com/Fdawgs/yh-community-contacts-api/compare/v7.0.1...v7.0.2) (2023-01-05)


### Bug fixes

* **routes/docs:** limit files served from redoc module ([1a0c0ba](https://github.com/Fdawgs/yh-community-contacts-api/commit/1a0c0ba2dea2899b222d7b217fe410494e132982))


### Improvements

* **routes/docs:** do not expand 200 response by default ([7507918](https://github.com/Fdawgs/yh-community-contacts-api/commit/750791834a0bacd73e3efe0b1afef8cdb705c67a))
* **routes/docs:** remove search web worker and blob ([d74595d](https://github.com/Fdawgs/yh-community-contacts-api/commit/d74595d996c2b0edc809945eae5ea831634411f9))


### Documentation

* grammar and clarity fixes ([6570cba](https://github.com/Fdawgs/yh-community-contacts-api/commit/6570cba8750ff686e29e182307c713ffd0bd42b5))


### Miscellaneous

* **license:** update license year ([64a1615](https://github.com/Fdawgs/yh-community-contacts-api/commit/64a161562f8bea41abbafb93e0094172e4e98daa))
* **plugins:** rename plugin to use british english spelling ([938bd0a](https://github.com/Fdawgs/yh-community-contacts-api/commit/938bd0a5323f4df413159d31c327c95f87dcc4a3))
* **route/docs:** remove `x-ua-compatible` meta tag ([516cc08](https://github.com/Fdawgs/yh-community-contacts-api/commit/516cc080c33599f563b69504c7cd2c83cbb6be6f))
* **route/docs:** remove redundant html comment ([0862598](https://github.com/Fdawgs/yh-community-contacts-api/commit/08625980a661b77f1fc2ba156add1869e8789bfe))
* **routes:** ignore false eslint regex warnings ([26482c3](https://github.com/Fdawgs/yh-community-contacts-api/commit/26482c3a62500a9a830b345b645e5a792156d976))
* update contact details ([1f3f810](https://github.com/Fdawgs/yh-community-contacts-api/commit/1f3f81035518bcd6e7b949a5d930da72e7ef26b0))


### Dependencies

* **deps-dev:** bump @commitlint/cli from 17.3.0 to 17.4.0 ([#536](https://github.com/Fdawgs/yh-community-contacts-api/issues/536)) ([51c13ff](https://github.com/Fdawgs/yh-community-contacts-api/commit/51c13ffde09fede68ebf9899c9c6df26b5334c23))
* **deps-dev:** bump @commitlint/config-conventional ([#537](https://github.com/Fdawgs/yh-community-contacts-api/issues/537)) ([11aaa03](https://github.com/Fdawgs/yh-community-contacts-api/commit/11aaa035a106ceb717428934a3d09048b89aab8c))
* **deps-dev:** bump eslint from 8.29.0 to 8.31.0 ([#528](https://github.com/Fdawgs/yh-community-contacts-api/issues/528)) ([2e19622](https://github.com/Fdawgs/yh-community-contacts-api/commit/2e196225b862a59ae87726fefd22f4abbf75dd7b))
* **deps-dev:** bump eslint-config-prettier from 8.5.0 to 8.6.0 ([#533](https://github.com/Fdawgs/yh-community-contacts-api/issues/533)) ([3ae1c7a](https://github.com/Fdawgs/yh-community-contacts-api/commit/3ae1c7a1bdac2fe1a02f8fea69c2deff9a5baf7c))
* **deps-dev:** bump eslint-plugin-jest from 27.1.6 to 27.2.0 ([#525](https://github.com/Fdawgs/yh-community-contacts-api/issues/525)) ([c090bfc](https://github.com/Fdawgs/yh-community-contacts-api/commit/c090bfc9ed5e2276728bd324bb6464846d538130))
* **deps-dev:** bump husky from 8.0.2 to 8.0.3 ([#534](https://github.com/Fdawgs/yh-community-contacts-api/issues/534)) ([4cb53b0](https://github.com/Fdawgs/yh-community-contacts-api/commit/4cb53b0037c85bdbd64765d25ac274c9003d792e))
* **deps-dev:** bump playwright from 1.28.1 to 1.29.1 ([#526](https://github.com/Fdawgs/yh-community-contacts-api/issues/526)) ([9397e0f](https://github.com/Fdawgs/yh-community-contacts-api/commit/9397e0f84bb603a29b0f9f049f97ac6602953579))
* **deps:** bump @fastify/autoload from 5.6.0 to 5.7.0 ([#532](https://github.com/Fdawgs/yh-community-contacts-api/issues/532)) ([7ed1764](https://github.com/Fdawgs/yh-community-contacts-api/commit/7ed1764b0777feadf8c0bba7cbc73e7e5507fdf0))
* **deps:** bump fastify from 4.10.2 to 4.11.0 ([#535](https://github.com/Fdawgs/yh-community-contacts-api/issues/535)) ([95badfd](https://github.com/Fdawgs/yh-community-contacts-api/commit/95badfd5a0db86f7018f215ce23b0af2a5ea31d8))
* **deps:** bump pino from 8.7.0 to 8.8.0 ([#527](https://github.com/Fdawgs/yh-community-contacts-api/issues/527)) ([c5ca73c](https://github.com/Fdawgs/yh-community-contacts-api/commit/c5ca73c9210009c5442ca83bd4a937425013a3a8))
* **deps:** bump transistive dependencies ([#538](https://github.com/Fdawgs/yh-community-contacts-api/issues/538)) ([d90d43c](https://github.com/Fdawgs/yh-community-contacts-api/commit/d90d43c6afd03281cb0b82a2fb6e8354c77a00ed))

## [7.0.1](https://github.com/Fdawgs/yh-community-contacts-api/compare/v7.0.0...v7.0.1) (2022-12-12)


### Miscellaneous

* **package:** remove `start:migrate` script ([969c846](https://github.com/Fdawgs/yh-community-contacts-api/commit/969c8464d343d6f4ebc692d13df56561d9957f36))


### Documentation

* **readme:** remove mention of `db:migrate` script ([08d0af6](https://github.com/Fdawgs/yh-community-contacts-api/commit/08d0af656fd0cd438bd23ff9a02e0fb4826f30a9))


### Continuous integration

* **cd:** remove dev values from `package.json` ([#509](https://github.com/Fdawgs/yh-community-contacts-api/issues/509)) ([ad7fdfb](https://github.com/Fdawgs/yh-community-contacts-api/commit/ad7fdfba421f58f19faef25b0ac5e9d64b7bcea5))


### Improvements

* **config:** fixed set of object keys ([#514](https://github.com/Fdawgs/yh-community-contacts-api/issues/514)) ([947f3ca](https://github.com/Fdawgs/yh-community-contacts-api/commit/947f3ca7e8ae1d959d7780824350f833a78f2c3f))


### Dependencies

* **dependabot:** remove docker auto-updates ([#499](https://github.com/Fdawgs/yh-community-contacts-api/issues/499)) ([b17d272](https://github.com/Fdawgs/yh-community-contacts-api/commit/b17d2722c3a9c05ea06a2ef855594d6127b74969))
* **deps-dev:** bump eslint from 8.28.0 to 8.29.0 ([#516](https://github.com/Fdawgs/yh-community-contacts-api/issues/516)) ([0e11f5d](https://github.com/Fdawgs/yh-community-contacts-api/commit/0e11f5d656030240427d516083a57839f8e9cacc))
* **deps-dev:** bump eslint-plugin-jest from 27.1.5 to 27.1.6 ([#507](https://github.com/Fdawgs/yh-community-contacts-api/issues/507)) ([4c19196](https://github.com/Fdawgs/yh-community-contacts-api/commit/4c19196a9b26feda710997031251a0c9fbaf8829))
* **deps-dev:** bump eslint-plugin-jsdoc from 39.6.2 to 39.6.4 ([#503](https://github.com/Fdawgs/yh-community-contacts-api/issues/503)) ([6b07870](https://github.com/Fdawgs/yh-community-contacts-api/commit/6b078700f6bd2ffa166de4def5fea9279b66e352))
* **deps-dev:** bump playwright from 1.28.0 to 1.28.1 ([#505](https://github.com/Fdawgs/yh-community-contacts-api/issues/505)) ([d4c5abb](https://github.com/Fdawgs/yh-community-contacts-api/commit/d4c5abb93e0fc35eae0c0a640530ac0dd14c07cc))
* **deps-dev:** bump prettier from 2.8.0 to 2.8.1 ([#522](https://github.com/Fdawgs/yh-community-contacts-api/issues/522)) ([cb044a0](https://github.com/Fdawgs/yh-community-contacts-api/commit/cb044a0f40e5d5acd55a98b3774766d5dc033544))
* **deps:** bump @fastify/accepts from 4.0.1 to 4.1.0 ([#506](https://github.com/Fdawgs/yh-community-contacts-api/issues/506)) ([64ee053](https://github.com/Fdawgs/yh-community-contacts-api/commit/64ee053d48dfe802108d617da43ae47c7cec7340))
* **deps:** bump @fastify/autoload from 5.5.0 to 5.6.0 ([#502](https://github.com/Fdawgs/yh-community-contacts-api/issues/502)) ([0cd20d3](https://github.com/Fdawgs/yh-community-contacts-api/commit/0cd20d3001110e6f6c5a5dc228385867ab818180))
* **deps:** bump @fastify/basic-auth from 4.0.0 to 5.0.0 ([#513](https://github.com/Fdawgs/yh-community-contacts-api/issues/513)) ([1bda2c8](https://github.com/Fdawgs/yh-community-contacts-api/commit/1bda2c8435e5908fe0c2d3e661f254dd3e805564))
* **deps:** bump @fastify/bearer-auth from 8.0.1 to 9.0.0 ([#510](https://github.com/Fdawgs/yh-community-contacts-api/issues/510)) ([26c36bc](https://github.com/Fdawgs/yh-community-contacts-api/commit/26c36bcb645d7dc7f41a46ed8ef33024ddcd03b4))
* **deps:** bump @fastify/compress from 6.1.1 to 6.2.0 ([#501](https://github.com/Fdawgs/yh-community-contacts-api/issues/501)) ([bcb78d6](https://github.com/Fdawgs/yh-community-contacts-api/commit/bcb78d6f0accb328020c315401d43e984b58454d))
* **deps:** bump @fastify/helmet from 10.0.2 to 10.1.0 ([#504](https://github.com/Fdawgs/yh-community-contacts-api/issues/504)) ([4fb7458](https://github.com/Fdawgs/yh-community-contacts-api/commit/4fb7458b1905e100d86918e2d0d17d470f7efd78))
* **deps:** bump @fastify/rate-limit from 7.5.0 to 7.6.0 ([#512](https://github.com/Fdawgs/yh-community-contacts-api/issues/512)) ([2e4e805](https://github.com/Fdawgs/yh-community-contacts-api/commit/2e4e805c5040c25dcb874ffeece4d65bba916adc))
* **deps:** bump @fastify/sensible from 5.1.1 to 5.2.0 ([#523](https://github.com/Fdawgs/yh-community-contacts-api/issues/523)) ([2475be2](https://github.com/Fdawgs/yh-community-contacts-api/commit/2475be299ff3878911614f12c7c975d518d93422))
* **deps:** bump @fastify/static from 6.5.1 to 6.6.0 ([#518](https://github.com/Fdawgs/yh-community-contacts-api/issues/518)) ([7ae4c1b](https://github.com/Fdawgs/yh-community-contacts-api/commit/7ae4c1b8742e568188e0defef1ed8c350523b136))
* **deps:** bump @fastify/swagger from 8.1.0 to 8.2.0 ([#511](https://github.com/Fdawgs/yh-community-contacts-api/issues/511)) ([1075594](https://github.com/Fdawgs/yh-community-contacts-api/commit/1075594e4c3b629459f7aba68392d59b50a901e2))
* **deps:** bump @fastify/swagger from 8.2.0 to 8.2.1 ([#515](https://github.com/Fdawgs/yh-community-contacts-api/issues/515)) ([7f8876a](https://github.com/Fdawgs/yh-community-contacts-api/commit/7f8876ae9f15942bd92d99dac4bd2f829d2360df))
* **deps:** bump @fastify/under-pressure from 8.1.0 to 8.2.0 ([#517](https://github.com/Fdawgs/yh-community-contacts-api/issues/517)) ([5d25622](https://github.com/Fdawgs/yh-community-contacts-api/commit/5d256227c61475f1ea7e51fd5382e8519a33fbb6))
* **deps:** bump env-schema from 5.1.1 to 5.2.0 ([#520](https://github.com/Fdawgs/yh-community-contacts-api/issues/520)) ([15b0feb](https://github.com/Fdawgs/yh-community-contacts-api/commit/15b0feb73c35f894301b3e88ea54ad7920b07dbe))
* **deps:** bump fastify-plugin from 4.3.0 to 4.4.0 ([#521](https://github.com/Fdawgs/yh-community-contacts-api/issues/521)) ([fc7a9ef](https://github.com/Fdawgs/yh-community-contacts-api/commit/fc7a9ef5e75e6d340f6f9d7be46525f55e29d6d2))
* **deps:** bump secure-json-parse from 2.5.0 to 2.6.0 ([#519](https://github.com/Fdawgs/yh-community-contacts-api/issues/519)) ([c6fa6e4](https://github.com/Fdawgs/yh-community-contacts-api/commit/c6fa6e41a9f86051d798a97021d343f99e2343ae))
* **deps:** bump transistive dependencies ([#524](https://github.com/Fdawgs/yh-community-contacts-api/issues/524)) ([f09e0a1](https://github.com/Fdawgs/yh-community-contacts-api/commit/f09e0a1610ed5c775449cf61053bfa6913f4b78f))

## [7.0.0](https://github.com/Fdawgs/yh-community-contacts-api/compare/v6.1.2...v7.0.0) (2022-11-23)


### ⚠ BREAKING CHANGES

* minimum required version of node increased from 16.0.0 to 18.12.1
	* Node 16 becomes EOL in September 2023, which is the same time that [Yeovil District Hospital NHS Foundation Trust is due to merge with Somerset NHS Foundation Trust](https://yeovilhospital.co.uk/better-care-for-local-people-the-merger-of-yeovil-hospital-nhs-foundation-trust-with-somerset-nhs-foundation-trust/). Development will be focused on the merger at that point in time, so this PR preemptively drops support to reduce work load in the future
* **config:** use port 3000 if `PORT` env variable unset (#476)
* **deps:** `LOG_ROTATION_FREQUENCY` env variable accepted values changed from "daily, custom, or test" to "daily, date, [1-12]h, or [1-30]m"

### Bug fixes

* **config:** use port 3000 if `PORT` env variable unset ([#476](https://github.com/Fdawgs/yh-community-contacts-api/issues/476)) ([f258daf](https://github.com/Fdawgs/yh-community-contacts-api/commit/f258daf5db97222a3ca1fca3958192ce833a17d3))
* **routes:** add `HEAD` to cors allowed methods ([#468](https://github.com/Fdawgs/yh-community-contacts-api/issues/468)) ([aaae7f6](https://github.com/Fdawgs/yh-community-contacts-api/commit/aaae7f6fdc59fedfed2ae0b0c334d3a96a7d93a3))


### Miscellaneous

* ***.ignore:** fix test log entry ([5f795ca](https://github.com/Fdawgs/yh-community-contacts-api/commit/5f795ca8cd5376b9e9f6f926a76fbee102bfd211))
* clean up multi-line comments ([50584fb](https://github.com/Fdawgs/yh-community-contacts-api/commit/50584fbbf6dbe0319104c2126a4198afadf5fc3a))
* drop support for node 16 ([#477](https://github.com/Fdawgs/yh-community-contacts-api/issues/477)) ([b0b250a](https://github.com/Fdawgs/yh-community-contacts-api/commit/b0b250abb4fcf544b37173f4da9ce3bd227cf7e4))
* update inline documentation links ([983b4a7](https://github.com/Fdawgs/yh-community-contacts-api/commit/983b4a7adeb6be9fc4d9fb1aaea4b05440dcae19))


### Dependencies

* **deps-dev:** bump @commitlint/cli from 17.2.0 to 17.3.0 ([#492](https://github.com/Fdawgs/yh-community-contacts-api/issues/492)) ([edbc3ad](https://github.com/Fdawgs/yh-community-contacts-api/commit/edbc3adb6c02a6cec4fbc12e96d6aa675488275f))
* **deps-dev:** bump @commitlint/config-conventional ([#493](https://github.com/Fdawgs/yh-community-contacts-api/issues/493)) ([290bc06](https://github.com/Fdawgs/yh-community-contacts-api/commit/290bc06f066c8ee30e78454af55167798d008ba8))
* **deps-dev:** bump eslint from 8.26.0 to 8.27.0 ([#480](https://github.com/Fdawgs/yh-community-contacts-api/issues/480)) ([f1869de](https://github.com/Fdawgs/yh-community-contacts-api/commit/f1869de000550c630f55cdf8808e032add10e8b3))
* **deps-dev:** bump eslint from 8.27.0 to 8.28.0 ([#495](https://github.com/Fdawgs/yh-community-contacts-api/issues/495)) ([c320b8e](https://github.com/Fdawgs/yh-community-contacts-api/commit/c320b8ed339dbab0611dac50d2cdebdb12d226be))
* **deps-dev:** bump eslint-plugin-jest from 27.1.3 to 27.1.5 ([#486](https://github.com/Fdawgs/yh-community-contacts-api/issues/486)) ([f58782d](https://github.com/Fdawgs/yh-community-contacts-api/commit/f58782d0577587c4e584a885a8c792480483b351))
* **deps-dev:** bump eslint-plugin-jsdoc from 39.4.0 to 39.6.2 ([#483](https://github.com/Fdawgs/yh-community-contacts-api/issues/483)) ([c60e9cf](https://github.com/Fdawgs/yh-community-contacts-api/commit/c60e9cfd14ebb4c11098d5c25e9d0ff93ad834f5))
* **deps-dev:** bump husky from 8.0.1 to 8.0.2 ([#484](https://github.com/Fdawgs/yh-community-contacts-api/issues/484)) ([be09f6a](https://github.com/Fdawgs/yh-community-contacts-api/commit/be09f6a1039cbf779f2610408045b060b1e30704))
* **deps-dev:** bump jest from 29.2.2 to 29.3.1 ([#488](https://github.com/Fdawgs/yh-community-contacts-api/issues/488)) ([b9e5f8f](https://github.com/Fdawgs/yh-community-contacts-api/commit/b9e5f8fecfca8585bb66c72256df16e80a01b3b5))
* **deps-dev:** bump playwright from 1.27.1 to 1.28.0 ([#481](https://github.com/Fdawgs/yh-community-contacts-api/issues/481)) ([690c80c](https://github.com/Fdawgs/yh-community-contacts-api/commit/690c80ca9c3e04c25b0a31b2dbfca2eff0d00a6b))
* **deps-dev:** bump prettier from 2.7.1 to 2.8.0 ([#497](https://github.com/Fdawgs/yh-community-contacts-api/issues/497)) ([181eab8](https://github.com/Fdawgs/yh-community-contacts-api/commit/181eab8752b50f86d46af59b714ee9700f3ff925))
* **deps-dev:** remove @faker-js/faker ([#470](https://github.com/Fdawgs/yh-community-contacts-api/issues/470)) ([d653bbb](https://github.com/Fdawgs/yh-community-contacts-api/commit/d653bbb0698ef41b079d2ceb402bda054475fcae))
* **deps:** bump @fastify/autoload from 5.4.1 to 5.5.0 ([#494](https://github.com/Fdawgs/yh-community-contacts-api/issues/494)) ([e42c24b](https://github.com/Fdawgs/yh-community-contacts-api/commit/e42c24baf9d4b527ad578242d560ea7b498ce97a))
* **deps:** bump @fastify/cors from 8.1.1 to 8.2.0 ([#482](https://github.com/Fdawgs/yh-community-contacts-api/issues/482)) ([d217654](https://github.com/Fdawgs/yh-community-contacts-api/commit/d2176545ea0544aa00ea632ab069f81d22b21182))
* **deps:** bump @fastify/static from 6.5.0 to 6.5.1 ([#496](https://github.com/Fdawgs/yh-community-contacts-api/issues/496)) ([1feebd2](https://github.com/Fdawgs/yh-community-contacts-api/commit/1feebd21d817c057fa0968e2acd3f572d55914aa))
* **deps:** bump actions/dependency-review-action from 2 to 3 ([#478](https://github.com/Fdawgs/yh-community-contacts-api/issues/478)) ([654108d](https://github.com/Fdawgs/yh-community-contacts-api/commit/654108d389b8df685bc1ea7639319eb7fa41d222))
* **deps:** bump env-schema from 5.1.0 to 5.1.1 ([#485](https://github.com/Fdawgs/yh-community-contacts-api/issues/485)) ([ecd2909](https://github.com/Fdawgs/yh-community-contacts-api/commit/ecd290974e252ebdde4221d9b83b9d458e500981))
* **deps:** bump fastify from 4.10.0 to 4.10.2 ([#491](https://github.com/Fdawgs/yh-community-contacts-api/issues/491)) ([1f17dfa](https://github.com/Fdawgs/yh-community-contacts-api/commit/1f17dfafaef889dcdd567d6ed9cbd02d8c018227))
* **deps:** bump fastify from 4.9.2 to 4.10.0 ([#487](https://github.com/Fdawgs/yh-community-contacts-api/issues/487)) ([cd4dc48](https://github.com/Fdawgs/yh-community-contacts-api/commit/cd4dc4833c369409adc43ff748ed029fa97cda12))
* **deps:** bump file-stream-rotator from 0.6.1 to 1.0.0 ([#474](https://github.com/Fdawgs/yh-community-contacts-api/issues/474)) ([66ef733](https://github.com/Fdawgs/yh-community-contacts-api/commit/66ef73359ccbe6018f808173a3d0c1c6face9242))
* **deps:** bump hadolint/hadolint-action from 2.1.0 to 3.0.0 ([#479](https://github.com/Fdawgs/yh-community-contacts-api/issues/479)) ([b668372](https://github.com/Fdawgs/yh-community-contacts-api/commit/b6683721d201d4f939c35bf492c78b74a566d645))
* **deps:** bump transistive dependencies ([#498](https://github.com/Fdawgs/yh-community-contacts-api/issues/498)) ([a7c44ef](https://github.com/Fdawgs/yh-community-contacts-api/commit/a7c44ef1be2d5b760c97bf69c033886e1b95d5b8))
* **docker:** remove dev values from `package.json` ([fc91a26](https://github.com/Fdawgs/yh-community-contacts-api/commit/fc91a2632fa9e778fd7ddc0886a1cee577261795))
* **docker:** reorder instructions for build caching ([9604668](https://github.com/Fdawgs/yh-community-contacts-api/commit/9604668b052a08cdeb3b751e2c4d0d5b2fcf8453))

## [6.1.2](https://github.com/Fdawgs/yh-community-contacts-api/compare/v6.1.1...v6.1.2) (2022-11-01)


### Bug fixes

* **routes:** accept header handling ([e5fbb4b](https://github.com/Fdawgs/yh-community-contacts-api/commit/e5fbb4bc0a74d3f486817ace425df3d70c372158))
* **routes:** openapi schema content types ([812ac4f](https://github.com/Fdawgs/yh-community-contacts-api/commit/812ac4fe585b443b20d15d7de26f8d8c355afb0c))


### Miscellaneous

* **.env.template:** remove `PORT` value ([d5944c3](https://github.com/Fdawgs/yh-community-contacts-api/commit/d5944c3c0f0932749e3de161bd87a4e77951b495))
* **eslint:** use ecmascript 2021 globals ([2f0ce52](https://github.com/Fdawgs/yh-community-contacts-api/commit/2f0ce5282b22a14481e8f55121e46c43b2871ba8))


### Documentation

* content and grammar fixes ([#451](https://github.com/Fdawgs/yh-community-contacts-api/issues/451)) ([f235d1f](https://github.com/Fdawgs/yh-community-contacts-api/commit/f235d1f7c0e3351390b99505aac766908b791beb))
* **readme:** update example log ([044e1c2](https://github.com/Fdawgs/yh-community-contacts-api/commit/044e1c206242c025a3039ab2c683cab9f639b69a))


### Improvements

* **config:** remove redundant required props ([#464](https://github.com/Fdawgs/yh-community-contacts-api/issues/464)) ([60b370d](https://github.com/Fdawgs/yh-community-contacts-api/commit/60b370d292dbce0eed9bce1a253b3ddb58ebfbe9))


### Dependencies

* **deps-dev:** bump @commitlint/cli from 17.1.2 to 17.2.0 ([#466](https://github.com/Fdawgs/yh-community-contacts-api/issues/466)) ([d2ad55d](https://github.com/Fdawgs/yh-community-contacts-api/commit/d2ad55d9ed5f435f591dea0bae33e2f5b4143367))
* **deps-dev:** bump @commitlint/config-conventional ([#465](https://github.com/Fdawgs/yh-community-contacts-api/issues/465)) ([f5b5d52](https://github.com/Fdawgs/yh-community-contacts-api/commit/f5b5d524c8ebf8491e7e19a9bd646aebf0f3b233))
* **deps-dev:** bump eslint from 8.25.0 to 8.26.0 ([#454](https://github.com/Fdawgs/yh-community-contacts-api/issues/454)) ([99fbb5e](https://github.com/Fdawgs/yh-community-contacts-api/commit/99fbb5ea608bb5c0650eed4702b59afad12c2b9c))
* **deps-dev:** bump eslint-plugin-jest from 27.1.2 to 27.1.3 ([#456](https://github.com/Fdawgs/yh-community-contacts-api/issues/456)) ([05e11ca](https://github.com/Fdawgs/yh-community-contacts-api/commit/05e11cad0f659fdf0770ad07ad9e7e616a1d8d7e))
* **deps-dev:** bump eslint-plugin-jsdoc from 39.3.13 to 39.4.0 ([#462](https://github.com/Fdawgs/yh-community-contacts-api/issues/462)) ([4f15829](https://github.com/Fdawgs/yh-community-contacts-api/commit/4f15829e018aa91e7119ede5e78b6f9b41bc52b6))
* **deps-dev:** bump eslint-plugin-promise from 6.1.0 to 6.1.1 ([#458](https://github.com/Fdawgs/yh-community-contacts-api/issues/458)) ([3a3d149](https://github.com/Fdawgs/yh-community-contacts-api/commit/3a3d1491f794ee49637578152c2edfdc73241dfd))
* **deps-dev:** bump jest from 29.2.0 to 29.2.2 ([#460](https://github.com/Fdawgs/yh-community-contacts-api/issues/460)) ([849efa2](https://github.com/Fdawgs/yh-community-contacts-api/commit/849efa2ff28ee73e62c7d39814a29d78fff884c7))
* **deps:** bump @fastify/cors from 8.1.0 to 8.1.1 ([#455](https://github.com/Fdawgs/yh-community-contacts-api/issues/455)) ([cdfb782](https://github.com/Fdawgs/yh-community-contacts-api/commit/cdfb7820caf01cbae4213a31ede2feef2b3f6ef8))
* **deps:** bump @fastify/swagger from 8.0.0 to 8.1.0 ([#457](https://github.com/Fdawgs/yh-community-contacts-api/issues/457)) ([3fb164f](https://github.com/Fdawgs/yh-community-contacts-api/commit/3fb164f9808d307a43616c230c5df2888523093e))
* **deps:** bump fastify from 4.9.1 to 4.9.2 ([#463](https://github.com/Fdawgs/yh-community-contacts-api/issues/463)) ([07ab67e](https://github.com/Fdawgs/yh-community-contacts-api/commit/07ab67eff6aca74912efa5ae8cd73af84c768916))
* **deps:** bump fastify-disablecache from 3.0.3 to 3.0.4 ([#453](https://github.com/Fdawgs/yh-community-contacts-api/issues/453)) ([694cafc](https://github.com/Fdawgs/yh-community-contacts-api/commit/694cafca0ab91e9352aaeb3e248327d79d695225))
* **deps:** bump fastify-floc-off from 2.0.3 to 2.0.4 ([#461](https://github.com/Fdawgs/yh-community-contacts-api/issues/461)) ([214ef40](https://github.com/Fdawgs/yh-community-contacts-api/commit/214ef40546b3e562b0a222e396bf3c680861b8a6))
* **deps:** bump pino from 8.6.1 to 8.7.0 ([#459](https://github.com/Fdawgs/yh-community-contacts-api/issues/459)) ([b205c1a](https://github.com/Fdawgs/yh-community-contacts-api/commit/b205c1af4c5dc0fa0873cfa19357092a8a77f7cf))
* **deps:** bump transistive dependencies ([#467](https://github.com/Fdawgs/yh-community-contacts-api/issues/467)) ([9fd5db6](https://github.com/Fdawgs/yh-community-contacts-api/commit/9fd5db67ccdbdc77ae6ff631726cd6da50e37fee))

## [6.1.1](https://github.com/Fdawgs/yh-community-contacts-api/compare/v6.1.0...v6.1.1) (2022-10-18)


### Bug fixes

* **routes/admin/access/bearer-token:** remove stray `,` ([#434](https://github.com/Fdawgs/yh-community-contacts-api/issues/434)) ([8b1d4e3](https://github.com/Fdawgs/yh-community-contacts-api/commit/8b1d4e314e3adc321d702a187544c787254ba308))


### Miscellaneous

* **server:** remove reference to hardcoded dir ([9861afa](https://github.com/Fdawgs/yh-community-contacts-api/commit/9861afafdbe5494b6763634b5bf2d3815959e627))


### Dependencies

* **deps-dev:** bump @faker-js/faker from 7.5.0 to 7.6.0 ([#437](https://github.com/Fdawgs/yh-community-contacts-api/issues/437)) ([9d15e44](https://github.com/Fdawgs/yh-community-contacts-api/commit/9d15e444255eb1eb3845f0d98c086c904ef6d749))
* **deps-dev:** bump eslint from 8.24.0 to 8.25.0 ([#435](https://github.com/Fdawgs/yh-community-contacts-api/issues/435)) ([ac64e68](https://github.com/Fdawgs/yh-community-contacts-api/commit/ac64e6802e8a48b0ac0db892eb887a2286148909))
* **deps-dev:** bump eslint-plugin-jest from 27.1.1 to 27.1.2 ([#443](https://github.com/Fdawgs/yh-community-contacts-api/issues/443)) ([159ef2f](https://github.com/Fdawgs/yh-community-contacts-api/commit/159ef2f217839a14f89c4fc16f26c9cbfe44e704))
* **deps-dev:** bump eslint-plugin-jsdoc from 39.3.6 to 39.3.13 ([#447](https://github.com/Fdawgs/yh-community-contacts-api/issues/447)) ([0a351b2](https://github.com/Fdawgs/yh-community-contacts-api/commit/0a351b24bb6286fd6a535e83f844c4b1be0572bd))
* **deps-dev:** bump eslint-plugin-promise from 6.0.1 to 6.1.0 ([#438](https://github.com/Fdawgs/yh-community-contacts-api/issues/438)) ([4391975](https://github.com/Fdawgs/yh-community-contacts-api/commit/43919751eac5139209d3be572b2d9460e8d831d7))
* **deps-dev:** bump jest from 29.1.2 to 29.2.0 ([#444](https://github.com/Fdawgs/yh-community-contacts-api/issues/444)) ([d2151f8](https://github.com/Fdawgs/yh-community-contacts-api/commit/d2151f8eb5606700935d172d1dfe5e70a16c4b75))
* **deps-dev:** bump playwright from 1.26.1 to 1.27.1 ([#446](https://github.com/Fdawgs/yh-community-contacts-api/issues/446)) ([0717d27](https://github.com/Fdawgs/yh-community-contacts-api/commit/0717d270953c1803323d384ef6593d40919f1bfa))
* **deps:** bump @fastify/autoload from 5.4.0 to 5.4.1 ([#441](https://github.com/Fdawgs/yh-community-contacts-api/issues/441)) ([ac2f3af](https://github.com/Fdawgs/yh-community-contacts-api/commit/ac2f3af0239a1c3a21c588c0f2119b7cb788ea8e))
* **deps:** bump @fastify/helmet from 10.0.1 to 10.0.2 ([#442](https://github.com/Fdawgs/yh-community-contacts-api/issues/442)) ([ac32083](https://github.com/Fdawgs/yh-community-contacts-api/commit/ac32083580cb9e9a790fd960abf1e29064bae7ae))
* **deps:** bump @fastify/rate-limit from 7.4.0 to 7.5.0 ([#445](https://github.com/Fdawgs/yh-community-contacts-api/issues/445)) ([9ef84fe](https://github.com/Fdawgs/yh-community-contacts-api/commit/9ef84fe5925ab7adc3289191482d69faa3b8e43e))
* **deps:** bump @fastify/swagger from 7.6.1 to 8.0.0 ([#436](https://github.com/Fdawgs/yh-community-contacts-api/issues/436)) ([56f9c2c](https://github.com/Fdawgs/yh-community-contacts-api/commit/56f9c2c8321166e92d285c8f1be9f84e3054797a))
* **deps:** bump fastify from 4.7.0 to 4.8.1 ([#432](https://github.com/Fdawgs/yh-community-contacts-api/issues/432)) ([22d46b7](https://github.com/Fdawgs/yh-community-contacts-api/commit/22d46b7eddacc5c4c37e1c0b2ada432d279df8c8))
* **deps:** bump fastify from 4.8.1 to 4.9.1 ([#440](https://github.com/Fdawgs/yh-community-contacts-api/issues/440)) ([4c28107](https://github.com/Fdawgs/yh-community-contacts-api/commit/4c28107acd03338f0a920b40dda07591fa267e17))
* **deps:** bump fastify-plugin from 4.2.1 to 4.3.0 ([#439](https://github.com/Fdawgs/yh-community-contacts-api/issues/439)) ([46e3006](https://github.com/Fdawgs/yh-community-contacts-api/commit/46e30061d0cc0dbe41af811423b9e07e05131818))


### Continuous integration

* **cd:** remove test files from release asset ([#448](https://github.com/Fdawgs/yh-community-contacts-api/issues/448)) ([f98fd35](https://github.com/Fdawgs/yh-community-contacts-api/commit/f98fd35a88d1f907e42c26a40c83be71361ee9d3))

## [6.1.0](https://github.com/Fdawgs/yh-community-contacts-api/compare/v6.0.0...v6.1.0) (2022-10-06)


### Features

* **config:** use first available open port if `PORT` env variable unset ([#424](https://github.com/Fdawgs/yh-community-contacts-api/issues/424)) ([a2f3fa4](https://github.com/Fdawgs/yh-community-contacts-api/commit/a2f3fa4107031369fe87538a4f1a64636cbf46e5))


### Continuous integration

* **cd:** create release asset ([5401e56](https://github.com/Fdawgs/yh-community-contacts-api/commit/5401e56d4617c411b34b168b367466cb19adf58e))


### Dependencies

* **.dockerignore:** add `SECURITY.md` ([56d231f](https://github.com/Fdawgs/yh-community-contacts-api/commit/56d231f2ab43e94a2b50ec48a8a6be1eb779d6ac))
* **.dockerignore:** fix `CODE_OF_CONDUCT` entry ([#426](https://github.com/Fdawgs/yh-community-contacts-api/issues/426)) ([47a2976](https://github.com/Fdawgs/yh-community-contacts-api/commit/47a2976ce710dcd801efb5b3b7df3aef1f9e4816))
* **deps-dev:** bump eslint-plugin-jest from 27.0.4 to 27.1.1 ([#430](https://github.com/Fdawgs/yh-community-contacts-api/issues/430)) ([470d641](https://github.com/Fdawgs/yh-community-contacts-api/commit/470d641124ad67ad2e37c42d25115e7548005cfd))
* **deps-dev:** bump pino-pretty from 9.1.0 to 9.1.1 ([#429](https://github.com/Fdawgs/yh-community-contacts-api/issues/429)) ([2696f7a](https://github.com/Fdawgs/yh-community-contacts-api/commit/2696f7a31dd7ef6374fa3fd35b704f3c2ddc4dcc))
* **deps:** bump fluent-json-schema from 3.1.0 to 4.0.0 ([#428](https://github.com/Fdawgs/yh-community-contacts-api/issues/428)) ([3b2ef89](https://github.com/Fdawgs/yh-community-contacts-api/commit/3b2ef89dbe672866ad6ebf1d34c9c42231786b5a))

## [6.0.0](https://github.com/Fdawgs/yh-community-contacts-api/compare/v5.0.7...v6.0.0) (2022-10-03)


### ⚠ BREAKING CHANGES

* **config:** `SERVICE_HOST` and `SERVICE_PORT` env variables renamed to `HOST` and `PORT` respectively.
* **routes/admin/access:** bcrypt now used for hashing stored bearer tokens

### Bug fixes

* **config:** use `HOST` and `PORT` env variables for cloud services ([45ead4f](https://github.com/Fdawgs/yh-community-contacts-api/commit/45ead4f025abb95e881784b29f1a9a4ee45ffbfb))
* **plugins/serialize-json-to-xml:** rep invalid xml chars with U+FFFD ([#402](https://github.com/Fdawgs/yh-community-contacts-api/issues/402)) ([f337601](https://github.com/Fdawgs/yh-community-contacts-api/commit/f337601128087072ddb44d7e6a2a12e49ad1fa1d))


### Improvements

* **plugins/serialize-json-to-xml:** minify xml responses ([deabafa](https://github.com/Fdawgs/yh-community-contacts-api/commit/deabafa0b9c08170500a05599faa48769fc1cd73))
* **public/image/icons:** compress mask-icon ([cd5cd50](https://github.com/Fdawgs/yh-community-contacts-api/commit/cd5cd501c6003f8362f8671c12a8ad719b4920af))
* **routes/admin/access:** use faster bcrypt over scrypt ([9055943](https://github.com/Fdawgs/yh-community-contacts-api/commit/905594338556474313ed766c0e4e0a1c851ff28c))
* **routes/docs:** remove redundant html elem attributes ([368b820](https://github.com/Fdawgs/yh-community-contacts-api/commit/368b820c74ed3f9146438dd3b453fd36cfaf2b94))


### Documentation

* **readme:** remove redundant comma ([3813d70](https://github.com/Fdawgs/yh-community-contacts-api/commit/3813d70370050a80ce3012f7a46ed5aa4d087d5f))
* use shorter urls; fix fastify links ([8becde8](https://github.com/Fdawgs/yh-community-contacts-api/commit/8becde8f17e5589eb5e257d0f706ceade02073ad))


### Miscellaneous

* **.env.template:** remove service section ([a0ead40](https://github.com/Fdawgs/yh-community-contacts-api/commit/a0ead40717bd1ff596d276104b9c92d5fd51a22b))
* **.vscode:** add `redhat.vscode-xml` as default xml formatter ([3e13f90](https://github.com/Fdawgs/yh-community-contacts-api/commit/3e13f903a9666abf616777975fbefad96793da8c))
* ***.ignore:** add clinicjs directory ([b5f8b88](https://github.com/Fdawgs/yh-community-contacts-api/commit/b5f8b88eb539fa5bbe190348733abb94fb075c0a))
* import destructuring ([#401](https://github.com/Fdawgs/yh-community-contacts-api/issues/401)) ([aec20bd](https://github.com/Fdawgs/yh-community-contacts-api/commit/aec20bd4052fd78ea1ac31c4d2afdeff6560cd39))
* **LICENSE:** remove trailing whitespace ([ac5681e](https://github.com/Fdawgs/yh-community-contacts-api/commit/ac5681efa267f219fcf4ca825c7e21fe7c146c1c))
* prefer object destructuring ([#420](https://github.com/Fdawgs/yh-community-contacts-api/issues/420)) ([f61ebc0](https://github.com/Fdawgs/yh-community-contacts-api/commit/f61ebc010e9fb00a47094665f26e0781bf480a52))
* sort imports alphabetically ([e093e75](https://github.com/Fdawgs/yh-community-contacts-api/commit/e093e7540b3c42ba4383b3d06e4179e6de9c9e5b))


### Dependencies

* **deps-dev:** bump autocannon from 7.9.0 to 7.10.0 ([#416](https://github.com/Fdawgs/yh-community-contacts-api/issues/416)) ([dae48c8](https://github.com/Fdawgs/yh-community-contacts-api/commit/dae48c8534a9a246d7dd4f8b5d1b934a39587c42))
* **deps-dev:** bump eslint from 8.23.0 to 8.24.0 ([#410](https://github.com/Fdawgs/yh-community-contacts-api/issues/410)) ([83c283d](https://github.com/Fdawgs/yh-community-contacts-api/commit/83c283d063aa0371b6a148093dfe337ecdd8cb86))
* **deps-dev:** bump eslint-plugin-jest from 27.0.1 to 27.0.4 ([#417](https://github.com/Fdawgs/yh-community-contacts-api/issues/417)) ([bd5bb7e](https://github.com/Fdawgs/yh-community-contacts-api/commit/bd5bb7e672519d3eb4d0f636134afa3ceb4e1961))
* **deps-dev:** bump jest from 29.0.2 to 29.1.2 ([#418](https://github.com/Fdawgs/yh-community-contacts-api/issues/418)) ([6e47749](https://github.com/Fdawgs/yh-community-contacts-api/commit/6e477497871ccda0f2fd3b8f6b72da965dd60782))
* **deps-dev:** bump nodemon from 2.0.19 to 2.0.20 ([#408](https://github.com/Fdawgs/yh-community-contacts-api/issues/408)) ([97b294c](https://github.com/Fdawgs/yh-community-contacts-api/commit/97b294c5e849450c2eaf234a752a27719faa7e4c))
* **deps-dev:** bump playwright from 1.25.1 to 1.26.1 ([#406](https://github.com/Fdawgs/yh-community-contacts-api/issues/406)) ([60444e9](https://github.com/Fdawgs/yh-community-contacts-api/commit/60444e9279b171232833824df5717f120b1d763d))
* **deps:** bump @fastify/autoload from 5.3.1 to 5.4.0 ([#412](https://github.com/Fdawgs/yh-community-contacts-api/issues/412)) ([e90e582](https://github.com/Fdawgs/yh-community-contacts-api/commit/e90e582aed958fef39405e139f65a5ecb1a9c28f))
* **deps:** bump @fastify/helmet from 10.0.0 to 10.0.1 ([#409](https://github.com/Fdawgs/yh-community-contacts-api/issues/409)) ([0e89089](https://github.com/Fdawgs/yh-community-contacts-api/commit/0e89089ed800bd4c4cd9c048eb7df76e287f2093))
* **deps:** bump @fastify/swagger from 7.5.0 to 7.6.1 ([#419](https://github.com/Fdawgs/yh-community-contacts-api/issues/419)) ([bee710c](https://github.com/Fdawgs/yh-community-contacts-api/commit/bee710ce3b2091ee2bc8ca7492855e112ed88812))
* **deps:** bump dotenv from 16.0.2 to 16.0.3 ([#415](https://github.com/Fdawgs/yh-community-contacts-api/issues/415)) ([3002d89](https://github.com/Fdawgs/yh-community-contacts-api/commit/3002d89a391c8a94a65466705c3bd4c63542ae71))
* **deps:** bump env-schema from 5.0.0 to 5.1.0 ([#414](https://github.com/Fdawgs/yh-community-contacts-api/issues/414)) ([f3314d6](https://github.com/Fdawgs/yh-community-contacts-api/commit/f3314d61bc9c43ed9932520256e09e8ae4ebd3c7))
* **deps:** bump fastify from 4.5.3 to 4.7.0 ([#411](https://github.com/Fdawgs/yh-community-contacts-api/issues/411)) ([956d3d2](https://github.com/Fdawgs/yh-community-contacts-api/commit/956d3d2b0730bbf270920bd226089def17dc3910))
* **deps:** bump fastify-disablecache from 3.0.2 to 3.0.3 ([#422](https://github.com/Fdawgs/yh-community-contacts-api/issues/422)) ([2f9471f](https://github.com/Fdawgs/yh-community-contacts-api/commit/2f9471f9db9bf9072ff4114d6badcc3adf7c0b62))
* **deps:** bump fastify-floc-off from 2.0.2 to 2.0.3 ([#421](https://github.com/Fdawgs/yh-community-contacts-api/issues/421)) ([a96c371](https://github.com/Fdawgs/yh-community-contacts-api/commit/a96c371200c28b9f9a433e9df29433b161eb1376))
* **deps:** bump js2xmlparser from 4.0.2 to 5.0.0 ([#407](https://github.com/Fdawgs/yh-community-contacts-api/issues/407)) ([2b053d9](https://github.com/Fdawgs/yh-community-contacts-api/commit/2b053d9f29f57ffce520594a5d900d0306ef479c))
* **deps:** bump pino from 8.5.0 to 8.6.1 ([#413](https://github.com/Fdawgs/yh-community-contacts-api/issues/413)) ([ab69de1](https://github.com/Fdawgs/yh-community-contacts-api/commit/ab69de1871822940c9ea321f7dd67845d8ff352a))
* **deps:** bump redoc from 2.0.0-rc.76 to 2.0.0 ([#405](https://github.com/Fdawgs/yh-community-contacts-api/issues/405)) ([5b32e68](https://github.com/Fdawgs/yh-community-contacts-api/commit/5b32e68cb5dae4fce9541a9fe323b8e7054a6694))
* **deps:** bump transistive dependencies ([#423](https://github.com/Fdawgs/yh-community-contacts-api/issues/423)) ([19bf8c4](https://github.com/Fdawgs/yh-community-contacts-api/commit/19bf8c45e390458680be17905790db7dba1ec248))

## [5.0.7](https://github.com/Fdawgs/yh-community-contacts-api/compare/v5.0.6...v5.0.7) (2022-09-05)


### Bug fixes

* **config:** `default` throws exceptions when used in `anyOf` schemas ([81dd1fd](https://github.com/Fdawgs/yh-community-contacts-api/commit/81dd1fd0427a2caeb99165ee9cdae5e7726ba2ff))
* **plugins/shared-schemas:** replace 500 response message const ([d864253](https://github.com/Fdawgs/yh-community-contacts-api/commit/d864253195156bf71aed41a0f1f1d37dee264fd9))


### Improvements

* **routes/docs/openapi:** ensure response is openapi object ([71f6dce](https://github.com/Fdawgs/yh-community-contacts-api/commit/71f6dce0df31778c6bad56d2fbe1224cbf576f4c))
* **routes:** remove additional properties from req queries ([0f28ff4](https://github.com/Fdawgs/yh-community-contacts-api/commit/0f28ff4173278090a67674c12aec027f525c025f))


### Miscellaneous

* **.husky:** shell path and arg updates ([76544e2](https://github.com/Fdawgs/yh-community-contacts-api/commit/76544e20fcfb26cdcd9f9816db2f8eb68348d3d0))
* **.vscode/extensions:** remove unmaintained extension ([9f40e3f](https://github.com/Fdawgs/yh-community-contacts-api/commit/9f40e3f6325aef3d612d65f96fd9742868987a2e))
* **config:** remove redundant todo inline comment ([f11ec47](https://github.com/Fdawgs/yh-community-contacts-api/commit/f11ec471333479c60f0cefc2451f3b82194bc692))
* **plugins/shared-schemas:** remove commented out code ([0fbba8a](https://github.com/Fdawgs/yh-community-contacts-api/commit/0fbba8abd0fbb195f620c74ab2f0b757137a6b3c))


### Dependencies

* **deps-dev:** bump @commitlint/cli from 17.0.3 to 17.1.2 ([#381](https://github.com/Fdawgs/yh-community-contacts-api/issues/381)) ([dcc4e42](https://github.com/Fdawgs/yh-community-contacts-api/commit/dcc4e427a4680b1958cfc75b8d8998aaa718fc8e))
* **deps-dev:** bump @commitlint/config-conventional ([#374](https://github.com/Fdawgs/yh-community-contacts-api/issues/374)) ([74cdd2f](https://github.com/Fdawgs/yh-community-contacts-api/commit/74cdd2ffbb632b341c79a5d90af3632f5a485d61))
* **deps-dev:** bump @faker-js/faker from 7.4.0 to 7.5.0 ([#386](https://github.com/Fdawgs/yh-community-contacts-api/issues/386)) ([39e1629](https://github.com/Fdawgs/yh-community-contacts-api/commit/39e16297fa0101e4ec81955abbe860a7046ab9b0))
* **deps-dev:** bump eslint from 8.22.0 to 8.23.0 ([#372](https://github.com/Fdawgs/yh-community-contacts-api/issues/372)) ([cedcee5](https://github.com/Fdawgs/yh-community-contacts-api/commit/cedcee5ee6afb12aa4130d444c3c77e49f56723d))
* **deps-dev:** bump eslint-plugin-jest from 26.8.4 to 27.0.1 ([#391](https://github.com/Fdawgs/yh-community-contacts-api/issues/391)) ([a567b41](https://github.com/Fdawgs/yh-community-contacts-api/commit/a567b414e6a88c731757a08973d35fa4a6215d34))
* **deps-dev:** bump eslint-plugin-promise from 6.0.0 to 6.0.1 ([#373](https://github.com/Fdawgs/yh-community-contacts-api/issues/373)) ([10cecbc](https://github.com/Fdawgs/yh-community-contacts-api/commit/10cecbc0840e54df783ee9331ac835ee1f74d91a))
* **deps-dev:** bump jest from 28.1.3 to 29.0.1 ([#376](https://github.com/Fdawgs/yh-community-contacts-api/issues/376)) ([f1fd4db](https://github.com/Fdawgs/yh-community-contacts-api/commit/f1fd4db92c0296c88e5e4edd5a48905b7718f3d7))
* **deps-dev:** bump jest from 29.0.1 to 29.0.2 ([#393](https://github.com/Fdawgs/yh-community-contacts-api/issues/393)) ([95be058](https://github.com/Fdawgs/yh-community-contacts-api/commit/95be058b36921adc32e5a6623e924725de09e984))
* **deps-dev:** bump pino-pretty from 9.0.1 to 9.1.0 ([#382](https://github.com/Fdawgs/yh-community-contacts-api/issues/382)) ([8dbab03](https://github.com/Fdawgs/yh-community-contacts-api/commit/8dbab03649f8e3357e4da4f4c0819c2e3195f46c))
* **deps-dev:** bump playwright from 1.25.0 to 1.25.1 ([#384](https://github.com/Fdawgs/yh-community-contacts-api/issues/384)) ([218c4db](https://github.com/Fdawgs/yh-community-contacts-api/commit/218c4db9902c3a4623070a83cd12fad7d236e628))
* **deps:** bump @fastify/accepts from 4.0.0 to 4.0.1 ([#375](https://github.com/Fdawgs/yh-community-contacts-api/issues/375)) ([65d1b64](https://github.com/Fdawgs/yh-community-contacts-api/commit/65d1b641e68fdab2d79b09f15daf48eb0f7ed953))
* **deps:** bump @fastify/autoload from 5.2.0 to 5.3.0 ([#378](https://github.com/Fdawgs/yh-community-contacts-api/issues/378)) ([4ee890f](https://github.com/Fdawgs/yh-community-contacts-api/commit/4ee890fc83388a38cb0e95fbe89f84ee8ae3442a))
* **deps:** bump @fastify/autoload from 5.3.0 to 5.3.1 ([#394](https://github.com/Fdawgs/yh-community-contacts-api/issues/394)) ([7765a7a](https://github.com/Fdawgs/yh-community-contacts-api/commit/7765a7ab868c71cd63a00dcfb84d25c84e8e30c8))
* **deps:** bump @fastify/compress from 6.1.0 to 6.1.1 ([#389](https://github.com/Fdawgs/yh-community-contacts-api/issues/389)) ([5ab9c09](https://github.com/Fdawgs/yh-community-contacts-api/commit/5ab9c0971823d364251b73028c5e1d6669ff56f0))
* **deps:** bump @fastify/helmet from 9.1.0 to 10.0.0 ([#379](https://github.com/Fdawgs/yh-community-contacts-api/issues/379)) ([a996b48](https://github.com/Fdawgs/yh-community-contacts-api/commit/a996b48f72a892b6b49ecb439be0de5e4feea31c))
* **deps:** bump @fastify/rate-limit from 7.3.0 to 7.4.0 ([#392](https://github.com/Fdawgs/yh-community-contacts-api/issues/392)) ([d4aaf57](https://github.com/Fdawgs/yh-community-contacts-api/commit/d4aaf5769e931b55ea9b7eaa965d7e072c9c1cbf))
* **deps:** bump @fastify/sensible from 5.1.0 to 5.1.1 ([#387](https://github.com/Fdawgs/yh-community-contacts-api/issues/387)) ([4cd6d8e](https://github.com/Fdawgs/yh-community-contacts-api/commit/4cd6d8e2d0f9a752ee21ea641464f4d5aa8918cd))
* **deps:** bump @fastify/swagger from 7.4.1 to 7.5.0 ([#390](https://github.com/Fdawgs/yh-community-contacts-api/issues/390)) ([150e5a2](https://github.com/Fdawgs/yh-community-contacts-api/commit/150e5a2da20858f6ae63b424b9ee25cd0adee4a7))
* **deps:** bump @fastify/under-pressure from 8.0.0 to 8.1.0 ([#383](https://github.com/Fdawgs/yh-community-contacts-api/issues/383)) ([21524a5](https://github.com/Fdawgs/yh-community-contacts-api/commit/21524a53c73289677bde696925e72d6b5783644f))
* **deps:** bump dotenv from 16.0.1 to 16.0.2 ([#377](https://github.com/Fdawgs/yh-community-contacts-api/issues/377)) ([aeac77e](https://github.com/Fdawgs/yh-community-contacts-api/commit/aeac77e1500a94c1c3a101df616a1c9b4d46090e))
* **deps:** bump fastify from 4.5.2 to 4.5.3 ([#380](https://github.com/Fdawgs/yh-community-contacts-api/issues/380)) ([a073ddb](https://github.com/Fdawgs/yh-community-contacts-api/commit/a073ddb76b23c740cc119204a3d7f599a4d13236))
* **deps:** bump fastify-plugin from 4.2.0 to 4.2.1 ([#385](https://github.com/Fdawgs/yh-community-contacts-api/issues/385)) ([db6d3ea](https://github.com/Fdawgs/yh-community-contacts-api/commit/db6d3ea03565f13e7b33bda7d844741f4471b5a7))
* **deps:** bump pg from 8.7.3 to 8.8.0 ([#388](https://github.com/Fdawgs/yh-community-contacts-api/issues/388)) ([8f8693b](https://github.com/Fdawgs/yh-community-contacts-api/commit/8f8693b640634bad96fef63dc8f85cb87ce71121))
* **deps:** bump transistive dependencies ([4c59268](https://github.com/Fdawgs/yh-community-contacts-api/commit/4c59268d1a30a38154c37b03084d1156f7f36134))

## [5.0.6](https://github.com/Fdawgs/yh-community-contacts-api/compare/v5.0.5...v5.0.6) (2022-08-20)


### Miscellaneous

* compress images ([#362](https://github.com/Fdawgs/yh-community-contacts-api/issues/362)) ([a4761e4](https://github.com/Fdawgs/yh-community-contacts-api/commit/a4761e47bb503e1bd60c0b7925642ac2d120c37b))


### Dependencies

* **deps-dev:** bump eslint-plugin-jest from 26.8.3 to 26.8.4 ([#368](https://github.com/Fdawgs/yh-community-contacts-api/issues/368)) ([d8e6a90](https://github.com/Fdawgs/yh-community-contacts-api/commit/d8e6a90734bf83984bab400d6cc4691c288c902e))
* **deps:** bump fastify from 4.5.0 to 4.5.2 ([#367](https://github.com/Fdawgs/yh-community-contacts-api/issues/367)) ([93b6b03](https://github.com/Fdawgs/yh-community-contacts-api/commit/93b6b03521d7abf5c8b26c59cee5472deadbdf0b))
* **deps:** bump mssql from 9.0.0 to 9.0.1 ([#364](https://github.com/Fdawgs/yh-community-contacts-api/issues/364)) ([010b94b](https://github.com/Fdawgs/yh-community-contacts-api/commit/010b94b0093a8dc1afd29488a8f626dc6358de98))
* **deps:** bump pino from 8.4.1 to 8.4.2 ([#365](https://github.com/Fdawgs/yh-community-contacts-api/issues/365)) ([ba28a09](https://github.com/Fdawgs/yh-community-contacts-api/commit/ba28a091bd9d018dff8ce424fe943f35c296522c))
* **deps:** bump redoc from 2.0.0-rc.75 to 2.0.0-rc.76 ([#366](https://github.com/Fdawgs/yh-community-contacts-api/issues/366)) ([dcca1db](https://github.com/Fdawgs/yh-community-contacts-api/commit/dcca1dbffe37048801676fcb47921d1d801d811c))

## [5.0.5](https://github.com/Fdawgs/yh-community-contacts-api/compare/v5.0.4...v5.0.5) (2022-08-18)


### Improvements

* check accept header is supported before parsing req body ([66bd127](https://github.com/Fdawgs/yh-community-contacts-api/commit/66bd127c3d1943a9bae7a962f515d692818598cb))
* convert sync async handlers to sync only ([7ae3411](https://github.com/Fdawgs/yh-community-contacts-api/commit/7ae34114e4c7cbeef9f27c321ae6703c5a46a6ad))
* **plugins/serialize-json-to-xml:** consolidate if statements ([159058f](https://github.com/Fdawgs/yh-community-contacts-api/commit/159058f3374718e5684e82ca9283a6aae5ab04df))
* remove redundant returns ([df485ee](https://github.com/Fdawgs/yh-community-contacts-api/commit/df485eeb6ae88572cf407e78620f1c6ecbd61a97))
* **routes:** remove reassignment of variables ([3a34b37](https://github.com/Fdawgs/yh-community-contacts-api/commit/3a34b3798e38dc7f18e843c6a5a70cf39ef53e6e))


### Dependencies

* **deps-dev:** bump eslint from 8.21.0 to 8.22.0 ([#359](https://github.com/Fdawgs/yh-community-contacts-api/issues/359)) ([b30132b](https://github.com/Fdawgs/yh-community-contacts-api/commit/b30132bf602491434880ca8fce80f9c731f664cc))
* **deps-dev:** bump eslint-plugin-jest from 26.8.2 to 26.8.3 ([#356](https://github.com/Fdawgs/yh-community-contacts-api/issues/356)) ([6c659f0](https://github.com/Fdawgs/yh-community-contacts-api/commit/6c659f0fa1d23958e533affbb3e48cd184452748))
* **deps-dev:** bump pino-pretty from 8.1.0 to 9.0.1 ([#354](https://github.com/Fdawgs/yh-community-contacts-api/issues/354)) ([55668cd](https://github.com/Fdawgs/yh-community-contacts-api/commit/55668cdc6e34e6aabebc1879fb07a6f1e506db5c))
* **deps-dev:** bump playwright from 1.24.2 to 1.25.0 ([#357](https://github.com/Fdawgs/yh-community-contacts-api/issues/357)) ([d2bf7a7](https://github.com/Fdawgs/yh-community-contacts-api/commit/d2bf7a7a8db8e62a279134fa9097acee5e2e657c))
* **deps:** bump @fastify/under-pressure from 7.0.0 to 8.0.0 ([#358](https://github.com/Fdawgs/yh-community-contacts-api/issues/358)) ([3082bd0](https://github.com/Fdawgs/yh-community-contacts-api/commit/3082bd08efb81d837344f3723ea57db545a4f8d8))
* **deps:** bump fastify from 4.4.0 to 4.5.0 ([#351](https://github.com/Fdawgs/yh-community-contacts-api/issues/351)) ([f30f475](https://github.com/Fdawgs/yh-community-contacts-api/commit/f30f47510f4593be1898bca9db53db162b8839f2))
* **deps:** bump fastify-plugin from 4.1.0 to 4.2.0 ([#352](https://github.com/Fdawgs/yh-community-contacts-api/issues/352)) ([e91aaf3](https://github.com/Fdawgs/yh-community-contacts-api/commit/e91aaf3cda44525c305f427fa5087b73ee29e38b))
* **deps:** bump mssql from 8.1.3 to 9.0.0 ([#353](https://github.com/Fdawgs/yh-community-contacts-api/issues/353)) ([3bae181](https://github.com/Fdawgs/yh-community-contacts-api/commit/3bae1819ae11fccb3ad6fdc89743363e7b9f78fc))
* **deps:** bump pino from 8.4.0 to 8.4.1 ([#355](https://github.com/Fdawgs/yh-community-contacts-api/issues/355)) ([dd0d95c](https://github.com/Fdawgs/yh-community-contacts-api/commit/dd0d95cc6ac00e94ce527768f8e4a5f5c5c90203))
* **deps:** bump redoc from 2.0.0-rc.74 to 2.0.0-rc.75 ([#360](https://github.com/Fdawgs/yh-community-contacts-api/issues/360)) ([6b94175](https://github.com/Fdawgs/yh-community-contacts-api/commit/6b94175bded52ec5a78beff70c052a3f0f6952d6))
* **deps:** bump sub-dependencies ([#361](https://github.com/Fdawgs/yh-community-contacts-api/issues/361)) ([68a01f1](https://github.com/Fdawgs/yh-community-contacts-api/commit/68a01f1fe3af8db08babd751f1df2c35a898556e))

## [5.0.4](https://github.com/Fdawgs/yh-community-contacts-api/compare/v5.0.3...v5.0.4) (2022-08-09)


### Bug fixes

* **config:** log rotation max files ([#335](https://github.com/Fdawgs/yh-community-contacts-api/issues/335)) ([9fb8123](https://github.com/Fdawgs/yh-community-contacts-api/commit/9fb81238cf8d81aa8d0f24a70ac56aaa61a5ac51))


### Dependencies

* **deps-dev:** bump @faker-js/faker from 7.3.0 to 7.4.0 ([#343](https://github.com/Fdawgs/yh-community-contacts-api/issues/343)) ([e74a13b](https://github.com/Fdawgs/yh-community-contacts-api/commit/e74a13b963d744c12270745cfdae73ad3375baa6))
* **deps-dev:** bump eslint-plugin-jest from 26.7.0 to 26.8.2 ([#338](https://github.com/Fdawgs/yh-community-contacts-api/issues/338)) ([64b3cd2](https://github.com/Fdawgs/yh-community-contacts-api/commit/64b3cd25169ed5241e616ffa95dffa2f9d495b2f))
* **deps-dev:** bump eslint-plugin-jsdoc from 39.3.4 to 39.3.6 ([#339](https://github.com/Fdawgs/yh-community-contacts-api/issues/339)) ([fb02a6a](https://github.com/Fdawgs/yh-community-contacts-api/commit/fb02a6a43ee0980e79b1c057200278ce1cea01a3))
* **deps:** bump @fastify/autoload from 5.1.0 to 5.2.0 ([#342](https://github.com/Fdawgs/yh-community-contacts-api/issues/342)) ([b63b47d](https://github.com/Fdawgs/yh-community-contacts-api/commit/b63b47d081486e2884b50c4f5749fa85f157bda6))
* **deps:** bump fastify from 4.3.0 to 4.4.0 ([#337](https://github.com/Fdawgs/yh-community-contacts-api/issues/337)) ([77e68d8](https://github.com/Fdawgs/yh-community-contacts-api/commit/77e68d8590c1a75c7f26d4a77c342af687bcf3bb))
* **deps:** bump fastify-disablecache from 3.0.1 to 3.0.2 ([#345](https://github.com/Fdawgs/yh-community-contacts-api/issues/345)) ([322ad1a](https://github.com/Fdawgs/yh-community-contacts-api/commit/322ad1ac93dd4ba9b51365c2f08eea76be736390))
* **deps:** bump fastify-floc-off from 2.0.1 to 2.0.2 ([#340](https://github.com/Fdawgs/yh-community-contacts-api/issues/340)) ([9db14b0](https://github.com/Fdawgs/yh-community-contacts-api/commit/9db14b095d5ff63d454e6cf7a56db9dd4c96cdf2))
* **deps:** bump mssql from 8.1.2 to 8.1.3 ([#346](https://github.com/Fdawgs/yh-community-contacts-api/issues/346)) ([51cf267](https://github.com/Fdawgs/yh-community-contacts-api/commit/51cf267c2cef2a7b24dc40df090ed934910a341f))
* **deps:** bump pino from 8.3.1 to 8.4.0 ([#344](https://github.com/Fdawgs/yh-community-contacts-api/issues/344)) ([e200850](https://github.com/Fdawgs/yh-community-contacts-api/commit/e200850928488d3157791bd98e98538b980f3ad8))

## [5.0.3](https://github.com/Fdawgs/yh-community-contacts-api/compare/v5.0.2...v5.0.3) (2022-08-04)


### Bug fixes

* **routes:** invalid openapi shared schema definitions ([#331](https://github.com/Fdawgs/yh-community-contacts-api/issues/331)) ([77c184c](https://github.com/Fdawgs/yh-community-contacts-api/commit/77c184cd6ae9e11274574146554e4283d200c4f5))
* **server:** reduce `content-security-policy` for options routes ([#333](https://github.com/Fdawgs/yh-community-contacts-api/issues/333)) ([e6d216a](https://github.com/Fdawgs/yh-community-contacts-api/commit/e6d216ab3ad1aff818063ea91447917914fb6345))


### Dependencies

* **deps:** bump @fastify/cors from 8.0.0 to 8.1.0 ([#334](https://github.com/Fdawgs/yh-community-contacts-api/issues/334)) ([e818250](https://github.com/Fdawgs/yh-community-contacts-api/commit/e8182503e8516a9dade3eac732950e1c75191101))

## [5.0.2](https://github.com/Fdawgs/yh-community-contacts-api/compare/v5.0.1...v5.0.2) (2022-08-01)


### Improvements

* migrate from fastify v3 to v4 ([#316](https://github.com/Fdawgs/yh-community-contacts-api/issues/316)) ([8789d3c](https://github.com/Fdawgs/yh-community-contacts-api/commit/8789d3c9cb5b0e28ef4997d1a78945508e7de490))


### Continuous integration

* **ci:** audit npm package signatures ([4fe5fb3](https://github.com/Fdawgs/yh-community-contacts-api/commit/4fe5fb3e9a034f6d5222fb160455af19dd36036f))


### Miscellaneous

* **.*ignore:** add pnpm lockfile ([#322](https://github.com/Fdawgs/yh-community-contacts-api/issues/322)) ([ea4d409](https://github.com/Fdawgs/yh-community-contacts-api/commit/ea4d4098b923ec50c3e0606bf237007d6c576f6c))
* replace `--production` npm arg with `--omit=dev` ([fa63699](https://github.com/Fdawgs/yh-community-contacts-api/commit/fa636991a66a1255962789ea81c605afbe4b6413))


### Dependencies

* **deps-dev:** bump eslint from 8.20.0 to 8.21.0 ([#324](https://github.com/Fdawgs/yh-community-contacts-api/issues/324)) ([026ca13](https://github.com/Fdawgs/yh-community-contacts-api/commit/026ca1312873341518306de950e52610f29a5a77))
* **deps-dev:** bump eslint-plugin-jest from 26.6.0 to 26.7.0 ([#325](https://github.com/Fdawgs/yh-community-contacts-api/issues/325)) ([acc159e](https://github.com/Fdawgs/yh-community-contacts-api/commit/acc159e4cf1dde3dd2f14ae1c76e21865a9e8446))
* **deps-dev:** bump eslint-plugin-jsdoc from 39.3.3 to 39.3.4 ([#328](https://github.com/Fdawgs/yh-community-contacts-api/issues/328)) ([9ea335b](https://github.com/Fdawgs/yh-community-contacts-api/commit/9ea335ba224b327f8328d14535c912b0854f51d2))
* **deps-dev:** bump playwright from 1.24.1 to 1.24.2 ([#329](https://github.com/Fdawgs/yh-community-contacts-api/issues/329)) ([b9ef1e1](https://github.com/Fdawgs/yh-community-contacts-api/commit/b9ef1e17a1dafc7b5fe39313533f9a9ac4445f52))
* **deps:** bump @fastify/static from 6.4.1 to 6.5.0 ([#326](https://github.com/Fdawgs/yh-community-contacts-api/issues/326)) ([ff56d7e](https://github.com/Fdawgs/yh-community-contacts-api/commit/ff56d7e96f821ad18b3c4d15f29012dd1cbd891d))
* **deps:** bump fastify-disablecache from 3.0.0 to 3.0.1 ([#320](https://github.com/Fdawgs/yh-community-contacts-api/issues/320)) ([4e726c7](https://github.com/Fdawgs/yh-community-contacts-api/commit/4e726c76ab2e83e764eafa1e42cbc15f1e5358ac))
* **deps:** bump fastify-floc-off from 2.0.0 to 2.0.1 ([#319](https://github.com/Fdawgs/yh-community-contacts-api/issues/319)) ([54ed1a5](https://github.com/Fdawgs/yh-community-contacts-api/commit/54ed1a5bdfb586fe6575eeea06b31d2ad9833743))
* **deps:** bump pino from 8.3.0 to 8.3.1 ([#321](https://github.com/Fdawgs/yh-community-contacts-api/issues/321)) ([1703413](https://github.com/Fdawgs/yh-community-contacts-api/commit/1703413374d1cad59727379dba8e279e9c7c4d26))
* **deps:** bump redoc from 2.0.0-rc.72 to 2.0.0-rc.74 ([#323](https://github.com/Fdawgs/yh-community-contacts-api/issues/323)) ([37981a7](https://github.com/Fdawgs/yh-community-contacts-api/commit/37981a751b71f846f35d3f52f9ee8cadfcf18b21))
* **deps:** bump secure-json-parse from 2.4.0 to 2.5.0 ([#327](https://github.com/Fdawgs/yh-community-contacts-api/issues/327)) ([4e14774](https://github.com/Fdawgs/yh-community-contacts-api/commit/4e147743c98003b244ca2e9c255536cbf90b6a81))
* **deps:** bump sub-dependencies ([#330](https://github.com/Fdawgs/yh-community-contacts-api/issues/330)) ([6ebdea7](https://github.com/Fdawgs/yh-community-contacts-api/commit/6ebdea7ee1dbe0edb5b52fe959914e75a6b7d057))

## [5.0.1](https://github.com/Fdawgs/yh-community-contacts-api/compare/v5.0.0...v5.0.1) (2022-07-14)


### Dependencies

* **dependabot:** increase `open-pull-requests-limit` from 5 to 20 ([64a2a26](https://github.com/Fdawgs/yh-community-contacts-api/commit/64a2a26be136cfbd776ac9458395e714213f8174))
* **deps-dev:** bump @commitlint/cli from 17.0.2 to 17.0.3 ([#304](https://github.com/Fdawgs/yh-community-contacts-api/issues/304)) ([3f25913](https://github.com/Fdawgs/yh-community-contacts-api/commit/3f2591311de717d5ed03b4cb45915398440cfe0e))
* **deps-dev:** bump @commitlint/config-conventional ([#293](https://github.com/Fdawgs/yh-community-contacts-api/issues/293)) ([d0da5b3](https://github.com/Fdawgs/yh-community-contacts-api/commit/d0da5b3a2c6b4645a73d3bfaf3619cfb3d2c4b26))
* **deps-dev:** bump @faker-js/faker from 7.2.0 to 7.3.0 ([#307](https://github.com/Fdawgs/yh-community-contacts-api/issues/307)) ([326fe08](https://github.com/Fdawgs/yh-community-contacts-api/commit/326fe087e04289749e60df996f5d89a15a36021c))
* **deps-dev:** bump eslint from 8.18.0 to 8.19.0 ([#298](https://github.com/Fdawgs/yh-community-contacts-api/issues/298)) ([bddc795](https://github.com/Fdawgs/yh-community-contacts-api/commit/bddc795e21d8e48e01d4e564b7c80a9a1e64374d))
* **deps-dev:** bump jest from 28.1.1 to 28.1.2 ([#303](https://github.com/Fdawgs/yh-community-contacts-api/issues/303)) ([9d345f8](https://github.com/Fdawgs/yh-community-contacts-api/commit/9d345f879426408fe355c0f96a9104c63465893a))
* **deps-dev:** bump jest from 28.1.2 to 28.1.3 ([#314](https://github.com/Fdawgs/yh-community-contacts-api/issues/314)) ([0295715](https://github.com/Fdawgs/yh-community-contacts-api/commit/0295715a4912e85126528ea2a4de2028cd800d46))
* **deps-dev:** bump nodemon from 2.0.16 to 2.0.19 ([#302](https://github.com/Fdawgs/yh-community-contacts-api/issues/302)) ([e62b711](https://github.com/Fdawgs/yh-community-contacts-api/commit/e62b71177957432f41aa9ec45bb972595b84b6d2))
* **deps-dev:** bump pino-pretty from 8.0.0 to 8.1.0 ([#305](https://github.com/Fdawgs/yh-community-contacts-api/issues/305)) ([c95620d](https://github.com/Fdawgs/yh-community-contacts-api/commit/c95620db82cce0c3c98ca8732e8fc79b0d3c51bd))
* **deps-dev:** bump playwright from 1.22.2 to 1.23.2 ([#299](https://github.com/Fdawgs/yh-community-contacts-api/issues/299)) ([cea97df](https://github.com/Fdawgs/yh-community-contacts-api/commit/cea97df6a1b6c2c85bb5126fd6a9ff868abe6fe8))
* **deps-dev:** bump playwright from 1.23.2 to 1.23.3 ([#313](https://github.com/Fdawgs/yh-community-contacts-api/issues/313)) ([a61183a](https://github.com/Fdawgs/yh-community-contacts-api/commit/a61183aeb0cd11f45531ce0a80e5d8801fb83784))
* **deps:** bump @fastify/autoload from 4.0.1 to 5.1.0 ([#306](https://github.com/Fdawgs/yh-community-contacts-api/issues/306)) ([776706c](https://github.com/Fdawgs/yh-community-contacts-api/commit/776706cc01cc317c15d0a65df7aa318c8a47ae59))
* **deps:** bump fastify-plugin from 3.0.1 to 4.0.0 ([#310](https://github.com/Fdawgs/yh-community-contacts-api/issues/310)) ([ef8a544](https://github.com/Fdawgs/yh-community-contacts-api/commit/ef8a5445b3f2c78cda516460f154510a3769d443))
* **deps:** bump moment from 2.29.3 to 2.29.4 ([#300](https://github.com/Fdawgs/yh-community-contacts-api/issues/300)) ([adafa78](https://github.com/Fdawgs/yh-community-contacts-api/commit/adafa7892dddd0f072905bed5464397546131d14))
* **deps:** bump pino from 8.0.0 to 8.1.0 ([#296](https://github.com/Fdawgs/yh-community-contacts-api/issues/296)) ([54bce11](https://github.com/Fdawgs/yh-community-contacts-api/commit/54bce11061d89a565e83d3e049e2fe64aa09aeb0))
* **deps:** bump sub-dependencies ([#315](https://github.com/Fdawgs/yh-community-contacts-api/issues/315)) ([7ae9742](https://github.com/Fdawgs/yh-community-contacts-api/commit/7ae974277e1d5d7165a57b5f1580a6dfaf51900a))

## [5.0.0](https://github.com/Fdawgs/yh-community-contacts-api/compare/v4.0.4...v5.0.0) (2022-06-20)


### ⚠ BREAKING CHANGES

* **package:** drop support for non-lts node 15
* **plugins/hashed-bearer-auth:** Dropped support for node 14 to be able to use `Promise.any()`
* scrypt now used for hashing stored bearer tokens

### Bug fixes

* **plugins/serialize-json-to-xml:** ignore swagger and openapi specs ([#289](https://github.com/Fdawgs/yh-community-contacts-api/issues/289)) ([982a16c](https://github.com/Fdawgs/yh-community-contacts-api/commit/982a16c82facc52dee35c74a3c8608c3bb31badc))
* **routes:** pagination count returning as string for postgres conns ([#288](https://github.com/Fdawgs/yh-community-contacts-api/issues/288)) ([8541e17](https://github.com/Fdawgs/yh-community-contacts-api/commit/8541e17fc53b5eabb45f9a1b3bed35a96dfb2201))


### Improvements

* **plugins/hashed-bearer-auth:** replace blocking `for()` loop ([c07777e](https://github.com/Fdawgs/yh-community-contacts-api/commit/c07777ee4eae6c5c7f3f261bc1db67c67e1f4249))
* replace pbkdf2 with scrypt ([9b2cc52](https://github.com/Fdawgs/yh-community-contacts-api/commit/9b2cc52e881dabd0adfdabfd099809ea4c93a102))


### Miscellaneous

* **.github/funding:** remove comments ([b3715c7](https://github.com/Fdawgs/yh-community-contacts-api/commit/b3715c79160fdf27c7afcfa76ae2684065c7785f))
* **.github:** add `FUNDING.yml` ([deeeb5e](https://github.com/Fdawgs/yh-community-contacts-api/commit/deeeb5ec98a411a3a6c9c94afddb6553297eb798))
* **.gitignore:** use latest github ignore template ([49e2589](https://github.com/Fdawgs/yh-community-contacts-api/commit/49e258977c341794ae3d67df1459f34274f7d9b0))
* **.prettierignore:** add new paths from `.gitignore` ([11b8440](https://github.com/Fdawgs/yh-community-contacts-api/commit/11b84400280b011d5deb5cf9bb42f2646628eb95))
* **package:** drop support for non-lts node 15 ([5eea440](https://github.com/Fdawgs/yh-community-contacts-api/commit/5eea440bd72e5ee708fe527b4b1ffa2e0dd30d65))
* remove redundant `async` keywords ([5e84ef6](https://github.com/Fdawgs/yh-community-contacts-api/commit/5e84ef6623d311cbd0febe0a37b3274e25865f24))


### Documentation

* **readme:** grammar fixes ([ea220c5](https://github.com/Fdawgs/yh-community-contacts-api/commit/ea220c518a785f108896cc389e799c2f7fc15a37))
* **readme:** update minimum node version required ([00c20a0](https://github.com/Fdawgs/yh-community-contacts-api/commit/00c20a0e8415f7a4ab56e0f18434ce1cb3204892))
* **readme:** use block quotes for notes to enable github md highlights ([c08f678](https://github.com/Fdawgs/yh-community-contacts-api/commit/c08f678a82b005d6ebf786b4893945bd74f208dc))


### Dependencies

* **deps-dev:** add missing caret range for prettier ([a9498b6](https://github.com/Fdawgs/yh-community-contacts-api/commit/a9498b64ed61c5ec075da8e011866659856b0e10))
* **deps-dev:** bump @faker-js/faker from 7.1.0 to 7.2.0 ([#276](https://github.com/Fdawgs/yh-community-contacts-api/issues/276)) ([d4fa8c3](https://github.com/Fdawgs/yh-community-contacts-api/commit/d4fa8c3282f43e32f8ffa18095315793265fb036))
* **deps-dev:** bump eslint from 8.16.0 to 8.17.0 ([#274](https://github.com/Fdawgs/yh-community-contacts-api/issues/274)) ([af104c6](https://github.com/Fdawgs/yh-community-contacts-api/commit/af104c675d0db30bf84b65874b7534a268882297))
* **deps-dev:** bump eslint from 8.17.0 to 8.18.0 ([#290](https://github.com/Fdawgs/yh-community-contacts-api/issues/290)) ([9c07cfb](https://github.com/Fdawgs/yh-community-contacts-api/commit/9c07cfb9abf79f5b3a22d8f14ab15a3e62fe6060))
* **deps-dev:** bump eslint-plugin-jest from 26.4.6 to 26.5.3 ([#272](https://github.com/Fdawgs/yh-community-contacts-api/issues/272)) ([3905df0](https://github.com/Fdawgs/yh-community-contacts-api/commit/3905df0e233c95baf4d8e17c6d31b3071ff6285c))
* **deps-dev:** bump eslint-plugin-jsdoc from 39.3.2 to 39.3.3 ([#291](https://github.com/Fdawgs/yh-community-contacts-api/issues/291)) ([d2fd5bf](https://github.com/Fdawgs/yh-community-contacts-api/commit/d2fd5bf345a3aadc71302cbd113b9a87e28102cc))
* **deps-dev:** bump jest from 28.1.0 to 28.1.1 ([#275](https://github.com/Fdawgs/yh-community-contacts-api/issues/275)) ([dc4e6e8](https://github.com/Fdawgs/yh-community-contacts-api/commit/dc4e6e861e5b37282f8e08f83d0a83421b3f4547))
* **deps-dev:** bump prettier from 2.6.2 to 2.7.1 ([#270](https://github.com/Fdawgs/yh-community-contacts-api/issues/270)) ([8cecb4c](https://github.com/Fdawgs/yh-community-contacts-api/commit/8cecb4c4cd4da89515ea2e79ab99720729e4ae94))
* **deps:** bump actions/dependency-review-action from 1 to 2 ([#268](https://github.com/Fdawgs/yh-community-contacts-api/issues/268)) ([0a9764f](https://github.com/Fdawgs/yh-community-contacts-api/commit/0a9764f48808b81fe764169c038af0438c4cd970))
* **deps:** bump pino from 7.11.0 to 8.0.0 ([#259](https://github.com/Fdawgs/yh-community-contacts-api/issues/259)) ([f71136b](https://github.com/Fdawgs/yh-community-contacts-api/commit/f71136b1f19c62375d4295412a2477fb0bbd29a1))
* **deps:** bump pino-pretty from 7.6.1 to 8.0.0 ([#260](https://github.com/Fdawgs/yh-community-contacts-api/issues/260)) ([c507e48](https://github.com/Fdawgs/yh-community-contacts-api/commit/c507e48f269ab00179b7a04b5047e06451b875d1))
* **deps:** bump redoc from 2.0.0-rc.71 to 2.0.0-rc.72 ([#280](https://github.com/Fdawgs/yh-community-contacts-api/issues/280)) ([d73c54b](https://github.com/Fdawgs/yh-community-contacts-api/commit/d73c54b16f6e3c532dcf2ea762b1988885abb260))
* **deps:** bump sub-dependencies ([#292](https://github.com/Fdawgs/yh-community-contacts-api/issues/292)) ([e27b548](https://github.com/Fdawgs/yh-community-contacts-api/commit/e27b54804a73296c203d56e7026448685dd7ec87))
* **deps:** bump wagoid/commitlint-github-action from 4 to 5 ([#269](https://github.com/Fdawgs/yh-community-contacts-api/issues/269)) ([2502d43](https://github.com/Fdawgs/yh-community-contacts-api/commit/2502d43ff22fab07f7c917efd5f8b3a5a2241431))
* **deps:** move pino-pretty to dev dependencies ([91ce470](https://github.com/Fdawgs/yh-community-contacts-api/commit/91ce470631e9158e97b0f780e2b9b4630a0e45a8))

### [4.0.4](https://github.com/Fdawgs/yh-community-contacts-api/compare/v4.0.3...v4.0.4) (2022-06-01)


### Bug fixes

* **plugins/serialize-json-to-xml:** 204 resps do not have content types ([0df37a4](https://github.com/Fdawgs/yh-community-contacts-api/commit/0df37a46d0dae50c4d292d556467fcfc25f001f1))
* **routes:** time and timezone suffix are case-sensitive ([ade2c0b](https://github.com/Fdawgs/yh-community-contacts-api/commit/ade2c0b9f6e2a0502471093ca1b864ee0f1a5059))
* **routes:** timestamptz data type does not support `YYYY` patterns ([7e9a629](https://github.com/Fdawgs/yh-community-contacts-api/commit/7e9a629d67a6e380ff1b1492f7cf60a32b1b36fe))


### Improvements

* **config:** replace `forEach()` with `map()` ([#240](https://github.com/Fdawgs/yh-community-contacts-api/issues/240)) ([cc62d2a](https://github.com/Fdawgs/yh-community-contacts-api/commit/cc62d2aa82b18a7f2e8f3967debfca4676a19d06))


### Continuous integration

* **ci:** add node 18 to test matrix ([#216](https://github.com/Fdawgs/yh-community-contacts-api/issues/216)) ([3911dcf](https://github.com/Fdawgs/yh-community-contacts-api/commit/3911dcf4636dda5c37255e43e91679a9ae15ad41))
* remove git credentials after checkout ([#238](https://github.com/Fdawgs/yh-community-contacts-api/issues/238)) ([a6f9fcc](https://github.com/Fdawgs/yh-community-contacts-api/commit/a6f9fcc7be54d6f3f0938abf0e541bf51d49fbcc))


### Dependencies

* **deps-dev:** bump @commitlint/cli from 17.0.0 to 17.0.2 ([#250](https://github.com/Fdawgs/yh-community-contacts-api/issues/250)) ([2c43227](https://github.com/Fdawgs/yh-community-contacts-api/commit/2c4322775212e05369c3fde1d153640dd3231deb))
* **deps-dev:** bump @commitlint/config-conventional ([#246](https://github.com/Fdawgs/yh-community-contacts-api/issues/246)) ([1a6d323](https://github.com/Fdawgs/yh-community-contacts-api/commit/1a6d323cb754b2bd9a94ce9be46856d326203fb7))
* **deps-dev:** bump @faker-js/faker from 6.3.1 to 7.1.0 ([#253](https://github.com/Fdawgs/yh-community-contacts-api/issues/253)) ([4535dac](https://github.com/Fdawgs/yh-community-contacts-api/commit/4535dac233afb497f6909a645499d5623552e2a1))
* **deps-dev:** bump eslint from 8.15.0 to 8.16.0 ([#245](https://github.com/Fdawgs/yh-community-contacts-api/issues/245)) ([7a4603f](https://github.com/Fdawgs/yh-community-contacts-api/commit/7a4603f1dca3c76a9bdcc269e1daf2e8ecce234d))
* **deps-dev:** bump eslint-plugin-jest from 26.2.2 to 26.4.6 ([#251](https://github.com/Fdawgs/yh-community-contacts-api/issues/251)) ([54059a2](https://github.com/Fdawgs/yh-community-contacts-api/commit/54059a2d849e743e6e2633e7eb871ccf53807f81))
* **deps-dev:** bump eslint-plugin-jsdoc from 39.2.9 to 39.3.2 ([#256](https://github.com/Fdawgs/yh-community-contacts-api/issues/256)) ([83d9667](https://github.com/Fdawgs/yh-community-contacts-api/commit/83d96671571f463c8480a31333786184a5a481d0))
* **deps-dev:** bump playwright from 1.22.1 to 1.22.2 ([#247](https://github.com/Fdawgs/yh-community-contacts-api/issues/247)) ([a2fbb2b](https://github.com/Fdawgs/yh-community-contacts-api/commit/a2fbb2b40f05072632e1bd9fd91505f36f106b31))
* **deps:** bump @fastify/helmet from 8.0.1 to 8.1.0 ([#257](https://github.com/Fdawgs/yh-community-contacts-api/issues/257)) ([02fb21f](https://github.com/Fdawgs/yh-community-contacts-api/commit/02fb21f692b96aef7ecaaccdeb777318540b453a))
* **deps:** bump @fastify/rate-limit from 6.0.0 to 6.0.1 ([#248](https://github.com/Fdawgs/yh-community-contacts-api/issues/248)) ([a6918a0](https://github.com/Fdawgs/yh-community-contacts-api/commit/a6918a0f5e131f70aca3546fea3dd1136af80036))
* **deps:** bump env-schema from 4.0.0 to 5.0.0 ([#255](https://github.com/Fdawgs/yh-community-contacts-api/issues/255)) ([9fd6c0f](https://github.com/Fdawgs/yh-community-contacts-api/commit/9fd6c0f7243fe3fe71920e38e5de152b3d2b0916))
* **deps:** bump mssql from 8.1.1 to 8.1.2 ([#254](https://github.com/Fdawgs/yh-community-contacts-api/issues/254)) ([c0c5599](https://github.com/Fdawgs/yh-community-contacts-api/commit/c0c55996b141cd69defd2587c0d3c03c8fc4815b))
* **deps:** bump redoc from 2.0.0-rc.70 to 2.0.0-rc.71 ([#244](https://github.com/Fdawgs/yh-community-contacts-api/issues/244)) ([e83b07f](https://github.com/Fdawgs/yh-community-contacts-api/commit/e83b07f8c02c41a1ddb4e406491e18a28484f0f5))
* **deps:** bump sub-dependencies ([fca5acb](https://github.com/Fdawgs/yh-community-contacts-api/commit/fca5acb3a1a3ece5c812e83aba9663496661c7bb))


### Miscellaneous

* **plugins/serialize-json-to-xml:** correct inline comments ([111e1b3](https://github.com/Fdawgs/yh-community-contacts-api/commit/111e1b3041f2a383e536828763b2cc404bde0e57))
* remove redundant eslint comments ([#242](https://github.com/Fdawgs/yh-community-contacts-api/issues/242)) ([31c79d9](https://github.com/Fdawgs/yh-community-contacts-api/commit/31c79d9d51e3131eec4c792605c937f7d1600dcd))
* **server:** fix inline comment ([5e8d56b](https://github.com/Fdawgs/yh-community-contacts-api/commit/5e8d56b81448ed19bcc1b47bc1bf7ae71518534e))

### [4.0.3](https://github.com/Fdawgs/yh-community-contacts-api/compare/v4.0.2...v4.0.3) (2022-05-18)


### Bug fixes

* **routes/admin/access/bearer-token:** missing record url path ([aae13ed](https://github.com/Fdawgs/yh-community-contacts-api/commit/aae13ed79e3cd490748996e645d350ed13f4f049))
* **server:** do not transform 503 http err into 500 http err response ([d9c56b1](https://github.com/Fdawgs/yh-community-contacts-api/commit/d9c56b15d4d62039a8f309b5370dcd1fdeb47880))


### Documentation

* update deployment steps to use `npm ci` ([43fe000](https://github.com/Fdawgs/yh-community-contacts-api/commit/43fe000a34b2fe341586cd67407135da28833b99))


### Miscellaneous

* **.eslintrc:** enable `plugin:jest/style` rules ([89d3e90](https://github.com/Fdawgs/yh-community-contacts-api/commit/89d3e90e772757fd0dcbb5dcc88ba8d12025ac03))
* **.github/codeql-config:** remove quotation marks ([6a97601](https://github.com/Fdawgs/yh-community-contacts-api/commit/6a976017726f8d3a8e054a908abb3072417a2fee))
* **bug_report:** use node 18 as placeholder for `node-version` ([41f0453](https://github.com/Fdawgs/yh-community-contacts-api/commit/41f04537136e9a1bd93c66a89663d87a78fc515d))
* **server:** use optional chaining for error message logging ([68a519d](https://github.com/Fdawgs/yh-community-contacts-api/commit/68a519dab2ce94f963aaf8a6106503eba9a42145))


### Continuous integration

* **automerge:** fix context ([325e14d](https://github.com/Fdawgs/yh-community-contacts-api/commit/325e14d8dd718d119b84879d40970883a6ac5a00))
* check `user.login` is dependabot instead of `actor` ([33fd019](https://github.com/Fdawgs/yh-community-contacts-api/commit/33fd019516c027796ef586a683dba863261771e9))
* **ci:** require `unit-tests` job to pass for `save-pr-number` job to run ([01f3540](https://github.com/Fdawgs/yh-community-contacts-api/commit/01f35408cc53b8dc2df3ac8064cab393979a5c02))
* **ci:** use `lts/*` for node setup in lint job ([1488a64](https://github.com/Fdawgs/yh-community-contacts-api/commit/1488a6485404752e7eed1e8a9f86aa4f143a4677))
* **ci:** use `node-version` for node matrix key ([5501de5](https://github.com/Fdawgs/yh-community-contacts-api/commit/5501de5f3cf426c7c8c0e711604cc2f1a4037756))
* **codeql:** only run on pr changes to `.html`, `.js`, and `.yml` files ([1fa8213](https://github.com/Fdawgs/yh-community-contacts-api/commit/1fa8213e5ef8e2b92bc532b70fd423423088de89))
* **codeql:** resolve missing analyses ([4c5375b](https://github.com/Fdawgs/yh-community-contacts-api/commit/4c5375b6b759e2a22e82c96db03f2559b4b65d2b))
* **codeql:** specify which files to scan during analysis ([f609aac](https://github.com/Fdawgs/yh-community-contacts-api/commit/f609aac5a929ce262dd15cf81671516568ae0c4e))


### Dependencies

* **deps-dev:** bump @commitlint/cli from 16.2.4 to 17.0.0 ([#227](https://github.com/Fdawgs/yh-community-contacts-api/issues/227)) ([f97e3d3](https://github.com/Fdawgs/yh-community-contacts-api/commit/f97e3d38ff09c0b198ed7056b84de24cd93503dc))
* **deps-dev:** bump @commitlint/config-conventional ([#233](https://github.com/Fdawgs/yh-community-contacts-api/issues/233)) ([cc1f957](https://github.com/Fdawgs/yh-community-contacts-api/commit/cc1f9570d7435e6c95da92e762c0c85e0f2e3e78))
* **deps-dev:** bump autocannon from 7.8.1 to 7.9.0 ([#229](https://github.com/Fdawgs/yh-community-contacts-api/issues/229)) ([840f1d6](https://github.com/Fdawgs/yh-community-contacts-api/commit/840f1d6aa1244ba4d149b91f10f788178ac19d58))
* **deps-dev:** bump eslint from 8.14.0 to 8.15.0 ([#225](https://github.com/Fdawgs/yh-community-contacts-api/issues/225)) ([30f7c98](https://github.com/Fdawgs/yh-community-contacts-api/commit/30f7c98c6aff6b599006c19607b1351ee79d7d35))
* **deps-dev:** bump eslint-plugin-jest from 26.1.5 to 26.2.2 ([#222](https://github.com/Fdawgs/yh-community-contacts-api/issues/222)) ([002fbde](https://github.com/Fdawgs/yh-community-contacts-api/commit/002fbde3ffc49d19f77e3ffd99d98862f3637da7))
* **deps-dev:** bump glob from 8.0.1 to 8.0.3 ([#234](https://github.com/Fdawgs/yh-community-contacts-api/issues/234)) ([3eca8bf](https://github.com/Fdawgs/yh-community-contacts-api/commit/3eca8bf8c516243507440cff8779812c69ff246d))
* **deps-dev:** bump husky from 7.0.4 to 8.0.1 ([#224](https://github.com/Fdawgs/yh-community-contacts-api/issues/224)) ([d9cbff0](https://github.com/Fdawgs/yh-community-contacts-api/commit/d9cbff0b4b9a6b94379f97876cca627087871f5b))
* **deps-dev:** bump jest from 28.0.3 to 28.1.0 ([#235](https://github.com/Fdawgs/yh-community-contacts-api/issues/235)) ([8b6cbee](https://github.com/Fdawgs/yh-community-contacts-api/commit/8b6cbeed9c64e394be7254866eb1310e67d2d9eb))
* **deps-dev:** bump playwright from 1.21.1 to 1.22.1 ([#220](https://github.com/Fdawgs/yh-community-contacts-api/issues/220)) ([f48252a](https://github.com/Fdawgs/yh-community-contacts-api/commit/f48252a35984486e2865671bc794ddd23ee80771))
* **deps:** bump @fastify/basic-auth from 3.0.1 to 3.0.2 ([#228](https://github.com/Fdawgs/yh-community-contacts-api/issues/228)) ([371ce74](https://github.com/Fdawgs/yh-community-contacts-api/commit/371ce74c5a61189c7e0409ff3de1f01161c8ac39))
* **deps:** bump @fastify/helmet from 8.0.0 to 8.0.1 ([#230](https://github.com/Fdawgs/yh-community-contacts-api/issues/230)) ([0d8ee66](https://github.com/Fdawgs/yh-community-contacts-api/commit/0d8ee666aa28b85035e511ab23d68b6ae39a2cb4))
* **deps:** bump @fastify/sensible from 4.0.0 to 4.1.0 ([#226](https://github.com/Fdawgs/yh-community-contacts-api/issues/226)) ([20ea2b5](https://github.com/Fdawgs/yh-community-contacts-api/commit/20ea2b57ffe9ae88582639130820773b0352d28a))
* **deps:** bump @fastify/static from 5.0.1 to 5.0.2 ([#231](https://github.com/Fdawgs/yh-community-contacts-api/issues/231)) ([b2006ee](https://github.com/Fdawgs/yh-community-contacts-api/commit/b2006ee9cf371eaac61b796c6a6c446830b8d9b3))
* **deps:** bump dotenv from 16.0.0 to 16.0.1 ([#232](https://github.com/Fdawgs/yh-community-contacts-api/issues/232)) ([2a65173](https://github.com/Fdawgs/yh-community-contacts-api/commit/2a6517371b9561c3d8bcd930dc4386e632227555))
* **deps:** bump mssql from 8.1.0 to 8.1.1 ([#236](https://github.com/Fdawgs/yh-community-contacts-api/issues/236)) ([74b7612](https://github.com/Fdawgs/yh-community-contacts-api/commit/74b76124ff7ec177f5100110b604f84857f562d9))
* **deps:** bump redoc from 2.0.0-rc.67 to 2.0.0-rc.70 ([#223](https://github.com/Fdawgs/yh-community-contacts-api/issues/223)) ([a0645d2](https://github.com/Fdawgs/yh-community-contacts-api/commit/a0645d240b75f262e926670db91b46279c7e3765))
* **deps:** bump sub-dependencies ([8699105](https://github.com/Fdawgs/yh-community-contacts-api/commit/869910556cc18fc18622eb76b2a16c9b16415354))


### Improvements

* access `fs/promises` api via newer route ([ac89225](https://github.com/Fdawgs/yh-community-contacts-api/commit/ac892256883fc97cff69a83fcc6b7f1f1e8eec02))

### [4.0.2](https://github.com/Fdawgs/yh-community-contacts-api/compare/v4.0.1...v4.0.2) (2022-05-04)


### Bug fixes

* log error stack trace; adjust http 500 error responses ([#188](https://github.com/Fdawgs/yh-community-contacts-api/issues/188)) ([1140481](https://github.com/Fdawgs/yh-community-contacts-api/commit/1140481382ed4e0cdc52c0988407d8219e15dc33))


### Improvements

* **routes/contact:** remove implicit require of `URL` ([#185](https://github.com/Fdawgs/yh-community-contacts-api/issues/185)) ([070e09c](https://github.com/Fdawgs/yh-community-contacts-api/commit/070e09c43e93b9e5ea3ee7b8507f9d292b66b296))


### Continuous integration

* add dependency-review job ([6777345](https://github.com/Fdawgs/yh-community-contacts-api/commit/677734577f90c388ab6b60a14d395be97dc0a189))
* **link-check:** replace `npx linkinator` call with github action ([9b5fa72](https://github.com/Fdawgs/yh-community-contacts-api/commit/9b5fa7256af9508c2cb5f1f952963c15954a9ab8))
* only trigger dependency-review on pr ([511ddf0](https://github.com/Fdawgs/yh-community-contacts-api/commit/511ddf066722c88228fbefee3d4a3f719d883937))
* use shorter arg aliases for lockfile lint step ([1d564b4](https://github.com/Fdawgs/yh-community-contacts-api/commit/1d564b4e711b54e18fc135c41a57ad54b886b396))
* validate that resolved url matches the package name ([afc84e2](https://github.com/Fdawgs/yh-community-contacts-api/commit/afc84e22289df963787f71959bed2b3125d685b1))


### Documentation

* **readme:** add mention of insomnia example requests ([1443cee](https://github.com/Fdawgs/yh-community-contacts-api/commit/1443cee8eb8d06aa3150b11c361a89820b3153ae))
* **readme:** remove `db:migrate` step, now runs on start of api ([71baac2](https://github.com/Fdawgs/yh-community-contacts-api/commit/71baac271eeee2166c9632fdf4360bf5d89498a2))
* **readme:** remove snyk badge ([f1c3140](https://github.com/Fdawgs/yh-community-contacts-api/commit/f1c3140867da20a9ea224851d2538bb42ac071ec))


### Dependencies

* **deps-dev:** bump @commitlint/cli from 16.2.3 to 16.2.4 ([#203](https://github.com/Fdawgs/yh-community-contacts-api/issues/203)) ([4431bca](https://github.com/Fdawgs/yh-community-contacts-api/commit/4431bcae21ab94a93f10e4c77017004dec8bd2df))
* **deps-dev:** bump @commitlint/config-conventional ([#194](https://github.com/Fdawgs/yh-community-contacts-api/issues/194)) ([11570c8](https://github.com/Fdawgs/yh-community-contacts-api/commit/11570c8c26a4e93848474a08b0b70e0c4e57e66b))
* **deps-dev:** bump @faker-js/faker from 6.1.2 to 6.2.0 ([#196](https://github.com/Fdawgs/yh-community-contacts-api/issues/196)) ([cc3dc4e](https://github.com/Fdawgs/yh-community-contacts-api/commit/cc3dc4e423a45163fd7e6713b32fcf0ca2b14497))
* **deps-dev:** bump @faker-js/faker from 6.2.0 to 6.3.1 ([#208](https://github.com/Fdawgs/yh-community-contacts-api/issues/208)) ([d145376](https://github.com/Fdawgs/yh-community-contacts-api/commit/d14537626d72609c0c151f8140810f60635cdb8b))
* **deps-dev:** bump eslint from 8.13.0 to 8.14.0 ([#197](https://github.com/Fdawgs/yh-community-contacts-api/issues/197)) ([a173269](https://github.com/Fdawgs/yh-community-contacts-api/commit/a173269bbde91dcf6988d1c4b54fabc34fa0c352))
* **deps-dev:** bump eslint-plugin-jest from 26.1.4 to 26.1.5 ([#198](https://github.com/Fdawgs/yh-community-contacts-api/issues/198)) ([0d7bd65](https://github.com/Fdawgs/yh-community-contacts-api/commit/0d7bd65ddc5e3771aa3789b46a5c1c080ad30e75))
* **deps-dev:** bump eslint-plugin-jsdoc from 39.1.1 to 39.2.9 ([#201](https://github.com/Fdawgs/yh-community-contacts-api/issues/201)) ([48fb1a3](https://github.com/Fdawgs/yh-community-contacts-api/commit/48fb1a3bf6cc3de5c2c6d0b505225bdeeb7c365e))
* **deps-dev:** bump eslint-plugin-security from 1.4.0 to 1.5.0 ([#202](https://github.com/Fdawgs/yh-community-contacts-api/issues/202)) ([8c6aea0](https://github.com/Fdawgs/yh-community-contacts-api/commit/8c6aea0d3d6bb4cc460f37aa79858abfd9b0fc85))
* **deps-dev:** bump jest from 27.5.1 to 28.0.3 ([#193](https://github.com/Fdawgs/yh-community-contacts-api/issues/193)) ([9e57b36](https://github.com/Fdawgs/yh-community-contacts-api/commit/9e57b36e0e2e273f99712c3cc77bc7acdd946347))
* **deps-dev:** bump nodemon from 2.0.15 to 2.0.16 ([#192](https://github.com/Fdawgs/yh-community-contacts-api/issues/192)) ([feca91b](https://github.com/Fdawgs/yh-community-contacts-api/commit/feca91b75ef90769f7d666b4c42989635a7b26e0))
* **deps-dev:** bump playwright from 1.20.2 to 1.21.1 ([#195](https://github.com/Fdawgs/yh-community-contacts-api/issues/195)) ([f77ecf9](https://github.com/Fdawgs/yh-community-contacts-api/commit/f77ecf926e76f214d49e48cb77be5778a80d0192))
* **deps:** bump @fastify/autoload from 4.0.0 to 4.0.1 ([#211](https://github.com/Fdawgs/yh-community-contacts-api/issues/211)) ([1336854](https://github.com/Fdawgs/yh-community-contacts-api/commit/1336854ff12bb57e14ea3ff1da9ebeb6b13210fc))
* **deps:** bump @fastify/basic-auth from 3.0.0 to 3.0.1 ([#206](https://github.com/Fdawgs/yh-community-contacts-api/issues/206)) ([3bd5e52](https://github.com/Fdawgs/yh-community-contacts-api/commit/3bd5e52f270ecfc479dbccf8c0e3f8de31acee4b))
* **deps:** bump @fastify/bearer-auth from 7.0.0 to 7.0.1 ([#207](https://github.com/Fdawgs/yh-community-contacts-api/issues/207)) ([1550efb](https://github.com/Fdawgs/yh-community-contacts-api/commit/1550efb678a9a80a3596669b6ce45c76394b1bdf))
* **deps:** bump @fastify/static from 5.0.0 to 5.0.1 ([#209](https://github.com/Fdawgs/yh-community-contacts-api/issues/209)) ([2fbb432](https://github.com/Fdawgs/yh-community-contacts-api/commit/2fbb43240a247043511d8979bbed8366d0b99caa))
* **deps:** bump fastify from 3.28.0 to 3.29.0 ([#200](https://github.com/Fdawgs/yh-community-contacts-api/issues/200)) ([2576cf4](https://github.com/Fdawgs/yh-community-contacts-api/commit/2576cf49d68bd9fbfc500078aec149a245b49b79))
* **deps:** bump github/codeql-action from 1 to 2 ([#191](https://github.com/Fdawgs/yh-community-contacts-api/issues/191)) ([cac9444](https://github.com/Fdawgs/yh-community-contacts-api/commit/cac9444ad1749d6c28e45380ca219aac99332621))
* **deps:** bump pino from 7.10.0 to 7.11.0 ([#204](https://github.com/Fdawgs/yh-community-contacts-api/issues/204)) ([9f9652b](https://github.com/Fdawgs/yh-community-contacts-api/commit/9f9652bcff01eb7c33a2afe5f683bb13656ee41e))
* **deps:** bump redoc from 2.0.0-rc.66 to 2.0.0-rc.67 ([#205](https://github.com/Fdawgs/yh-community-contacts-api/issues/205)) ([a36654d](https://github.com/Fdawgs/yh-community-contacts-api/commit/a36654d02f04f24984a8d96d3cc27b19500f0569))
* **deps:** bump sub-dependencies ([47648e1](https://github.com/Fdawgs/yh-community-contacts-api/commit/47648e1f84c4eecd5838a4540c02b19a35cca0e4))
* **deps:** bump under-pressure from 5.8.0 to 5.8.1 ([#210](https://github.com/Fdawgs/yh-community-contacts-api/issues/210)) ([acf29c9](https://github.com/Fdawgs/yh-community-contacts-api/commit/acf29c95ddb5349b1c0e3d51f6a9ae96fa548380))
* use new `[@fastify](https://github.com/fastify)` org dependencies ([#189](https://github.com/Fdawgs/yh-community-contacts-api/issues/189)) ([07e1fd1](https://github.com/Fdawgs/yh-community-contacts-api/commit/07e1fd10164585c98b0ac31361facc7b79516fc2))


### Miscellaneous

* **.github/workflows/link-check:** use `skip` input ([38aa71d](https://github.com/Fdawgs/yh-community-contacts-api/commit/38aa71de1cb924cfd487ad6595cee453942010b5))
* **ci:** remove quotation marks from step name ([a0ff9ba](https://github.com/Fdawgs/yh-community-contacts-api/commit/a0ff9bafd7215f77fe0d752781ca2e3e3a7afc2a))
* **server:** add missing asterisk to inline comment block ([793d7c9](https://github.com/Fdawgs/yh-community-contacts-api/commit/793d7c97801f73eff4503eda262d4ddc4ec92739))
* use npm install alias ([fcc9302](https://github.com/Fdawgs/yh-community-contacts-api/commit/fcc9302771312768dea74c9fb9f6778d8fbff702))

### [4.0.1](https://github.com/Fdawgs/yh-community-contacts-api/compare/v4.0.0...v4.0.1) (2022-04-12)


### Bug fixes

* stop npm from swallowing exit signals; run migrations on launch ([d4169fa](https://github.com/Fdawgs/yh-community-contacts-api/commit/d4169fa71b75c4ae6ae1e7a8277e65c2ad72bdd3))


### Continuous integration

* **automerge:** squash automerge prs ([1d4f55a](https://github.com/Fdawgs/yh-community-contacts-api/commit/1d4f55ae488e0c154de0794654a699ea00cdc7e1))
* **cd:** update org name for release-please-action ([8430711](https://github.com/Fdawgs/yh-community-contacts-api/commit/84307115d13deeb28e689cd498baa31b0745d89b))
* reduce workflow permissions to minimum ([b834c5a](https://github.com/Fdawgs/yh-community-contacts-api/commit/b834c5a062a3150c8e99737bca5c0633d9435fc1))
* replace workflow-run-cleanup-action with github concurrency ([02277ae](https://github.com/Fdawgs/yh-community-contacts-api/commit/02277ae3eb7c3c46280d2c773e858b6efeb2dcc8))
* test migrations ([#168](https://github.com/Fdawgs/yh-community-contacts-api/issues/168)) ([0f5aeb1](https://github.com/Fdawgs/yh-community-contacts-api/commit/0f5aeb14e92f2cf2679f399c3e98ecb2eb2a8850))


### Improvements

* **migrate:** convert callback to async ([859d3f1](https://github.com/Fdawgs/yh-community-contacts-api/commit/859d3f11d98ff8fe5e2a1323049f8746a11f142c))
* **migrate:** replace path with upath ([ce6d190](https://github.com/Fdawgs/yh-community-contacts-api/commit/ce6d19087e4ce26026af4538c0dbf8338879be6e))
* **plugins/db:** remove case declaration ([149b710](https://github.com/Fdawgs/yh-community-contacts-api/commit/149b71012a2266c1763636118d80c78c8d3ebebf))
* **server:** call reply object over raw when overwriting header ([#156](https://github.com/Fdawgs/yh-community-contacts-api/issues/156)) ([14507e6](https://github.com/Fdawgs/yh-community-contacts-api/commit/14507e65bea3c24308e554e52a53d422c0507c08))


### Miscellaneous

* **routes/admin/access/bearer-token:** fix jsdoc tags ([#173](https://github.com/Fdawgs/yh-community-contacts-api/issues/173)) ([1e29877](https://github.com/Fdawgs/yh-community-contacts-api/commit/1e29877fdd637892f841ad99d48c5b8be2547b09))


### Dependencies

* **deps-dev:** bump @faker-js/faker from 6.1.1 to 6.1.2 ([#165](https://github.com/Fdawgs/yh-community-contacts-api/issues/165)) ([beebce4](https://github.com/Fdawgs/yh-community-contacts-api/commit/beebce44ddbe7a78a3fe00bb3baf1c4678b9479b))
* **deps-dev:** bump eslint from 8.12.0 to 8.13.0 ([#179](https://github.com/Fdawgs/yh-community-contacts-api/issues/179)) ([fc23717](https://github.com/Fdawgs/yh-community-contacts-api/commit/fc237178cb0d2581a6e5d11418137033490c9fb4))
* **deps-dev:** bump eslint-plugin-import from 2.25.4 to 2.26.0 ([#177](https://github.com/Fdawgs/yh-community-contacts-api/issues/177)) ([171e732](https://github.com/Fdawgs/yh-community-contacts-api/commit/171e7326be401d4559ffb0408975ec45ad627b5b))
* **deps-dev:** bump eslint-plugin-jest from 26.1.3 to 26.1.4 ([#180](https://github.com/Fdawgs/yh-community-contacts-api/issues/180)) ([8721c9b](https://github.com/Fdawgs/yh-community-contacts-api/commit/8721c9b1f287e1b6b5eb12b240cf6790af2d1f6f))
* **deps-dev:** bump eslint-plugin-jsdoc from 38.1.4 to 38.1.6 ([#166](https://github.com/Fdawgs/yh-community-contacts-api/issues/166)) ([3c07e0f](https://github.com/Fdawgs/yh-community-contacts-api/commit/3c07e0ff549d3fa363ad3d79b514eb82d61f9c03))
* **deps-dev:** bump eslint-plugin-jsdoc from 38.1.6 to 39.1.1 ([#176](https://github.com/Fdawgs/yh-community-contacts-api/issues/176)) ([7c3d7b4](https://github.com/Fdawgs/yh-community-contacts-api/commit/7c3d7b436d1d180e9abb18bcdd22841824e650b7))
* **deps-dev:** bump glob from 7.2.0 to 8.0.1 ([#175](https://github.com/Fdawgs/yh-community-contacts-api/issues/175)) ([d032e51](https://github.com/Fdawgs/yh-community-contacts-api/commit/d032e518b790826d943fd595d244a256acd685fc))
* **deps-dev:** bump playwright from 1.20.1 to 1.20.2 ([#163](https://github.com/Fdawgs/yh-community-contacts-api/issues/163)) ([891a19d](https://github.com/Fdawgs/yh-community-contacts-api/commit/891a19d1b25db47629c321a8f095cd737460138e))
* **deps-dev:** bump prettier from 2.6.1 to 2.6.2 ([#164](https://github.com/Fdawgs/yh-community-contacts-api/issues/164)) ([adcfd58](https://github.com/Fdawgs/yh-community-contacts-api/commit/adcfd58a07a925c29095752f45d9961bd7f96a1b))
* **deps:** bump actions/upload-artifact from 2 to 3 ([#174](https://github.com/Fdawgs/yh-community-contacts-api/issues/174)) ([3e6fb2e](https://github.com/Fdawgs/yh-community-contacts-api/commit/3e6fb2e4187ff45202bdf74d1c8d6d2678e13a56))
* **deps:** bump fastify from 3.27.4 to 3.28.0 ([#167](https://github.com/Fdawgs/yh-community-contacts-api/issues/167)) ([5f43ad2](https://github.com/Fdawgs/yh-community-contacts-api/commit/5f43ad2f56fd348ea3701c72dc649406fcb8dcf2))
* **deps:** bump hadolint/hadolint-action from 2.0.0 to 2.1.0 ([8f17a79](https://github.com/Fdawgs/yh-community-contacts-api/commit/8f17a79aa31a916ec0d3d9e8c1adad486398a1d8))
* **deps:** bump moment from 2.29.1 to 2.29.2 ([#172](https://github.com/Fdawgs/yh-community-contacts-api/issues/172)) ([46d01de](https://github.com/Fdawgs/yh-community-contacts-api/commit/46d01de213ee33322d3504ae7fbab01cdb525bcf))
* **deps:** bump mssql from 8.0.2 to 8.1.0 ([#181](https://github.com/Fdawgs/yh-community-contacts-api/issues/181)) ([54c6def](https://github.com/Fdawgs/yh-community-contacts-api/commit/54c6def38a15238fbf08ce34b0fd3334fcd3368b))
* **deps:** bump pino from 7.9.2 to 7.10.0 ([#178](https://github.com/Fdawgs/yh-community-contacts-api/issues/178)) ([7fe6836](https://github.com/Fdawgs/yh-community-contacts-api/commit/7fe68361212e511578582521f7d2f84bd833cc74))
* **deps:** bump pino-pretty from 7.6.0 to 7.6.1 ([#182](https://github.com/Fdawgs/yh-community-contacts-api/issues/182)) ([8b1bc7e](https://github.com/Fdawgs/yh-community-contacts-api/commit/8b1bc7ebcb17b90e124c9c9890928afbe6342203))
* **deps:** bump redoc from 2.0.0-rc.65 to 2.0.0-rc.66 ([32a6395](https://github.com/Fdawgs/yh-community-contacts-api/commit/32a63951e85e85bb82cc42c9b9332d855e016174))
* **docker:** install production deps only ([#171](https://github.com/Fdawgs/yh-community-contacts-api/issues/171)) ([f790528](https://github.com/Fdawgs/yh-community-contacts-api/commit/f7905286fb68ad34abb81b8232b763f770741502))

## [4.0.0](https://github.com/Fdawgs/yh-community-contacts-api/compare/v3.1.0...v4.0.0) (2022-03-30)


### ⚠ BREAKING CHANGES

* **routes:** datetime search params require timezone if time provided
* **migrations:** `DATETIME2` replaced with `DATETIMEOFFSET` in MSSQL. `TIMESTAMP` replaced with `TIMESTAMPTZ` in Postgres
* **routes/docs:** `docs/json` route renamed to `docs/openapi`

### Bug fixes

* **migrations:** datetime with timezone data types now used ([d160e7e](https://github.com/Fdawgs/yh-community-contacts-api/commit/d160e7eed7581e00e1bfe17baad1e33e05f7491a))
* **routes/docs/json:** add cors support ([#138](https://github.com/Fdawgs/yh-community-contacts-api/issues/138)) ([b550a01](https://github.com/Fdawgs/yh-community-contacts-api/commit/b550a01e0a97f9adc81566f9a7154d8c9bdc52b8))
* **routes:** datetime search params require timezone if time provided ([9d447be](https://github.com/Fdawgs/yh-community-contacts-api/commit/9d447be5b4ee4fc7d91cf90f25f33c0872dbc522))
* **server:** enable xml serialisation api-wide; fix missing route elem ([531ffbf](https://github.com/Fdawgs/yh-community-contacts-api/commit/531ffbfb4546d8b61506b5a70a1b4b892cd0ae0a))


### Miscellaneous

* **routes/docs:** rename `docs/json` to `docs/openapi` ([#141](https://github.com/Fdawgs/yh-community-contacts-api/issues/141)) ([4cb4213](https://github.com/Fdawgs/yh-community-contacts-api/commit/4cb4213f6c0f799c49931f4ec09aa1a7acb528e0))


### Dependencies

* **deps-dev:** bump @faker-js/faker from 6.0.0 to 6.1.1 ([7985584](https://github.com/Fdawgs/yh-community-contacts-api/commit/798558495a9f594c6028561b5b7296614382f8a6))
* **deps-dev:** bump autocannon from 7.8.0 to 7.8.1 ([5438a60](https://github.com/Fdawgs/yh-community-contacts-api/commit/5438a6043ca88eede194b08c0748bbb378f6c790))
* **deps-dev:** bump eslint from 8.11.0 to 8.12.0 ([68ae534](https://github.com/Fdawgs/yh-community-contacts-api/commit/68ae5349363f1ced07d408578b1ef71122a68f1e))
* **deps-dev:** bump eslint-plugin-jsdoc from 38.0.6 to 38.1.4 ([a3b88c3](https://github.com/Fdawgs/yh-community-contacts-api/commit/a3b88c3e6f26dada24c4177354593c6ed851abc0))
* **deps-dev:** bump prettier from 2.6.0 to 2.6.1 ([8df1f64](https://github.com/Fdawgs/yh-community-contacts-api/commit/8df1f64a5b683dbf06b06b6ef969fe54dd9e57f2))
* **deps:** bump fastify-disablecache from 2.0.6 to 2.0.7 ([febf477](https://github.com/Fdawgs/yh-community-contacts-api/commit/febf477c77460cec53e41e77643ff24b41372cc0))
* **deps:** bump fastify-floc-off from 1.0.5 to 1.0.6 ([890f423](https://github.com/Fdawgs/yh-community-contacts-api/commit/890f4239b397ad28435d6b9980568b68cacdac4f))
* **deps:** bump hadolint/hadolint-action from 1.7.0 to 2.0.0 ([c0e4d73](https://github.com/Fdawgs/yh-community-contacts-api/commit/c0e4d736a276cc8881e71384f72179077a9414b7))
* **deps:** bump pino-pretty from 7.5.4 to 7.6.0 ([3f05ba3](https://github.com/Fdawgs/yh-community-contacts-api/commit/3f05ba3e8ab15219fddf48915638ebdc6701a6c7))
* **deps:** replace `jstoxml` with `js2xmlparser` ([d44cee0](https://github.com/Fdawgs/yh-community-contacts-api/commit/d44cee0313a45ba68b7b659358fa02a820d3e585))


### Improvements

* chain response functions ([860c425](https://github.com/Fdawgs/yh-community-contacts-api/commit/860c425e30a7108b0ec2cee232df629ca5ce27ab))
* **plugins/serialize-json-to-xml:** target application/json only ([#154](https://github.com/Fdawgs/yh-community-contacts-api/issues/154)) ([0ab4be5](https://github.com/Fdawgs/yh-community-contacts-api/commit/0ab4be5a5e2cb8c690ea8ce9b3360cafd0fbafc1))
* **routes:** clean `accept` header conditionals ([7488032](https://github.com/Fdawgs/yh-community-contacts-api/commit/7488032ce44394a264f6c40aa20bb4d488b98f58))
* **server:** add error handler ([1e44e1e](https://github.com/Fdawgs/yh-community-contacts-api/commit/1e44e1e2373300c94c706e6b95a5bdfc0207b9b5))
* **server:** move xml serialisation to plugin ([d0d8b9e](https://github.com/Fdawgs/yh-community-contacts-api/commit/d0d8b9e0907695b9600c860d76acc03517bf35d6))
* use `type()` alias function to set content-type ([23f782c](https://github.com/Fdawgs/yh-community-contacts-api/commit/23f782c367b4f7b9549f8882362e28dbddb3b798))
* use secure-json-parse for json parsing ([633d395](https://github.com/Fdawgs/yh-community-contacts-api/commit/633d39585775ac31246a4b1b869f59f0f691410b))

## [3.1.0](https://github.com/Fdawgs/yh-community-contacts-api/compare/v3.0.0...v3.1.0) (2022-03-25)


### Features

* **routes:** add `location` header to 201 responses ([#113](https://github.com/Fdawgs/yh-community-contacts-api/issues/113)) ([7720af8](https://github.com/Fdawgs/yh-community-contacts-api/commit/7720af804cc39e7a98c43fa1883e257b378838a5))


### Bug fixes

* **routes/docs:** add ie unsupported script ([8e71438](https://github.com/Fdawgs/yh-community-contacts-api/commit/8e71438cf7d0cf3941c8ce04e17e44fbac6cdf2d))
* **routes/docs:** resolve cwe-676 ([2af5aec](https://github.com/Fdawgs/yh-community-contacts-api/commit/2af5aec5d2b3b6b0d1446a6de4e1f2985505b7e7))
* **server:** disable cache for all routes besides documentation ([2b97593](https://github.com/Fdawgs/yh-community-contacts-api/commit/2b975937f00a9f83a1c074d59504bee8b547f657))


### Documentation

* improve readability ([2480213](https://github.com/Fdawgs/yh-community-contacts-api/commit/248021334a182eed1a07f3dcfab251837e867604))
* **readme:** update min version of node, mssql, and postgres ([2c2e16e](https://github.com/Fdawgs/yh-community-contacts-api/commit/2c2e16e526a527ca38b420eedaf117443f61949d))


### Improvements

* **routes/contact/schema:** move phone number patterns ([5df34b4](https://github.com/Fdawgs/yh-community-contacts-api/commit/5df34b4a33c5c9db9c86ea18df3b98ab763201f1))
* **server:** return instead of break in switch statement ([8210ceb](https://github.com/Fdawgs/yh-community-contacts-api/commit/8210ceb240dd572f82390945517e5a1049666fe7))
* **server:** use new hook config option for rate-limit plugin ([3cf3603](https://github.com/Fdawgs/yh-community-contacts-api/commit/3cf3603de70113ad3069fcaa6bf89acf9614f470))


### Miscellaneous

* **.github/workflows/optimise-images:** reorder event list ([0b17dc8](https://github.com/Fdawgs/yh-community-contacts-api/commit/0b17dc89f8b30a6b1a5ee7dec0dbd291eb0f362f))
* **scripts:** remove redundant gitkraken fix from prepare script ([66b80fb](https://github.com/Fdawgs/yh-community-contacts-api/commit/66b80fb144041120cdc8f72201c42585edd7c0c5))
* **scripts:** use shorter arg aliases; remove debugging args from jest ([17cd36c](https://github.com/Fdawgs/yh-community-contacts-api/commit/17cd36cfd3ffe15fa2b916cae375d3a6330732d9))


### Continuous integration

* add job step names, workflow comments, and whitespace ([f1c327b](https://github.com/Fdawgs/yh-community-contacts-api/commit/f1c327b2addc3c0b4e21bb8490e8ffffe3573062))
* **codeql-analysis:** remove unused autobuild step ([6aa6779](https://github.com/Fdawgs/yh-community-contacts-api/commit/6aa677972840a5107ee75042d04fff5286f68a16))
* **codeql:** grant minimum permissions to run; rename file ([#116](https://github.com/Fdawgs/yh-community-contacts-api/issues/116)) ([abde602](https://github.com/Fdawgs/yh-community-contacts-api/commit/abde60206389c9e370ece7adbdf90da9fdd04ad7))
* only save pr number artifact for dependabot ([5bdcdaf](https://github.com/Fdawgs/yh-community-contacts-api/commit/5bdcdaf0b2cb223407873c5eb0395e878d66c965))
* use docker compose v2 ([32f2035](https://github.com/Fdawgs/yh-community-contacts-api/commit/32f2035d1dceb1e38c23a3c782e3b72435f3540b))


### Dependencies

* **deps-dev:** bump @commitlint/cli from 16.2.1 to 16.2.3 ([fd0faab](https://github.com/Fdawgs/yh-community-contacts-api/commit/fd0faab2690a069976e151dc6ab7487cfc66996c))
* **deps-dev:** bump autocannon from 7.7.0 to 7.8.0 ([cb33e34](https://github.com/Fdawgs/yh-community-contacts-api/commit/cb33e348d5d1484bc28e66498014c7a9310b760c))
* **deps-dev:** bump eslint from 8.10.0 to 8.11.0 ([ee35521](https://github.com/Fdawgs/yh-community-contacts-api/commit/ee35521e0ffd84eeaf010cc047d0df4103de6ce2))
* **deps-dev:** bump eslint-plugin-jest from 26.1.1 to 26.1.3 ([889277d](https://github.com/Fdawgs/yh-community-contacts-api/commit/889277d67c7127f1086e20aac61da5dc5accb2f7))
* **deps-dev:** bump eslint-plugin-jsdoc from 37.9.7 to 38.0.6 ([2d3b228](https://github.com/Fdawgs/yh-community-contacts-api/commit/2d3b2285a22b0d4c46796761ec573c05be135d8a))
* **deps-dev:** bump playwright from 1.19.2 to 1.20.1 ([92b33af](https://github.com/Fdawgs/yh-community-contacts-api/commit/92b33afa2c19e9285c58a6f813fb56f9b81311a1))
* **deps-dev:** bump prettier from 2.5.1 to 2.6.0 ([3997979](https://github.com/Fdawgs/yh-community-contacts-api/commit/3997979d7cd675709d61d00ec80ed6d0a864ed6c))
* **deps-dev:** replace `faker` with `@faker-js/faker` ([#134](https://github.com/Fdawgs/yh-community-contacts-api/issues/134)) ([da18382](https://github.com/Fdawgs/yh-community-contacts-api/commit/da1838209c18e534bff48099ef4a2fc0122a9f84))
* **deps:** bump env-schema from 3.5.2 to 4.0.0 ([9b9580c](https://github.com/Fdawgs/yh-community-contacts-api/commit/9b9580cf8e377d556e3102b5927f0e0db6fec50e))
* **deps:** bump fastify-accepts from 2.1.0 to 2.2.0 ([e5ba247](https://github.com/Fdawgs/yh-community-contacts-api/commit/e5ba2474768c70efb7861981af4299ec4b898be4))
* **deps:** bump fastify-static from 4.5.0 to 4.6.1 ([b27c16f](https://github.com/Fdawgs/yh-community-contacts-api/commit/b27c16f3e34ec683999d3741d4cc97538144c1b8))
* **deps:** bump hadolint/hadolint-action from 1.6.0 to 1.7.0 ([0844715](https://github.com/Fdawgs/yh-community-contacts-api/commit/084471527d892951b48ded1fe8269d67d9765e25))
* **deps:** bump jstoxml from 3.2.0 to 3.2.2 ([4c5c6cd](https://github.com/Fdawgs/yh-community-contacts-api/commit/4c5c6cd1c24c6f54094b9cd2751b263477d08d57))
* **deps:** bump minimist from 1.2.5 to 1.2.6 ([4ff2b0d](https://github.com/Fdawgs/yh-community-contacts-api/commit/4ff2b0d23386d18020d42cebbc834d466b7ad57e))
* **deps:** bump peter-evans/create-pull-request from 3 to 4 ([c33b214](https://github.com/Fdawgs/yh-community-contacts-api/commit/c33b2144b5175d4ae7418b6103e57db6188b0acd))
* **deps:** bump pino from 7.8.1 to 7.9.2 ([952e242](https://github.com/Fdawgs/yh-community-contacts-api/commit/952e2428893c6901a50dea3e1e48394429451435))
* **deps:** bump pino-pretty from 7.5.3 to 7.5.4 ([ef922bc](https://github.com/Fdawgs/yh-community-contacts-api/commit/ef922bc34574aa7ff762ce619117473178eb2391))
* **deps:** bump redoc from 2.0.0-rc.64 to 2.0.0-rc.65 ([af1ccdf](https://github.com/Fdawgs/yh-community-contacts-api/commit/af1ccdf475f20a598d8cde9ee09ff8a385013718))
* **deps:** bump sub-dependencies ([#135](https://github.com/Fdawgs/yh-community-contacts-api/issues/135)) ([f150899](https://github.com/Fdawgs/yh-community-contacts-api/commit/f150899e6b7fe6ad74e4eaf0f6597df7e00f600b))

## [3.0.0](https://github.com/Fdawgs/yh-community-contacts-api/compare/v2.1.0...v3.0.0) (2022-03-10)


### ⚠ BREAKING CHANGES

* **admin/access:** `access.scopes` search param no longer case-insensitive
* **config:** `ADMIN_PASSWORD` env variable now has minimum length of 8 characters
* **routes:** `admin/access` route moved to `admin/access/bearer-token`

### Bug fixes

* **admin/access:** searching using `access.scopes` ([9c8c24f](https://github.com/Fdawgs/yh-community-contacts-api/commit/9c8c24f58337eeb2d4a919ab3ccd965e556eb25f))
* **config:** enforce minimum length for `ADMIN_PASSWORD` env variable ([7decdca](https://github.com/Fdawgs/yh-community-contacts-api/commit/7decdca273a8066cd6945640fe4d74850c374eb5))
* **plugins/hashed-bearer-auth:** log client name ([48de80e](https://github.com/Fdawgs/yh-community-contacts-api/commit/48de80ef17984f85bdd1cc88ee67fc82ff3a7429))


### Continuous integration

* add image optimisation workflow ([#99](https://github.com/Fdawgs/yh-community-contacts-api/issues/99)) ([78e10db](https://github.com/Fdawgs/yh-community-contacts-api/commit/78e10dbe2c44b2d89741dcb5abad5cd6c89c5fe2))


### Miscellaneous

* auto-compress images ([#101](https://github.com/Fdawgs/yh-community-contacts-api/issues/101)) ([2a52749](https://github.com/Fdawgs/yh-community-contacts-api/commit/2a52749bab0d00a1121318e78e6c6ae4ea0b9fd0))
* **plugins/db:** whitespace in switch statement ([90b4e33](https://github.com/Fdawgs/yh-community-contacts-api/commit/90b4e33b15888c1eca921f36e06830bf0446f0cb))
* **routes/contact/query:** correct jsdoc tag ([a14c857](https://github.com/Fdawgs/yh-community-contacts-api/commit/a14c8571ce9f8ce225d3d6591793fce3146166c1))
* **routes/schemas:** update `produces` and `consumes` values ([b00ed08](https://github.com/Fdawgs/yh-community-contacts-api/commit/b00ed08dc1cfe3a0f7d6f6a1d25626087bcaa587))


### Dependencies

* **deps:** bump fastify from 3.27.3 to 3.27.4 ([276f9c3](https://github.com/Fdawgs/yh-community-contacts-api/commit/276f9c37c7bd7d24fed8b28d726e5a430a774c43))
* **deps:** bump jstoxml from 3.1.0 to 3.2.0 ([adc026c](https://github.com/Fdawgs/yh-community-contacts-api/commit/adc026c6008661e48babbf37d5b2c1ddff929417))
* **deps:** bump pino from 7.8.0 to 7.8.1 ([75dfea1](https://github.com/Fdawgs/yh-community-contacts-api/commit/75dfea1f0dafc8f47dc8745f5afa7c37893c1ca2))


### Improvements

* **migrate:** use db variable in switch statement ([985bcbb](https://github.com/Fdawgs/yh-community-contacts-api/commit/985bcbb20c209fb2b72396fc89966c0bbc3a8a35))
* remove redundant strict equality operators ([494a7c4](https://github.com/Fdawgs/yh-community-contacts-api/commit/494a7c489374272bb6c4b106c870fdf046c53616))
* **routes/admin/access/b-t:** remove unused param ([7bfc9b3](https://github.com/Fdawgs/yh-community-contacts-api/commit/7bfc9b31f3f507bfb4f49dd0898b1c9adf68c8a2))
* **routes:** move `admin/access` to `admin/access/bearer-token` ([f21c9a9](https://github.com/Fdawgs/yh-community-contacts-api/commit/f21c9a957b32f6cc681a35bcf89c2b624bb065df))

## [2.1.0](https://github.com/Fdawgs/yh-community-contacts-api/compare/v2.0.0...v2.1.0) (2022-03-08)


### Features

* **admin/access:** allow more than one `access.scopes` search param ([ddb866f](https://github.com/Fdawgs/yh-community-contacts-api/commit/ddb866f85738ab49bf87cf2a652c852504d9d08f))


### Bug fixes

* **admin/access:** searching using `access.scopes` in postgres ([c3c5b0b](https://github.com/Fdawgs/yh-community-contacts-api/commit/c3c5b0b8431fa5cedb1d22314310a9f8374ded8d))
* **docker-compose:** declare `DB_CLIENT` env variable ([c816fef](https://github.com/Fdawgs/yh-community-contacts-api/commit/c816fef788c7121a094b8cd3b54f59cef163795d))


### Documentation

* **readme:** move api docs access to usage section ([22527c6](https://github.com/Fdawgs/yh-community-contacts-api/commit/22527c6a01151d44e5bb541d455949ebe864e826))


### Miscellaneous

* **.gitignore:** remove redundant exclusion ([e9ac060](https://github.com/Fdawgs/yh-community-contacts-api/commit/e9ac06008e1b2f5acf786be9c0a31631afa1b88f))
* add .dockerignore file ([55909d3](https://github.com/Fdawgs/yh-community-contacts-api/commit/55909d39fc5c6ed422b453c71eb00ac519642cfe))

## [2.0.0](https://github.com/Fdawgs/yh-community-contacts-api/compare/v1.1.1...v2.0.0) (2022-03-08)


### ⚠ BREAKING CHANGES

* Minimum node engine bumped from `>=14.0.0` to `^14.17.0 || ^15.6.0 || >=16.0.0`
* `AUTH_BEARER_TOKEN_ARRAY` env variable removed
* `access.tokens` table added to migration SQL queries

### Features

* **routes/admin:** add access route ([#83](https://github.com/Fdawgs/yh-community-contacts-api/issues/83)) ([f6caf95](https://github.com/Fdawgs/yh-community-contacts-api/commit/f6caf952f82de47498b75ee613e5eec8eb41e74a))


### Bug fixes

* **config:** redact request auth header from logs ([318f94f](https://github.com/Fdawgs/yh-community-contacts-api/commit/318f94f849bc0069d22d210b8a1fe301ee7a68fe))


### Documentation

* **readme:** add usage section ([158f02e](https://github.com/Fdawgs/yh-community-contacts-api/commit/158f02eed75bea30a340bacfab273ed5a280e81d))

### [1.1.1](https://github.com/Fdawgs/yh-community-contacts-api/compare/v1.1.0...v1.1.1) (2022-03-08)


### Bug fixes

* **plugins/shared-schemas:** use `examples` not `enum` for 404 responses ([2fc06e2](https://github.com/Fdawgs/yh-community-contacts-api/commit/2fc06e27899ef973c1f0b4f52f471cf0b8d4c4fb))
* **routes/contact:** make `match.value` param case-insensitive ([1dd1a4c](https://github.com/Fdawgs/yh-community-contacts-api/commit/1dd1a4cd2f334e3b35f170293dd959e8d8a74dde))
* **routes/contact:** use singular not plurals in read responses ([441a20c](https://github.com/Fdawgs/yh-community-contacts-api/commit/441a20c703595513968d45e07e22bf17d9627df4))


### Continuous integration

* only install chromium and firefox with playwright ([0ddb239](https://github.com/Fdawgs/yh-community-contacts-api/commit/0ddb239e31404fd5776812d0723b1d0f7c552b46))


### Improvements

* **public/images/icons:** compress apple-touch-icons ([#85](https://github.com/Fdawgs/yh-community-contacts-api/issues/85)) ([b357954](https://github.com/Fdawgs/yh-community-contacts-api/commit/b357954b9f77f4adc57ef97ce863b72a5b65116e))
* **routes/docs:** move html and redoc out of root context ([ac6bfb8](https://github.com/Fdawgs/yh-community-contacts-api/commit/ac6bfb8c7c705b21d8210dbb0bf878ca5404f430))
* **routes:** add `preValidation` hooks directly into routes ([1dd4a94](https://github.com/Fdawgs/yh-community-contacts-api/commit/1dd4a9495ad6249b004fe3555d3e39349e68901e))
* **server:** move db and db util functions to root context ([1d4d784](https://github.com/Fdawgs/yh-community-contacts-api/commit/1d4d78418d5cdd49cb33cce0a695b9978b7ebc5c))


### Miscellaneous

* **.env.template:** double-quote example strings ([#86](https://github.com/Fdawgs/yh-community-contacts-api/issues/86)) ([cd48d62](https://github.com/Fdawgs/yh-community-contacts-api/commit/cd48d6267defbd24f133eb22e8ef3fcfa10ebfdc))
* **routes/contact/schema:** use plural in search summary ([911b3da](https://github.com/Fdawgs/yh-community-contacts-api/commit/911b3da1b6cac5d4018393b8c9507e585b0d1332))


### Dependencies

* **deps-dev:** bump eslint-config-prettier from 8.4.0 to 8.5.0 ([fd88774](https://github.com/Fdawgs/yh-community-contacts-api/commit/fd887747842811e1693ce94d72f2561e9f050b61))
* **deps-dev:** bump eslint-plugin-jsdoc from 37.9.4 to 37.9.5 ([d0da88a](https://github.com/Fdawgs/yh-community-contacts-api/commit/d0da88a82adea2c30c932429023452f0a1716b9d))
* **deps-dev:** bump eslint-plugin-jsdoc from 37.9.5 to 37.9.7 ([20e8a9c](https://github.com/Fdawgs/yh-community-contacts-api/commit/20e8a9cf14f98a3d4d21dd4a53aa99109cbb95f5))
* **deps:** bump actions/checkout from 2 to 3 ([4881ba8](https://github.com/Fdawgs/yh-community-contacts-api/commit/4881ba8332df39cfa87aafa2c2008eed0d37154b))
* **deps:** bump fastify from 3.27.2 to 3.27.3 ([ca5e5dc](https://github.com/Fdawgs/yh-community-contacts-api/commit/ca5e5dcedcb3b87006c15846ae096773c414b0f5))
* **deps:** bump fluent-json-schema from 3.0.1 to 3.1.0 ([1d2e80e](https://github.com/Fdawgs/yh-community-contacts-api/commit/1d2e80e666bd7eca071e957f1d5bd5ae104a0a38))
* **deps:** bump jstoxml from 2.2.9 to 3.1.0 ([af1e3b8](https://github.com/Fdawgs/yh-community-contacts-api/commit/af1e3b88c520ab7902aa26650bd7871930027e30))
* **deps:** bump pino-pretty from 7.5.1 to 7.5.3 ([99685a7](https://github.com/Fdawgs/yh-community-contacts-api/commit/99685a78018d418138ece3b983c53e5764b110f0))

## [1.1.0](https://github.com/Fdawgs/yh-community-contacts-api/compare/v1.0.2...v1.1.0) (2022-02-28)


### Features

* **routes/contact:** support `application/xml` responses ([#45](https://github.com/Fdawgs/yh-community-contacts-api/issues/45)) ([62c6380](https://github.com/Fdawgs/yh-community-contacts-api/commit/62c6380348d6bef9a036b9617058e0120614d939))


### Bug fixes

* **config:** renew rate-limit if user attempts req in limit time window ([#36](https://github.com/Fdawgs/yh-community-contacts-api/issues/36)) ([70b2c35](https://github.com/Fdawgs/yh-community-contacts-api/commit/70b2c3569aa3207d4edb57e82a60af44ab8360b6))
* **migrate:** catch errors thrown ([156373d](https://github.com/Fdawgs/yh-community-contacts-api/commit/156373db21be882f9ef5c112aa8275ba3695c583))
* **public/docs:** add x-ua-compatible meta tag ([565b2c3](https://github.com/Fdawgs/yh-community-contacts-api/commit/565b2c36e0097f7335e71acf8d4c8f81bee1e91c))
* **routes/contact:** return 201 code and new record id on post reqs ([#43](https://github.com/Fdawgs/yh-community-contacts-api/issues/43)) ([03f9530](https://github.com/Fdawgs/yh-community-contacts-api/commit/03f9530294b35d6831cce0376eb9ad9734c7efd5))


### Improvements

* **config:** call `Error` as constructor, not function ([a361657](https://github.com/Fdawgs/yh-community-contacts-api/commit/a361657620ec6ca597e8f233d51bcc9e865cc1dd))
* **migrate:** allow for function to be exported ([820da78](https://github.com/Fdawgs/yh-community-contacts-api/commit/820da78b67463096a4075291dc560c40beaf8a68))
* **public:** remove unused web app manifest and icons ([127b2ff](https://github.com/Fdawgs/yh-community-contacts-api/commit/127b2ffb3667e54bd4a6fbf7ca5631b0fdd43b51))


### Miscellaneous

* **.gitignore:** ignore live insert file ([df43b36](https://github.com/Fdawgs/yh-community-contacts-api/commit/df43b36b525787011095bd2bf23a1d0f60342192))
* **public/site.webmanifest:** reduce short_name to 12 chars ([6129b13](https://github.com/Fdawgs/yh-community-contacts-api/commit/6129b13dd56128ce72b116be66a03e563cefea54))
* **public:** add more apple-touch-icon sizes ([d30783c](https://github.com/Fdawgs/yh-community-contacts-api/commit/d30783c457023c5c843233eab89fdc7ad0302553))
* **public:** rename mask-icon ([5588b5a](https://github.com/Fdawgs/yh-community-contacts-api/commit/5588b5a7c568e3a64eefd87b17db61d9e2c4b72b))
* remove trailing whitespace ([7470ea5](https://github.com/Fdawgs/yh-community-contacts-api/commit/7470ea5c75c155e2b7f5fd3f6b62b7d83149d80e))
* **routes:** update cors inline comment ([#39](https://github.com/Fdawgs/yh-community-contacts-api/issues/39)) ([1954454](https://github.com/Fdawgs/yh-community-contacts-api/commit/19544544a8530b08334c2e4189cff4ffbed87521))


### Dependencies

* **dependabot:** major tags no longer need ignore support ([cc3e71d](https://github.com/Fdawgs/yh-community-contacts-api/commit/cc3e71d44081368ba16f5acdc314e0d83b7c84e5))
* **deps-dev:** bump @commitlint/cli from 16.1.0 to 16.2.1 ([0937c05](https://github.com/Fdawgs/yh-community-contacts-api/commit/0937c05dd8b73af34c1c22185b6491a7bbd871c2))
* **deps-dev:** bump @commitlint/config-conventional ([87f6e22](https://github.com/Fdawgs/yh-community-contacts-api/commit/87f6e22f04395afffe0ddffc1d4d529b1f7cd069))
* **deps-dev:** bump autocannon from 7.6.0 to 7.7.0 ([19347b3](https://github.com/Fdawgs/yh-community-contacts-api/commit/19347b31fb5465abbb1407842a2c1cc1d39e0c8c))
* **deps-dev:** bump eslint from 8.8.0 to 8.9.0 ([6c07895](https://github.com/Fdawgs/yh-community-contacts-api/commit/6c078951a8802c6869244045f76d0ca6caaaeb42))
* **deps-dev:** bump eslint from 8.9.0 to 8.10.0 ([a6a5ee7](https://github.com/Fdawgs/yh-community-contacts-api/commit/a6a5ee7e56ca1e773b4a7a84864276f93ed58b4e))
* **deps-dev:** bump eslint-config-prettier from 8.3.0 to 8.4.0 ([4a5ce3e](https://github.com/Fdawgs/yh-community-contacts-api/commit/4a5ce3e39cc545f94809353aa4d8500e0322d60c))
* **deps-dev:** bump eslint-plugin-jest from 26.0.0 to 26.1.1 ([8792c0b](https://github.com/Fdawgs/yh-community-contacts-api/commit/8792c0bb61c66fccf7939e8be71dfeb5de9b4557))
* **deps-dev:** bump eslint-plugin-jsdoc from 37.7.0 to 37.9.4 ([529fc40](https://github.com/Fdawgs/yh-community-contacts-api/commit/529fc400c2e0317c9377d52bb13eec035d523cfb))
* **deps-dev:** bump jest from 27.4.7 to 27.5.1 ([b838c57](https://github.com/Fdawgs/yh-community-contacts-api/commit/b838c57f91457129ab9eb1b1ff8434edcd0c8e8c))
* **deps-dev:** bump playwright from 1.18.1 to 1.19.1 ([9682554](https://github.com/Fdawgs/yh-community-contacts-api/commit/968255497d297233e4e55c2e3ddf644a07d88a55))
* **deps-dev:** bump playwright from 1.19.1 to 1.19.2 ([54a4adb](https://github.com/Fdawgs/yh-community-contacts-api/commit/54a4adbefc57696a4fe2c9c3c28bac32b1a8596f))
* **deps:** bump actions/github-script from 5 to 6 ([156009b](https://github.com/Fdawgs/yh-community-contacts-api/commit/156009b85823b13865d01218532d2a2a8c1d2a78))
* **deps:** bump actions/setup-node from 2 to 3 ([6299d6e](https://github.com/Fdawgs/yh-community-contacts-api/commit/6299d6e564fe20876e6332d672af1fe6e8ddcd18))
* **deps:** bump dotenv from 15.0.0 to 16.0.0 ([93bf697](https://github.com/Fdawgs/yh-community-contacts-api/commit/93bf6975265e4f8dac5efb039c4b887c0efd9348))
* **deps:** bump fastify from 3.27.0 to 3.27.2 ([0612a0f](https://github.com/Fdawgs/yh-community-contacts-api/commit/0612a0f7cf14986801d0ffa32aed30f346d6ae32))
* **deps:** bump fastify-autoload from 3.10.0 to 3.11.0 ([23a7b3a](https://github.com/Fdawgs/yh-community-contacts-api/commit/23a7b3ac6e32faedc97244528432890396fdb2ba))
* **deps:** bump fastify-bearer-auth from 6.1.0 to 6.2.0 ([55e8597](https://github.com/Fdawgs/yh-community-contacts-api/commit/55e8597b79d652e2ecfb375174718315d472c894))
* **deps:** bump fastify-cors from 6.0.2 to 6.0.3 ([696ebc2](https://github.com/Fdawgs/yh-community-contacts-api/commit/696ebc29ecff548a7b23c8532990295a3ec13474))
* **deps:** bump fastify-disablecache from 2.0.5 to 2.0.6 ([ae5bbd3](https://github.com/Fdawgs/yh-community-contacts-api/commit/ae5bbd3262a9bf56bb1e536fe7d3d717eca4531b))
* **deps:** bump fastify-floc-off from 1.0.4 to 1.0.5 ([430cbe4](https://github.com/Fdawgs/yh-community-contacts-api/commit/430cbe4657b2628011d9fb02e926360dc32f29ea))
* **deps:** bump fastify-rate-limit from 5.7.0 to 5.7.2 ([407dbcf](https://github.com/Fdawgs/yh-community-contacts-api/commit/407dbcfbb00d5d34ec0aa0ecbb99c1024ded3441))
* **deps:** bump fastify-swagger from 4.12.0 to 4.15.0 ([d425abc](https://github.com/Fdawgs/yh-community-contacts-api/commit/d425abc7b7af1dee9dea8411f2ab800e15803655))
* **deps:** bump follow-redirects from 1.14.7 to 1.14.8 ([172a220](https://github.com/Fdawgs/yh-community-contacts-api/commit/172a22027759719fee03ee1695f15cacc7c780b2))
* **deps:** bump mssql from 8.0.1 to 8.0.2 ([0a9f8b9](https://github.com/Fdawgs/yh-community-contacts-api/commit/0a9f8b9a11e794ef286be8f7b5bfc3c74f02075f))
* **deps:** bump pg from 8.7.1 to 8.7.3 ([39571aa](https://github.com/Fdawgs/yh-community-contacts-api/commit/39571aa2963b733e5ad0fd8b1ffa965544179123))
* **deps:** bump pino from 7.6.5 to 7.8.0 ([d181c32](https://github.com/Fdawgs/yh-community-contacts-api/commit/d181c323e27b5f9849cc3dfad7cba31f8396d27e))
* **deps:** bump postgrator from 5.0.0 to 5.0.1 ([d6ab7d0](https://github.com/Fdawgs/yh-community-contacts-api/commit/d6ab7d0e9256b5e38448807702098c88343a058c))
* **deps:** bump prismjs from 1.26.0 to 1.27.0 ([9f99aea](https://github.com/Fdawgs/yh-community-contacts-api/commit/9f99aea44197823569099ad1e5042475a1519c36))
* **deps:** bump redoc from 2.0.0-rc.63 to 2.0.0-rc.64 ([3d645de](https://github.com/Fdawgs/yh-community-contacts-api/commit/3d645de8e82ed909f47c731e71a4e8fc17abe6bf))
* **deps:** bump simple-get from 3.1.0 to 3.1.1 ([345aae3](https://github.com/Fdawgs/yh-community-contacts-api/commit/345aae350623bf14734a5c0a62ced070b63da438))
* **deps:** bump sub-dependencies ([#78](https://github.com/Fdawgs/yh-community-contacts-api/issues/78)) ([fd995f2](https://github.com/Fdawgs/yh-community-contacts-api/commit/fd995f2b08e7d40db526a5d739565d51c5b700ab))

### [1.0.2](https://github.com/Fdawgs/yh-community-contacts-api/compare/v1.0.1...v1.0.2) (2022-02-01)


### Bug fixes

* **routes/contact:** ignore additional properties in pagination object ([#25](https://github.com/Fdawgs/yh-community-contacts-api/issues/25)) ([55ad339](https://github.com/Fdawgs/yh-community-contacts-api/commit/55ad33928a0d903c114cf15685ca22d86f4a6c7f))
* **utils/escape-single-quotes:** ignore non-string expressions ([#27](https://github.com/Fdawgs/yh-community-contacts-api/issues/27)) ([2379a86](https://github.com/Fdawgs/yh-community-contacts-api/commit/2379a86dcadc4e2c3fc64b422665be29b2e49958))


### Continuous integration

* install playwright ([0ed046b](https://github.com/Fdawgs/yh-community-contacts-api/commit/0ed046b3f1c2199982b04d9b67f7b8073f19034d))


### Dependencies

* **deps-dev:** add playwright ([81c4aa9](https://github.com/Fdawgs/yh-community-contacts-api/commit/81c4aa9c9180ea389a3cec2ca9cc0a53b90b78eb))
* **deps-dev:** bump eslint from 8.7.0 to 8.8.0 ([7b60adc](https://github.com/Fdawgs/yh-community-contacts-api/commit/7b60adc631d9978d0ed65d29dc64afb9aa2e47c0))
* **deps:** bump dotenv from 14.3.2 to 15.0.0 ([e13a52a](https://github.com/Fdawgs/yh-community-contacts-api/commit/e13a52a6dd885601df6d0d5b8afaed75935f6f8d))
* **deps:** bump fastify-helmet from 5.3.2 to 7.0.1 ([#12](https://github.com/Fdawgs/yh-community-contacts-api/issues/12)) ([fc3320e](https://github.com/Fdawgs/yh-community-contacts-api/commit/fc3320ee86ccaaad52b97858510c87b20d934028))
* **deps:** bump mssql from 7.3.0 to 8.0.1 ([91b2e73](https://github.com/Fdawgs/yh-community-contacts-api/commit/91b2e73c638f20a398b8829aafbab326ddfaeec8))
* **deps:** bump pino from 7.6.4 to 7.6.5 ([0d5ced4](https://github.com/Fdawgs/yh-community-contacts-api/commit/0d5ced4283dbf6587e806f1baaff9ad2111297d4))
* **deps:** bump sub-dependencies ([#33](https://github.com/Fdawgs/yh-community-contacts-api/issues/33)) ([2235ef4](https://github.com/Fdawgs/yh-community-contacts-api/commit/2235ef495c97451e3a5c4fdffd97818c553845f4))

### [1.0.1](https://github.com/Fdawgs/yh-community-contacts-api/compare/v1.0.0...v1.0.1) (2022-01-28)


### Bug fixes

* **plugins/db:** log error if connection fails ([3d36949](https://github.com/Fdawgs/yh-community-contacts-api/commit/3d369491d19d1a4eed8827d1715c6dd55cb575f4))
* **routes/contact:** escape single-quote characters ([74b83ed](https://github.com/Fdawgs/yh-community-contacts-api/commit/74b83ed01c7e69696903081819af75470d0b7ec7))
* **routes/contact:** ignore additional properties in puts and posts objs ([#23](https://github.com/Fdawgs/yh-community-contacts-api/issues/23)) ([68fa3b6](https://github.com/Fdawgs/yh-community-contacts-api/commit/68fa3b699497064329a343b917a51439a1c9360b))
* **routes/contact:** remove duplicates caused by cross apply ([4c9155c](https://github.com/Fdawgs/yh-community-contacts-api/commit/4c9155c45dbdc8d4ed097cbad8157e04f7e4fd03))
* **routes/contact:** restrict telecom values ([0bba7da](https://github.com/Fdawgs/yh-community-contacts-api/commit/0bba7da923f7f5c71648714443c52e7d8b8d0d07))


### Documentation

* **readme:** add note regarding live records ([#24](https://github.com/Fdawgs/yh-community-contacts-api/issues/24)) ([3196399](https://github.com/Fdawgs/yh-community-contacts-api/commit/3196399323a390ae62b5a4780eef0dcc16c29a9d))
* **readme:** reduce verbosity of note ([82f387a](https://github.com/Fdawgs/yh-community-contacts-api/commit/82f387ab08d6296b3790646d818ef1eab79094cb))


### Dependencies

* **dependabot:** ignore minor and patch commit-lint updates ([#15](https://github.com/Fdawgs/yh-community-contacts-api/issues/15)) ([4f2527e](https://github.com/Fdawgs/yh-community-contacts-api/commit/4f2527e7b2cc1d617ecd4f502fc81c1ed69f8461))
* **dependabot:** use default open-pull-requests-limit value ([f91e198](https://github.com/Fdawgs/yh-community-contacts-api/commit/f91e19885667694192b5455a423130ee3e28e177))
* **deps-dev:** bump eslint-plugin-jsdoc from 37.6.3 to 37.7.0 ([2f315d9](https://github.com/Fdawgs/yh-community-contacts-api/commit/2f315d982b1845850079cccc2b43f00179d0d38e))
* **deps:** bump dotenv from 14.2.0 to 14.3.2 ([344a390](https://github.com/Fdawgs/yh-community-contacts-api/commit/344a390269841c19d7d7e45c431d4954617151e5))
* **deps:** bump fastify-plugin from 3.0.0 to 3.0.1 ([2426cf1](https://github.com/Fdawgs/yh-community-contacts-api/commit/2426cf10828236a356ec6c3c0d017d0383ea31d9))
* **deps:** bump pino-pretty from 7.5.0 to 7.5.1 ([e5ff8fb](https://github.com/Fdawgs/yh-community-contacts-api/commit/e5ff8fbb2a9448e0ff3211acf8841327eef408e7))
* **deps:** bump redoc from 2.0.0-rc.59 to 2.0.0-rc.61 ([7424132](https://github.com/Fdawgs/yh-community-contacts-api/commit/742413231f1d550829626e715d373fd4f6a62a8f))
* **deps:** bump redoc from 2.0.0-rc.61 to 2.0.0-rc.63 ([#21](https://github.com/Fdawgs/yh-community-contacts-api/issues/21)) ([349544f](https://github.com/Fdawgs/yh-community-contacts-api/commit/349544f263374435e6516f610bed69df31d8c566))

## 1.0.0 (2022-01-24)


### Miscellaneous

* add api code ([#2](https://github.com/Fdawgs/yh-community-contacts-api/issues/2)) ([4523326](https://github.com/Fdawgs/yh-community-contacts-api/commit/4523326eeb73180cf2f4accf573ef2fc22674998))
* add development files ([42d3118](https://github.com/Fdawgs/yh-community-contacts-api/commit/42d31180aa8c914e6ed2e9df38411fd37c41255d))
* add supporting files ([9b2cb78](https://github.com/Fdawgs/yh-community-contacts-api/commit/9b2cb78ebaf46b5f859d5d5d0bb51a2cfe7f1aa5))


### Dependencies

* **deps-dev:** bump dev dependencies ([55c8123](https://github.com/Fdawgs/yh-community-contacts-api/commit/55c81236b77e3bf15f59529e08dd0be1e00f872f))
* **deps:** bump dotenv from 10.0.0 to 14.2.0 ([8508d17](https://github.com/Fdawgs/yh-community-contacts-api/commit/8508d17e40b2e90859d9a579873e825134894754))
* **deps:** bump env-schema from 3.5.1 to 3.5.2 ([c65c7f0](https://github.com/Fdawgs/yh-community-contacts-api/commit/c65c7f04f377b3b3cf39d9fdb499ca4ce3589395))
* **deps:** bump fastify from 3.25.3 to 3.27.0 ([7d2accf](https://github.com/Fdawgs/yh-community-contacts-api/commit/7d2accf3d20c6cd9e43977b894f309d874ba8039))
* **deps:** bump file-stream-rotator from 0.5.7 to 0.6.1 ([12e2d73](https://github.com/Fdawgs/yh-community-contacts-api/commit/12e2d7362ea96d3e99c7979cf2229b25648786c6))
* **deps:** bump pino from 7.6.3 to 7.6.4 ([75bac7f](https://github.com/Fdawgs/yh-community-contacts-api/commit/75bac7f9fd44f4801442ab91e3406eb1ef27449c))
* **deps:** bump pino-pretty from 7.3.0 to 7.5.0 ([a2b1e1c](https://github.com/Fdawgs/yh-community-contacts-api/commit/a2b1e1c4e8b63d3b286b7e93a595205f2a234b8f))
* **deps:** bump sub-dependencies ([6237922](https://github.com/Fdawgs/yh-community-contacts-api/commit/623792206c42140d0964656073fc8fa1b69faa89))


### Documentation

* **readme:** add case study and update acknowledgements section ([d65b0ca](https://github.com/Fdawgs/yh-community-contacts-api/commit/d65b0caace0f2f68803dfbf54b48160cb634b369))
* **readme:** remove database setup; clarify purpose ([13ed6c1](https://github.com/Fdawgs/yh-community-contacts-api/commit/13ed6c1723b3cac9b1ee5f9c89e9e902fff616f0))
